// Class: ReadBDT
// Automatically generated by MethodBase::MakeClass
//

/* configuration options =====================================================

#GEN -*-*-*-*-*-*-*-*-*-*-*- general info -*-*-*-*-*-*-*-*-*-*-*-

Method         : BDT::BDT
TMVA Release   : 3.8.13        [198669]
ROOT Release   : 5.18/00       [332288]
Creator        : lista
Date           : Mon Feb  9 13:07:33 2009
Host           : Linux lxbuild063.cern.ch 2.6.9-78.0.1.EL.cernsmp #1 SMP Tue Aug 5 11:01:13 CEST 2008 i686 i686 i386 GNU/Linux
Dir            : /data1/home/lista/stat/03-TMVA
Training events: 200000


#OPT -*-*-*-*-*-*-*-*-*-*-*-*- options -*-*-*-*-*-*-*-*-*-*-*-*-

# Set by User:
NTrees: "200" [Number of trees in the forest]
# Default:
D: "False" [use-decorrelated-variables flag (depreciated)]
Normalise: "False" [Normalise input variables]
VarTransform: "None" [Variable transformation method]
VarTransformType: "Signal" [Use signal or background events for var transform]
NbinsMVAPdf: "60" [Number of bins used to create MVA PDF]
NsmoothMVAPdf: "2" [Number of smoothing iterations for MVA PDF]
V: "False" [Verbose mode]
VerboseLevel: "Info" [Verbosity level]
H: "False" [Print classifier-specific help message]
CreateMVAPdfs: "False" [Create PDFs for classifier outputs]
TxtWeightFilesOnly: "True" [if True, write all weights as text files]
BoostType: "AdaBoost" [Boosting type for the trees in the forest]
UseYesNoLeaf: "True" [Use Sig or Bkg node type or the ratio S/B as classification in the leaf node]
UseWeightedTrees: "True" [Use weighted trees or simple average in classification from the forest]
SeparationType: "giniindex" [Separation criterion for node splitting]
nEventsMin: "5000" [Minimum number of events in a leaf node (default: max(20, N_train/(Nvar^2)/10) ) ]
nCuts: "20" [Number of steps during node cut optimisation]
PruneStrength: "5" [Pruning strength (negative value == automatic adjustment)]
PruneMethod: "costcomplexity" [Pruning method: NoPruning (switched off), ExpectedError or CostComplexity]
##


#VAR -*-*-*-*-*-*-*-*-*-*-*-* variables *-*-*-*-*-*-*-*-*-*-*-*-

NVar 2
x                             x                                 'F'    [-25.9051780701,28.9163246155]
y                             y                                 'F'    [-10.0186662674,11.3229227066]


============================================================================ */

#include <vector>
#include <cmath>
#include <string>
#include <iostream>

#define NN new ReadBDT_DecisionTreeNode
class ReadBDT_DecisionTreeNode{
   
public:
   
   // constructor of an essentially "empty" node floating in space
   ReadBDT_DecisionTreeNode ( 
                      ReadBDT_DecisionTreeNode* left,
                      ReadBDT_DecisionTreeNode* right,
                      double cutValue, bool cutType, int selector,
                      int nodeType, double purity):
   fLeft(left),
   fRight(right),
   fCutValue(cutValue),
   fCutType(cutType),
   fSelector(selector),
   fNodeType(nodeType),
   fPurity(purity) {}
   virtual ~ReadBDT_DecisionTreeNode();  
   // test event if it decends the tree at this node to the right
   virtual bool GoesRight( const std::vector<double>& inputValues ) const;
   ReadBDT_DecisionTreeNode* GetRight( void ) {return fRight; };
   // test event if it decends the tree at this node to the left 
   virtual bool GoesLeft ( const std::vector<double>& inputValues ) const;
   ReadBDT_DecisionTreeNode* GetLeft( void ) {return fLeft; };   
   //return  S/(S+B) (purity) at this node (from  training)
   double GetPurity( void ) const {return fPurity;} 
   //return the node type
   int    GetNodeType( void ) const {return fNodeType;}
private:
   ReadBDT_DecisionTreeNode*   fLeft;    // pointer to the left daughter node
   ReadBDT_DecisionTreeNode*   fRight;   // pointer to the right daughter node
   double              fCutValue;// cut value appplied on this node to discriminate bkg against sig
   bool                fCutType; // true: if event variable > cutValue ==> signal , false otherwise
   int                 fSelector;// index of variable used in node selection (decision tree)   
   int                 fNodeType;// Type of node: -1 == Bkg-leaf, 1 == Signal-leaf, 0 = internal 
   double              fPurity;  // Purity of node from training
}; 
//_______________________________________________________________________
  ReadBDT_DecisionTreeNode::~ReadBDT_DecisionTreeNode(){   
   if (fLeft != NULL) delete fLeft;
   if (fRight != NULL) delete fRight;
}; 
//_______________________________________________________________________
bool ReadBDT_DecisionTreeNode::GoesRight(const  std::vector<double>& inputValues) const{
   // test event if it decends the tree at this node to the right
   bool result = (inputValues[fSelector] > fCutValue );
   if (fCutType == true) return result; //the cuts are selecting Signal ;
   else return !result;
}
//_______________________________________________________________________
bool ReadBDT_DecisionTreeNode::GoesLeft(const  std::vector<double>& inputValues) const{
   // test event if it decends the tree at this node to the left
   if (!this->GoesRight(inputValues)) return true;
   else return false;
}
#ifndef IClassifierReader__def
#define IClassifierReader__def

class IClassifierReader {

 public:

   // constructor
   IClassifierReader() {}
   virtual ~IClassifierReader() {}

   // return classifier response
   virtual double GetMvaValue( const std::vector<double>& inputValues ) const = 0;
};

#endif

class ReadBDT : public IClassifierReader {

 public:

   // constructor
   ReadBDT( std::vector<std::string>& theInputVars ) 
      : IClassifierReader(),
        fClassName( "ReadBDT" ),
        fStatusIsClean( true ),
        fNvars( 2 ),
        fIsNormalised( false )
   {      
      // the training input variables
      const char* inputVars[] = { "x", "y" };

      // sanity checks
      if (theInputVars.size() <= 0) {
         std::cout << "Problem in class \"" << fClassName << "\": empty input vector" << std::endl;
         fStatusIsClean = false;
      }

      if (theInputVars.size() != fNvars) {
         std::cout << "Problem in class \"" << fClassName << "\": mismatch in number of input values: "
                   << theInputVars.size() << " != " << fNvars << std::endl;
         fStatusIsClean = false;
      }

      // validate input variables
      for (size_t ivar = 0; ivar < theInputVars.size(); ivar++) {
         if (theInputVars[ivar] != inputVars[ivar]) {
            std::cout << "Problem in class \"" << fClassName << "\": mismatch in input variable names" << std::endl
                      << " for variable [" << ivar << "]: " << theInputVars[ivar].c_str() << " != " << inputVars[ivar] << std::endl;
            fStatusIsClean = false;
         }
      }

      // initialize min and max vectors (for normalisation)
      fVmin[0] = -25.9051780700684;
      fVmax[0] = 28.9163246154785;
      fVmin[1] = -10.018666267395;
      fVmax[1] = 11.322922706604;

      // initialize input variable types
      fType[0] = 'F';
      fType[1] = 'F';

      // initialize constants
      Initialize();

   }

   // destructor
   virtual ~ReadBDT() {
      Clear(); // method-specific
   }

   // the classifier response
   // "inputValues" is a vector of input values in the same order as the 
   // variables given to the constructor
   double GetMvaValue( const std::vector<double>& inputValues ) const;

 private:

   // method-specific destructor
   void Clear();

   // common member variables
   const char* fClassName;
   bool fStatusIsClean;

   const size_t fNvars;
   size_t GetNvar()           const { return fNvars; }
   char   GetType( int ivar ) const { return fType[ivar]; }

   // normalisation of input variables
   const bool fIsNormalised;
   bool IsNormalised() const { return fIsNormalised; }
   double fVmin[2];
   double fVmax[2];
   double NormVariable( double x, double xmin, double xmax ) const {
      // normalise to output range: [-1, 1]
      return 2*(x - xmin)/(xmax - xmin) - 1.0;
   }

   // type of input variable: 'F' or 'I'
   char   fType[2];

   // initialize internal variables
   void Initialize();
   double GetMvaValue__( const std::vector<double>& inputValues ) const;

   // private members (method specific)
   std::vector<ReadBDT_DecisionTreeNode*> fForest;       // i.e. root nodes of decision trees
   std::vector<double>            fBoostWeights; // the weights applied in the individual boosts
};
double ReadBDT::GetMvaValue__( const std::vector<double>& inputValues ) const{
   double myMVA = 0;
   double norm  = 0;
for (unsigned int itree=0; itree<fForest.size(); itree++){
      ReadBDT_DecisionTreeNode *current = fForest[itree];
      while (current->GetNodeType() == 0){ //intermediate node
         if (current->GoesRight(inputValues)) current=(ReadBDT_DecisionTreeNode*)current->GetRight();
         else current=(ReadBDT_DecisionTreeNode*)current->GetLeft();
      }
      myMVA += fBoostWeights[itree] *  current->GetNodeType();
      norm  += fBoostWeights[itree];
   }
   return myMVA /= norm;
};
void ReadBDT::Initialize(){
 
  // itree = 0
  fBoostWeights.push_back(2.59223249311888);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-11.6651, 0, -1, -1, 0.0131418) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0196078) , 
NN(
NN(
0, 
0, 
-2.46507, 0, -1, -1, 0.0503878) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0940922) , 
-7.82614, 1, 0, 0, 0.0624209) , 
-4.51996, 1, 1, 0, 0.0534317) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.135537) , 
-5.63016, 1, 0, 0, 0.0710475) , 
-1.47591, 0, 1, 0, 0.0444608) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0655265) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.329729) , 
-0.0238591, 0, 1, 0, 0.235201) , 
-3.12006, 1, 0, 0, 0.0737898) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.961545) , 
4.52513, 1, 1, 0, 0.129166) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0310398) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.698189) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.940496) , 
0.760537, 0, 1, 0, 0.794503) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.837535) , 
NN(
NN(
0, 
0, 
8.2872, 1, -1, 1, 0.934369) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.966662) , 
2.16735, 0, 1, 0, 0.942484) , 
6.16186, 1, 0, 0, 0.923451) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.978875) , 
4.55444, 1, 1, 0, 0.936938) , 
NN(
0, 
0, 
-1.71297, 1, -1, 1, 0.987995) , 
1.47434, 0, 1, 0, 0.960163) , 
3.73273, 1, 0, 0, 0.930065) , 
-4.59872, 1, 1, 0, 0.877464) , 
0.135036, 1, 0, 0, 0.5)    );
  // itree = 1
  fBoostWeights.push_back(1.20092);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-9.0416, 0, -1, -1, 0.0349212) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.0847342) , 
-2.6447, 1, 0, 0, 0.0666409) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.313727) , 
3.33253, 1, 1, 0, 0.142631) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.805217) , 
4.88043, 1, 1, 0, 0.232949) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.32528) , 
NN(
NN(
0, 
0, 
8.57594, 1, -1, 1, 0.537849) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.714351) , 
2.1155, 0, 1, 0, 0.575954) , 
6.49161, 1, 0, 0, 0.502572) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.838929) , 
4.8734, 1, 1, 0, 0.542007) , 
NN(
0, 
0, 
0.746564, 0, -1, 1, 0.862418) , 
1.31476, 0, 1, 0, 0.592386) , 
4.10949, 1, 0, 0, 0.404117) , 
NN(
NN(
NN(
0, 
0, 
-1.02877, 0, -1, -1, 0.160514) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.203934) , 
NN(
NN(
0, 
0, 
-2.55762, 0, -1, -1, 0.433241) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.644602) , 
-7.21992, 1, 0, 0, 0.502251) , 
-4.58579, 1, 1, 0, 0.45582) , 
-1.58117, 0, 1, 0, 0.38581) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0606006) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513606) , 
-5.50148, 1, 1, 0, 0.339058) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.820667) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.892688) , 
NN(
0, 
0, 
9.8953, 0, -1, 1, 0.963665) , 
2.67953, 1, 0, 0, 0.919128) , 
-3.00491, 1, 1, 0, 0.889358) , 
-4.1898, 1, 1, 0, 0.765705) , 
-4.93767, 1, 0, 0, 0.604053) , 
0.118588, 0, 1, 0, 0.50651)    );
  // itree = 2
  fBoostWeights.push_back(0.71157);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0503988) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.256995) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.318407) , 
-2.4297, 0, 0, 0, 0.280921) , 
-6.05758, 1, 1, 0, 0.248596) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513714) , 
-6.12752, 0, 0, 0, 0.321614) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-0.196001, 0, -1, -1, 0.0726987) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.453337) , 
1.63497, 1, 1, 0, 0.207064) , 
NN(
NN(
0, 
0, 
-3.49152, 0, -1, -1, 0.360816) , 
NN(
0, 
0, 
-1.87434, 0, -1, -1, 0.463839) , 
-2.60149, 1, 1, 0, 0.403146) , 
-0.890637, 0, 1, 0, 0.353389) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.671461) , 
-13.0566, 0, 0, 0, 0.403499) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.141576) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.238184) , 
2.38676, 1, 1, 0, 0.198363) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.270575) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.485493) , 
2.24323, 0, 1, 0, 0.348443) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.519714) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.69235) , 
6.83957, 1, 0, 0, 0.580703) , 
8.51694, 0, 0, 0, 0.469053) , 
3.35495, 1, 0, 0, 0.383906) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418686) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459492) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.669303) , 
7.61345, 0, 0, 0, 0.611934) , 
4.84432, 0, 1, 0, 0.56227) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.886683) , 
5.8334, 1, 1, 0, 0.595431) , 
3.75111, 1, 1, 0, 0.461855) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.519359) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508404) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.665485) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.707475) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.859223) , 
NN(
0, 
0, 
6.62818, 1, -1, 1, 0.989657) , 
3.62297, 1, 0, 0, 0.902033) , 
-0.305813, 0, 1, 0, 0.845223) , 
-2.76668, 1, 1, 0, 0.78527) , 
10.694, 0, 0, 0, 0.751478) , 
-2.77716, 1, 0, 0, 0.692898) , 
0.879024, 0, 1, 0, 0.541846) , 
-5.34711, 1, 0, 0, 0.504184) , 
-4.14973, 1, 1, 0, 0.482051)    );
  // itree = 3
  fBoostWeights.push_back(0.645222);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
1.98757, 1, -1, -1, 0.11781) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248321) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.291813) , 
NN(
NN(
NN(
0, 
0, 
-3.73008, 0, -1, -1, 0.382327) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.455396) , 
-6.20963, 1, 0, 0, 0.408039) , 
NN(
0, 
0, 
-9.42058, 0, -1, 1, 0.517848) , 
-1.81382, 1, 1, 0, 0.425301) , 
-0.846219, 0, 1, 0, 0.417469) , 
-5.14667, 1, 1, 0, 0.406648) , 
-0.231788, 0, 1, 0, 0.374256) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.248425) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.289108) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.6521) , 
-3.00809, 1, 1, 0, 0.401985) , 
-0.348493, 0, 1, 0, 0.318738) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.29115) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.433289) , 
NN(
0, 
0, 
2.2309, 0, -1, 1, 0.564814) , 
7.79384, 1, 0, 0, 0.508889) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.430657) , 
NN(
0, 
0, 
0.358139, 0, -1, 1, 0.864931) , 
-1.9451, 1, 1, 0, 0.72367) , 
1.02713, 0, 1, 0, 0.573088) , 
12.6796, 0, 0, 0, 0.517081) , 
4.86131, 1, 0, 0, 0.434556) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.695873) , 
-0.24145, 0, 0, 0, 0.481337) , 
-2.60604, 1, 0, 0, 0.430897) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.363667) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538035) , 
6.9916, 1, 0, 0, 0.437842) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.595632) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.766298) , 
5.35464, 1, 1, 0, 0.64797) , 
4.4347, 1, 1, 0, 0.518472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.752472) , 
-0.208116, 0, 0, 0, 0.573117) , 
3.31983, 1, 1, 0, 0.462742)    );
  // itree = 4
  fBoostWeights.push_back(0.446916);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0511872) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-10.4296, 0, -1, -1, 0.252705) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.391064) , 
-1.14377, 1, 0, 0, 0.322798) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.370095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.592981) , 
0.509959, 0, 0, 0, 0.485374) , 
2.99461, 1, 1, 0, 0.404427) , 
NN(
NN(
NN(
0, 
0, 
9.01247, 0, -1, -1, 0.495225) , 
NN(
NN(
0, 
0, 
9.10147, 1, -1, 1, 0.524616) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.58401) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.625221) , 
9.35084, 0, 0, 0, 0.608805) , 
2.22271, 1, 1, 0, 0.568637) , 
3.30114, 0, 1, 0, 0.537955) , 
NN(
0, 
0, 
8.88187, 0, -1, 1, 0.742137) , 
0.425451, 0, 1, 0, 0.549628) , 
4.10949, 1, 0, 0, 0.485533) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418986) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419494) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505896) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.608109) , 
-4.13172, 0, 1, 0, 0.553206) , 
-5.07338, 1, 1, 0, 0.532952) , 
-1.89699, 0, 0, 0, 0.495934) , 
NN(
NN(
NN(
0, 
0, 
-2.34073, 1, -1, -1, 0.495327) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.563621) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.616693) , 
-2.46925, 0, 1, 0, 0.590124) , 
-9.30251, 1, 0, 0, 0.550895) , 
NN(
NN(
0, 
0, 
-2.2119, 0, -1, 1, 0.673814) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.794931) , 
5.13348, 1, 0, 0, 0.696358) , 
-3.88869, 1, 0, 0, 0.599182) , 
-3.43567, 1, 1, 0, 0.553728) , 
-0.858779, 0, 1, 0, 0.517087) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.945271) , 
6.48107, 1, 1, 0, 0.519789) , 
-6.28389, 1, 1, 0, 0.51586)    );
  // itree = 5
  fBoostWeights.push_back(0.311835);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.0777867) , 
NN(
NN(
NN(
0, 
0, 
1.03568, 1, -1, -1, 0.398487) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.577813, 0, -1, -1, 0.147456) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.425957) , 
2.81562, 1, 1, 0, 0.294519) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.463539) , 
-0.499772, 0, 1, 0, 0.35097) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.399551) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495549) , 
0.670618, 0, 0, 0, 0.44642) , 
-1.65404, 1, 0, 0, 0.404336) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.568397) , 
-10.8491, 0, 0, 0, 0.425793) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.386163) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.482862) , 
-6.09825, 1, 0, 0, 0.435913) , 
NN(
0, 
0, 
-2.57332, 1, -1, 1, 0.510306) , 
-7.66319, 0, 0, 0, 0.477197) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.516435) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.596472) , 
-3.53164, 1, 1, 0, 0.55169) , 
-4.36832, 1, 0, 0, 0.503927) , 
-1.49702, 0, 1, 0, 0.474707) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469554) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441983) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530608) , 
4.13814, 1, 1, 0, 0.483107) , 
NN(
0, 
0, 
8.42976, 0, -1, 1, 0.545135) , 
3.24925, 0, 1, 0, 0.512261) , 
5.4792, 1, 0, 0, 0.498452) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.60146) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.59635) , 
NN(
0, 
0, 
-0.267707, 0, -1, 1, 0.840139) , 
-2.27002, 1, 1, 0, 0.722717) , 
0.696575, 0, 1, 0, 0.673241) , 
1.69374, 0, 1, 0, 0.544052) , 
2.77321, 1, 0, 0, 0.497523) , 
11.0993, 0, 0, 0, 0.489589) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.916992) , 
6.48107, 1, 1, 0, 0.491865) , 
-6.28389, 1, 1, 0, 0.488937)    );
  // itree = 6
  fBoostWeights.push_back(0.271928);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.103311) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.391302) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.447384) , 
-4.11367, 0, 1, 0, 0.412783) , 
NN(
0, 
0, 
-6.12752, 1, -1, 1, 0.53049) , 
-4.63243, 0, 1, 0, 0.451065) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-9.16944, 0, -1, -1, 0.267153) , 
NN(
NN(
0, 
0, 
-10.9949, 0, -1, -1, 0.406019) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519723) , 
-8.95786, 1, 0, 0, 0.469988) , 
-0.309204, 0, 1, 0, 0.419555) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536832) , 
2.80204, 1, 1, 0, 0.447412) , 
NN(
NN(
NN(
NN(
0, 
0, 
9.73416, 1, -1, -1, 0.464536) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441443) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531102) , 
4.11514, 0, 1, 0, 0.506747) , 
8.64518, 0, 0, 0, 0.484752) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50583) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.530657) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.573495) , 
2.7284, 1, 0, 0, 0.551653) , 
3.37059, 1, 1, 0, 0.532143) , 
5.56535, 0, 0, 0, 0.505102) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517208) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.590761) , 
9.16873, 0, 0, 0, 0.563181) , 
NN(
0, 
0, 
5.99416, 1, -1, 1, 0.643345) , 
-0.243626, 0, 1, 0, 0.588504) , 
1.50383, 0, 1, 0, 0.522866) , 
-1.11045, 1, 0, 0, 0.501876) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422519) , 
NN(
0, 
0, 
-2.63888, 0, -1, 1, 0.568911) , 
-0.207618, 0, 0, 0, 0.549822) , 
-2.17515, 0, 1, 0, 0.511026) , 
-3.41174, 1, 1, 0, 0.498384) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.88996) , 
6.48107, 1, 1, 0, 0.500243) , 
-6.28389, 1, 1, 0, 0.497743)    );
  // itree = 7
  fBoostWeights.push_back(0.367202);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.131354) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.304066) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.427877) , 
NN(
NN(
NN(
NN(
0, 
0, 
2.38787, 0, -1, -1, 0.444768) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421163) , 
NN(
0, 
0, 
3.07365, 0, -1, 1, 0.513083) , 
2.08471, 1, 1, 0, 0.490006) , 
7.54186, 1, 0, 0, 0.467718) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544032) , 
4.04086, 0, 0, 0, 0.480463) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504054) , 
NN(
0, 
0, 
5.53826, 1, -1, 1, 0.818385) , 
-2.43042, 1, 1, 0, 0.646122) , 
0.417408, 0, 1, 0, 0.502009) , 
12.2772, 0, 0, 0, 0.49185) , 
2.29367, 1, 0, 0, 0.457885) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.32224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.43145) , 
-1.49706, 0, 1, 0, 0.397182) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.588906, 0, -1, -1, 0.128706) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502147) , 
1.95153, 1, 1, 0, 0.343492) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.408214) , 
NN(
0, 
0, 
-8.58292, 1, -1, 1, 0.530792) , 
-1.69232, 1, 1, 0, 0.454526) , 
-0.229101, 0, 1, 0, 0.431711) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.577126) , 
-12.7327, 0, 0, 0, 0.461564) , 
NN(
NN(
0, 
0, 
-3.46507, 1, -1, 1, 0.52241) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.585515) , 
-4.61675, 0, 1, 0, 0.533926) , 
-2.77396, 0, 1, 0, 0.496597) , 
-4.82899, 0, 0, 0, 0.469513) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.64997) , 
-1.81805, 1, 0, 0, 0.499127) , 
0.135036, 0, 0, 0, 0.479013) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.860374) , 
6.48107, 1, 1, 0, 0.480663) , 
-6.28389, 1, 1, 0, 0.478662)    );
  // itree = 8
  fBoostWeights.push_back(0.329191);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.323945) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4014) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470946) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51527) , 
4.25802, 1, 1, 0, 0.482616) , 
-0.65694, 1, 1, 0, 0.464224) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545418) , 
4.65532, 1, 0, 0, 0.483564) , 
1.34215, 1, 0, 0, 0.446695) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.242396) , 
NN(
NN(
NN(
0, 
0, 
-4.50577, 0, -1, -1, 0.40922) , 
NN(
NN(
NN(
NN(
0, 
0, 
-8.27123, 0, -1, -1, 0.244172) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412487) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.396771) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466972) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511877) , 
-2.5968, 0, 1, 0, 0.488326) , 
-1.1401, 0, 1, 0, 0.477327) , 
NN(
0, 
0, 
-10.6927, 1, -1, 1, 0.533549) , 
-9.02005, 0, 0, 0, 0.495852) , 
-12.5433, 1, 0, 0, 0.482343) , 
-0.017783, 0, 1, 0, 0.466637) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.596316) , 
-3.15034, 1, 0, 0, 0.489985) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.562333) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.64241) , 
-4.08639, 0, 1, 0, 0.596077) , 
-3.47105, 0, 1, 0, 0.520522) , 
-4.6432, 1, 1, 0, 0.506651) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.681488) , 
2.05414, 1, 1, 0, 0.521127) , 
4.52513, 0, 1, 0, 0.505832) , 
0.100766, 0, 0, 0, 0.488311) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461579) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
2.67945, 1, -1, -1, 0.477163) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.550332) , 
1.56766, 0, 1, 0, 0.489758) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.548841) , 
7.40148, 0, 0, 0, 0.510958) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.601249) , 
11.107, 1, 0, 0, 0.528445) , 
NN(
0, 
0, 
8.45689, 0, -1, 1, 0.593441) , 
3.90843, 1, 1, 0, 0.545462) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517114) , 
NN(
0, 
0, 
-0.306994, 0, -1, 1, 0.816038) , 
-1.85927, 1, 1, 0, 0.661261) , 
0.440588, 0, 1, 0, 0.556331) , 
13.1895, 0, 0, 0, 0.542936) , 
5.61719, 1, 0, 0, 0.50325)    );
  // itree = 9
  fBoostWeights.push_back(0.226526);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.222898) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.349142) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.464677) , 
4.86281, 0, 1, 0, 0.425104) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.560745) , 
5.41994, 1, 1, 0, 0.45122) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.421417) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.446229) , 
-3.40676, 0, 1, 0, 0.435417) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500939) , 
NN(
0, 
0, 
-7.63399, 1, -1, 1, 0.56481) , 
-3.93655, 0, 0, 0, 0.532089) , 
-4.14474, 0, 1, 0, 0.476943) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.433032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.462644) , 
7.0256, 1, 0, 0, 0.443804) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379532) , 
NN(
NN(
NN(
NN(
0, 
0, 
-0.265695, 0, -1, -1, 0.381771) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422164) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521029) , 
0.155126, 1, 1, 0, 0.463593) , 
-7.38923, 1, 0, 0, 0.442508) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439876) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499993) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539577) , 
-5.10261, 0, 0, 0, 0.520193) , 
-8.89505, 1, 0, 0, 0.499683) , 
-1.17773, 0, 1, 0, 0.481015) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53105) , 
-12.283, 0, 0, 0, 0.488871) , 
1.6285, 0, 1, 0, 0.483472) , 
NN(
NN(
NN(
0, 
0, 
0.586344, 0, -1, -1, 0.485261) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.565885) , 
6.31309, 0, 0, 0, 0.518852) , 
NN(
0, 
0, 
5.89535, 1, -1, 1, 0.835093) , 
-0.423889, 0, 1, 0, 0.555697) , 
2.7732, 1, 0, 0, 0.502742) , 
2.27007, 0, 1, 0, 0.488184) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.514347) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551363) , 
3.78062, 1, 1, 0, 0.533096) , 
3.35855, 1, 1, 0, 0.496131) , 
NN(
0, 
0, 
12.4356, 1, -1, 1, 0.55422) , 
11.0993, 1, 0, 0, 0.50298) , 
-2.86127, 1, 1, 0, 0.494671) , 
4.24714, 0, 1, 0, 0.489742) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.818148) , 
6.48107, 1, 1, 0, 0.49111) , 
-6.28389, 1, 1, 0, 0.489788)    );
  // itree = 10
  fBoostWeights.push_back(0.238051);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.264573) , 
NN(
NN(
NN(
0, 
0, 
4.3087, 1, -1, -1, 0.438973) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.437597) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495813) , 
-3.93655, 0, 0, 0, 0.464872) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.351067) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442285) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481295) , 
3.36377, 0, 1, 0, 0.461567) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530934) , 
4.24716, 1, 1, 0, 0.475951) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393166) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501423) , 
-0.689093, 1, 1, 0, 0.485314) , 
NN(
0, 
0, 
-0.206861, 0, -1, 1, 0.536724) , 
6.02089, 1, 0, 0, 0.516866) , 
2.56456, 0, 1, 0, 0.493828) , 
-2.25568, 1, 1, 0, 0.484072) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-8.4447, 0, -1, -1, 0.293795) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501347) , 
2.31227, 1, 1, 0, 0.416031) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424429) , 
NN(
NN(
0, 
0, 
-8.7113, 0, -1, -1, 0.457159) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551719) , 
-1.74316, 1, 1, 0, 0.474399) , 
-10.7744, 1, 0, 0, 0.457186) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.63855) , 
-0.830545, 1, 1, 0, 0.473516) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534938) , 
-5.92011, 1, 0, 0, 0.492878) , 
-0.0155418, 0, 1, 0, 0.481648) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559203) , 
-3.63782, 0, 1, 0, 0.494798) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.623741) , 
-1.81805, 1, 0, 0, 0.513014) , 
0.135036, 0, 0, 0, 0.498396) , 
-4.32921, 1, 1, 0, 0.494852) , 
4.88538, 0, 1, 0, 0.492009) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.781994) , 
6.48107, 1, 1, 0, 0.493145) , 
-6.28389, 1, 1, 0, 0.492075)    );
  // itree = 11
  fBoostWeights.push_back(0.202629);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.364206) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494441) , 
5.29296, 1, 1, 0, 0.402978) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501884) , 
6.51195, 1, 0, 0, 0.432091) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.710629) , 
6.29438, 1, 1, 0, 0.447521) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.330235) , 
NN(
NN(
NN(
NN(
0, 
0, 
-9.16944, 0, -1, -1, 0.34133) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417079) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.450017) , 
7.67706, 0, 0, 0, 0.438023) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.468374) , 
1.94479, 1, 1, 0, 0.451083) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515624) , 
0.668971, 0, 1, 0, 0.459312) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534122) , 
11.907, 1, 0, 0, 0.473041) , 
-1.11045, 1, 0, 0, 0.454917) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.397639) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.425447) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499131) , 
-2.96158, 0, 0, 0, 0.464967) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475179) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.423565) , 
NN(
0, 
0, 
-2.53262, 1, -1, 1, 0.542008) , 
-1.69216, 0, 1, 0, 0.521709) , 
-7.32366, 0, 0, 0, 0.506635) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.59223) , 
-0.804647, 1, 1, 0, 0.510904) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.585124) , 
-4.74835, 0, 1, 0, 0.516843) , 
-5.00175, 0, 0, 0, 0.500798) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.538317) , 
NN(
0, 
0, 
5.11394, 1, -1, 1, 0.633342) , 
-2.7128, 1, 1, 0, 0.565202) , 
-0.706119, 1, 0, 0, 0.511291) , 
8.60393, 0, 0, 0, 0.508434) , 
-0.241155, 0, 1, 0, 0.493658) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49343) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517149) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543309) , 
3.1156, 0, 0, 0, 0.527444) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.557459) , 
3.61008, 1, 1, 0, 0.540506) , 
8.34117, 0, 0, 0, 0.526054) , 
2.55911, 1, 1, 0, 0.501672) , 
-6.05717, 1, 1, 0, 0.500245) , 
4.38691, 0, 1, 0, 0.494951)    );
  // itree = 12
  fBoostWeights.push_back(0.192116);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389944) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.46212) , 
-1.48268, 1, 0, 0, 0.428187) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.403551) , 
NN(
NN(
NN(
NN(
0, 
0, 
7.37474, 1, -1, -1, 0.475316) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.698404) , 
-0.0346076, 0, 1, 0, 0.481185) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453186) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504758) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.560403) , 
4.89479, 1, 1, 0, 0.512653) , 
0.555645, 1, 1, 0, 0.505603) , 
4.71749, 0, 0, 0, 0.493754) , 
NN(
0, 
0, 
-0.156054, 0, -1, 1, 0.520207) , 
8.38278, 1, 0, 0, 0.503006) , 
-2.09697, 1, 1, 0, 0.494435) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.623077) , 
-4.59872, 0, 1, 0, 0.499765) , 
-0.24145, 1, 0, 0, 0.489086) , 
NN(
NN(
NN(
NN(
0, 
0, 
1.26834, 0, -1, -1, 0.307475) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.436672) , 
2.81275, 1, 1, 0, 0.401062) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.589634) , 
-9.01334, 0, 0, 0, 0.449587) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453953) , 
NN(
NN(
0, 
0, 
-0.811265, 1, -1, -1, 0.496502) , 
NN(
0, 
0, 
-3.42466, 1, -1, 1, 0.538526) , 
-2.37165, 0, 1, 0, 0.521172) , 
-4.37737, 1, 1, 0, 0.513088) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.519936) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.562594) , 
-5.28143, 0, 0, 0, 0.536193) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.631143) , 
-4.16697, 0, 1, 0, 0.561226) , 
-6.5693, 1, 0, 0, 0.53218) , 
0.34187, 0, 1, 0, 0.523771) , 
-2.60604, 0, 0, 0, 0.503048)    );
  // itree = 13
  fBoostWeights.push_back(0.188736);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.438799) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.446139) , 
4.78671, 0, 1, 0, 0.442999) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.338251) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431214) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432398) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480545) , 
NN(
NN(
0, 
0, 
9.80025, 0, -1, -1, 0.468955) , 
NN(
NN(
NN(
0, 
0, 
2.78634, 0, -1, -1, 0.475634) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537652) , 
7.0662, 0, 0, 0, 0.500456) , 
NN(
0, 
0, 
2.30995, 1, -1, 1, 0.535697) , 
10.0194, 1, 0, 0, 0.513496) , 
1.12005, 1, 1, 0, 0.508014) , 
5.29384, 1, 0, 0, 0.501297) , 
NN(
0, 
0, 
-1.34424, 1, -1, 1, 0.657495) , 
-0.407959, 0, 1, 0, 0.506795) , 
-2.19132, 1, 1, 0, 0.500559) , 
2.29367, 1, 0, 0, 0.489103) , 
NN(
NN(
NN(
0, 
0, 
-9.64689, 0, -1, -1, 0.42317) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457403) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47734) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477289) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500433) , 
-2.7634, 1, 1, 0, 0.490076) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54491) , 
-9.31088, 0, 0, 0, 0.503289) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.549481) , 
-1.56125, 1, 1, 0, 0.511494) , 
-12.152, 1, 0, 0, 0.506268) , 
-3.48466, 1, 1, 0, 0.493819) , 
NN(
0, 
0, 
-5.99201, 1, -1, 1, 0.535401) , 
-4.31202, 0, 1, 0, 0.501001) , 
-0.635189, 0, 1, 0, 0.491525) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.594553) , 
-1.81805, 1, 0, 0, 0.505352) , 
0.135036, 0, 0, 0, 0.497836) , 
-6.08282, 1, 1, 0, 0.496631) , 
4.29351, 0, 1, 0, 0.491924) , 
NN(
0, 
0, 
6.1877, 1, -1, 1, 0.561714) , 
5.45399, 1, 1, 0, 0.493649)    );
  // itree = 14
  fBoostWeights.push_back(0.150486);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385821) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.357368) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481869) , 
-0.845004, 1, 0, 0, 0.465732) , 
-4.01722, 1, 0, 0, 0.447949) , 
NN(
0, 
0, 
0.859149, 0, -1, -1, 0.488508) , 
-5.61884, 0, 0, 0, 0.4587) , 
-9.8903, 1, 0, 0, 0.453314) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537306) , 
-11.5177, 0, 0, 0, 0.466375) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.656141) , 
5.65407, 1, 1, 0, 0.473592) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.28253, 0, -1, -1, 0.452512) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510249) , 
7.37334, 0, 0, 0, 0.473745) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465275) , 
NN(
NN(
0, 
0, 
3.29496, 0, -1, -1, 0.492408) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521184) , 
3.81931, 1, 1, 0, 0.501883) , 
5.01174, 0, 1, 0, 0.498558) , 
2.20577, 1, 1, 0, 0.491475) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529836) , 
3.35933, 0, 0, 0, 0.496905) , 
NN(
0, 
0, 
5.66933, 1, -1, 1, 0.575694) , 
0.0332919, 0, 1, 0, 0.500299) , 
1.49952, 1, 0, 0, 0.490867) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.449679) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465089) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476048) , 
NN(
NN(
0, 
0, 
-3.49088, 1, -1, 1, 0.511127) , 
NN(
0, 
0, 
-6.14384, 1, -1, 1, 0.549294) , 
-4.16125, 0, 1, 0, 0.523391) , 
-3.1263, 0, 0, 0, 0.514929) , 
-2.58418, 0, 1, 0, 0.506261) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559515) , 
-0.624504, 1, 0, 0, 0.513433) , 
4.16353, 0, 0, 0, 0.510093) , 
-2.01557, 0, 1, 0, 0.498179)    );
  // itree = 15
  fBoostWeights.push_back(0.162928);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.360822) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446502) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497975) , 
3.73464, 0, 1, 0, 0.476875) , 
-0.668214, 1, 1, 0, 0.451532) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450897) , 
NN(
NN(
NN(
NN(
0, 
0, 
8.69163, 1, -1, -1, 0.434409) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.485856) , 
1.40184, 1, 1, 0, 0.464904) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479556) , 
NN(
0, 
0, 
5.37162, 0, -1, 1, 0.502732) , 
6.85505, 0, 0, 0, 0.492791) , 
NN(
0, 
0, 
10.6679, 0, -1, 1, 0.520371) , 
9.16276, 1, 0, 0, 0.500905) , 
2.21544, 1, 1, 0, 0.491258) , 
NN(
0, 
0, 
5.85707, 1, -1, 1, 0.624166) , 
0.0458912, 0, 1, 0, 0.50038) , 
13.1767, 0, 0, 0, 0.494953) , 
3.73273, 1, 0, 0, 0.483401) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.60683) , 
-4.59872, 0, 1, 0, 0.488134) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.406907) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.92137, 1, -1, -1, 0.431522) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442157) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461189) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509053) , 
-8.03409, 1, 0, 0, 0.490466) , 
-2.39807, 0, 1, 0, 0.475949) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536455) , 
-1.6808, 1, 1, 0, 0.486078) , 
-0.95528, 0, 1, 0, 0.476049) , 
NN(
0, 
0, 
-1.36028, 0, -1, 1, 0.512632) , 
-11.6651, 0, 0, 0, 0.483899) , 
NN(
0, 
0, 
-6.18538, 1, -1, 1, 0.521517) , 
-3.59351, 0, 1, 0, 0.49535) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.521743) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.627417) , 
-1.24839, 1, 0, 0, 0.567089) , 
-3.12006, 1, 0, 0, 0.511958) , 
4.52513, 0, 1, 0, 0.507292) , 
0.135036, 0, 0, 0, 0.497881)    );
  // itree = 16
  fBoostWeights.push_back(0.165337);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.426612) , 
NN(
NN(
NN(
0, 
0, 
0.57242, 0, -1, -1, 0.436415) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434454) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.424943) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468084) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515629) , 
-3.88189, 1, 0, 0, 0.49153) , 
-4.72632, 1, 1, 0, 0.480884) , 
-6.06459, 1, 0, 0, 0.471263) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464746) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482848) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53214) , 
-2.50705, 1, 1, 0, 0.50621) , 
-10.8486, 1, 0, 0, 0.488816) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535024) , 
-3.59093, 0, 1, 0, 0.502484) , 
-7.15452, 0, 0, 0, 0.486226) , 
-0.700834, 0, 1, 0, 0.482524) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463389) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419841) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.547912) , 
4.89783, 0, 0, 0, 0.508774) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.625956) , 
8.39333, 1, 0, 0, 0.526923) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.656211) , 
-1.79026, 0, 1, 0, 0.569776) , 
-3.57633, 1, 1, 0, 0.528217) , 
-0.927239, 1, 0, 0, 0.492677) , 
11.0993, 0, 0, 0, 0.490126) , 
NN(
NN(
NN(
0, 
0, 
-5.3541, 1, -1, -1, 0.38676) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55586) , 
3.97357, 1, 1, 0, 0.477365) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47903) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501656) , 
4.38043, 0, 1, 0, 0.494009) , 
NN(
0, 
0, 
5.83287, 0, -1, 1, 0.531578) , 
4.98103, 1, 1, 0, 0.502214) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458291) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.518783) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545498) , 
6.80457, 1, 0, 0, 0.526364) , 
8.91565, 0, 0, 0, 0.512774) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543908) , 
10.9067, 1, 0, 0, 0.519355) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536245) , 
3.15089, 1, 1, 0, 0.522974) , 
3.56793, 0, 1, 0, 0.514438) , 
-0.469887, 1, 0, 0, 0.509664) , 
1.18567, 1, 1, 0, 0.498789)    );
  // itree = 17
  fBoostWeights.push_back(0.154232);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.390606) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.454366) , 
-4.03988, 1, 0, 0, 0.436757) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.355009) , 
NN(
0, 
0, 
-9.43275, 1, -1, -1, 0.472074) , 
0.693572, 0, 1, 0, 0.450855) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497623) , 
-11.2422, 0, 0, 0, 0.473711) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559923) , 
-6.98502, 1, 0, 0, 0.492568) , 
-5.45015, 0, 0, 0, 0.47019) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
3.35611, 0, -1, -1, 0.46782) , 
NN(
0, 
0, 
5.00454, 0, -1, -1, 0.49671) , 
4.37068, 1, 1, 0, 0.475324) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463149) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510438) , 
8.38457, 1, 0, 0, 0.477887) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518174) , 
1.98812, 1, 1, 0, 0.493819) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52242) , 
11.3077, 1, 0, 0, 0.500763) , 
2.60617, 0, 1, 0, 0.485093) , 
NN(
0, 
0, 
6.34139, 1, -1, 1, 0.580119) , 
-0.139543, 0, 1, 0, 0.488177) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512329) , 
2.31545, 0, 0, 0, 0.492551) , 
-1.11045, 1, 0, 0, 0.486945) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.62637) , 
6.32099, 1, 1, 0, 0.488121) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446382) , 
NN(
0, 
0, 
0.445374, 1, -1, 1, 0.51684) , 
-4.59166, 0, 1, 0, 0.480729) , 
NN(
NN(
NN(
NN(
0, 
0, 
-2.74816, 1, -1, -1, 0.481962) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536226) , 
-8.96285, 0, 0, 0, 0.499999) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544203) , 
-3.41108, 0, 1, 0, 0.510519) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.618544) , 
1.55797, 1, 0, 0, 0.518143) , 
-3.8163, 1, 1, 0, 0.502422) , 
-2.01557, 0, 1, 0, 0.493556)    );
  // itree = 18
  fBoostWeights.push_back(0.122542);
  fForest.push_back( 
NN(
NN(
0, 
0, 
2.33293, 1, -1, -1, 0.463945) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.384585) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450732) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.588906, 0, -1, -1, 0.315895) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.456725) , 
1.95153, 1, 1, 0, 0.413366) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439748) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.480658) , 
-8.58613, 0, 0, 0, 0.455227) , 
NN(
0, 
0, 
-0.863751, 1, -1, 1, 0.524423) , 
-1.56498, 1, 1, 0, 0.477116) , 
-0.228922, 0, 1, 0, 0.464979) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53809) , 
-4.19876, 1, 0, 0, 0.478908) , 
-2.58156, 0, 0, 0, 0.469348) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533319) , 
-11.8205, 0, 0, 0, 0.479193) , 
NN(
NN(
0, 
0, 
-3.91334, 1, -1, -1, 0.479299) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495802) , 
NN(
0, 
0, 
-6.19448, 1, -1, 1, 0.530716) , 
-4.34516, 0, 0, 0, 0.513515) , 
-8.23842, 1, 0, 0, 0.503345) , 
-2.7735, 0, 1, 0, 0.490728) , 
NN(
NN(
NN(
NN(
0, 
0, 
1.41682, 1, -1, -1, 0.463498) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486537) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519272) , 
1.41712, 0, 1, 0, 0.497432) , 
7.79301, 0, 0, 0, 0.485892) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465602) , 
NN(
0, 
0, 
7.44187, 0, -1, 1, 0.509986) , 
4.73926, 1, 0, 0, 0.492242) , 
NN(
0, 
0, 
3.22189, 1, -1, 1, 0.524679) , 
3.87935, 0, 1, 0, 0.509196) , 
2.62718, 1, 1, 0, 0.500903) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508526) , 
NN(
0, 
0, 
5.2484, 1, -1, 1, 0.650346) , 
-2.49462, 1, 1, 0, 0.544573) , 
-0.221017, 0, 1, 0, 0.506475) , 
0.922989, 1, 0, 0, 0.497295) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.627427) , 
6.48107, 1, 1, 0, 0.497789) , 
-6.28389, 1, 1, 0, 0.497255) , 
11.0993, 0, 0, 0, 0.494595)    );
  // itree = 19
  fBoostWeights.push_back(0.136004);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.437597) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462507) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498159) , 
1.99503, 0, 1, 0, 0.472943) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500707) , 
3.37522, 0, 0, 0, 0.48161) , 
NN(
NN(
0, 
0, 
8.47707, 0, -1, -1, 0.483215) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492728) , 
NN(
NN(
0, 
0, 
8.34411, 1, -1, 1, 0.505612) , 
NN(
0, 
0, 
-1.39652, 1, -1, 1, 0.674539) , 
0.135732, 0, 1, 0, 0.517659) , 
12.0276, 0, 0, 0, 0.511349) , 
3.62044, 0, 1, 0, 0.503317) , 
5.62151, 1, 0, 0, 0.496418) , 
2.29367, 1, 0, 0, 0.487288) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.560411) , 
-4.59872, 0, 1, 0, 0.490073) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434134) , 
NN(
NN(
NN(
NN(
0, 
0, 
-7.02661, 1, -1, -1, 0.448452) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.455525) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501543) , 
-6.29105, 1, 0, 0, 0.483426) , 
NN(
0, 
0, 
-1.79146, 0, -1, 1, 0.502715) , 
-9.38489, 0, 0, 0, 0.49039) , 
-0.297166, 0, 1, 0, 0.485093) , 
NN(
NN(
0, 
0, 
-5.58763, 0, -1, -1, 0.486592) , 
NN(
NN(
0, 
0, 
-3.49471, 1, -1, 1, 0.509762) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.541723) , 
-5.57655, 1, 0, 0, 0.523167) , 
-4.7379, 1, 1, 0, 0.515585) , 
-2.89608, 0, 1, 0, 0.501115) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.597782) , 
2.05414, 1, 1, 0, 0.508725) , 
4.52513, 0, 1, 0, 0.505454) , 
0.135036, 0, 0, 0, 0.497887)    );
  // itree = 20
  fBoostWeights.push_back(0.104312);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434006) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490799) , 
-3.57714, 1, 0, 0, 0.460063) , 
NN(
NN(
0, 
0, 
-2.46988, 0, -1, -1, 0.488028) , 
NN(
0, 
0, 
-8.32661, 0, -1, 1, 0.506741) , 
-1.88595, 1, 1, 0, 0.495934) , 
-5.81452, 0, 0, 0, 0.483332) , 
NN(
NN(
NN(
0, 
0, 
9.47784, 1, -1, -1, 0.470698) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439083) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463799) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489744) , 
5.56685, 0, 0, 0, 0.477724) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510909) , 
7.22677, 1, 0, 0, 0.487005) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503723) , 
3.32163, 0, 0, 0, 0.492942) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48364) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54325) , 
6.40066, 1, 0, 0, 0.496283) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522205) , 
1.4762, 1, 1, 0, 0.509809) , 
2.40346, 0, 1, 0, 0.498318) , 
-0.968227, 1, 1, 0, 0.496341) , 
8.70827, 0, 0, 0, 0.493169) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.554047) , 
-1.8858, 0, 1, 0, 0.497163) , 
-1.55174, 1, 0, 0, 0.491227) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.398705) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499803) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508415) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54645) , 
-4.36752, 0, 1, 0, 0.5228) , 
-4.47128, 0, 0, 0, 0.511972) , 
-5.90876, 1, 1, 0, 0.506428) , 
-3.4428, 0, 1, 0, 0.494812) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54587) , 
10.1741, 1, 0, 0, 0.496176) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499749) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537392) , 
1.27406, 1, 1, 0, 0.526874) , 
11.0993, 1, 0, 0, 0.498671) , 
NN(
0, 
0, 
6.1877, 1, -1, 1, 0.559018) , 
5.45399, 1, 1, 0, 0.500163)    );
  // itree = 21
  fBoostWeights.push_back(0.130102);
  fForest.push_back( 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.398862) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439076) , 
NN(
NN(
0, 
0, 
1.62811, 1, -1, -1, 0.435895) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453581) , 
NN(
NN(
0, 
0, 
-2.64407, 0, -1, -1, 0.481395) , 
NN(
0, 
0, 
-0.026951, 0, -1, 1, 0.520388) , 
-2.0242, 1, 1, 0, 0.494879) , 
-12.7645, 1, 0, 0, 0.487506) , 
0.730625, 0, 1, 0, 0.483945) , 
-5.27284, 0, 0, 0, 0.476652) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.43843) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520184) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.563739) , 
0.730928, 1, 1, 0, 0.535275) , 
0.124328, 0, 0, 0, 0.491357) , 
-3.59972, 1, 0, 0, 0.482359) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507559) , 
-3.6771, 0, 1, 0, 0.486073) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457533) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51193) , 
7.16645, 0, 0, 0, 0.483838) , 
NN(
0, 
0, 
2.35145, 1, -1, 1, 0.508582) , 
3.31931, 0, 1, 0, 0.497644) , 
NN(
0, 
0, 
-0.220247, 0, -1, 1, 0.533945) , 
1.77075, 0, 1, 0, 0.507616) , 
2.87611, 1, 0, 0, 0.494876) , 
NN(
NN(
0, 
0, 
-5.53668, 0, -1, -1, 0.48971) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536153) , 
-4.98402, 1, 1, 0, 0.515255) , 
-4.35809, 0, 1, 0, 0.496947) , 
NN(
0, 
0, 
6.20598, 1, -1, 1, 0.523094) , 
4.72039, 1, 1, 0, 0.498706) , 
-6.28389, 1, 1, 0, 0.498267)    );
  // itree = 22
  fBoostWeights.push_back(0.114702);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.419316) , 
NN(
NN(
NN(
0, 
0, 
7.62747, 1, -1, -1, 0.4668) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469937) , 
NN(
0, 
0, 
3.33793, 1, -1, 1, 0.507861) , 
3.95485, 1, 0, 0, 0.49279) , 
6.1097, 0, 0, 0, 0.482179) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.65857) , 
-0.473136, 0, 1, 0, 0.487184) , 
-2.6287, 1, 1, 0, 0.481381) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.594198, 0, -1, -1, 0.453862) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492367) , 
2.27674, 1, 1, 0, 0.465977) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452684) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.478035) , 
-6.16406, 1, 0, 0, 0.465433) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492895) , 
NN(
0, 
0, 
-9.99054, 1, -1, 1, 0.520679) , 
-7.33943, 0, 0, 0, 0.50574) , 
-3.58829, 1, 1, 0, 0.490523) , 
-1.68216, 0, 1, 0, 0.484012) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516096) , 
-12.92, 0, 0, 0, 0.48719) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487229) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531514) , 
1.37764, 0, 1, 0, 0.509438) , 
-1.17131, 1, 0, 0, 0.491987) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.555551) , 
5.20289, 1, 1, 0, 0.493959) , 
NN(
0, 
0, 
-6.06331, 1, -1, 1, 0.530939) , 
-4.9972, 0, 1, 0, 0.496442) , 
2.36212, 0, 0, 0, 0.492053) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.397302) , 
NN(
NN(
0, 
0, 
9.46977, 1, -1, 1, 0.509381) , 
NN(
0, 
0, 
0.846889, 1, -1, 1, 0.536625) , 
1.86134, 0, 1, 0, 0.516813) , 
-0.844159, 1, 1, 0, 0.510521) , 
8.35826, 1, 0, 0, 0.495085)    );
  // itree = 23
  fBoostWeights.push_back(0.107289);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-2.64392, 0, -1, -1, 0.46904) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510037) , 
-0.681234, 1, 1, 0, 0.476313) , 
NN(
NN(
0, 
0, 
-2.2457, 0, -1, -1, 0.473501) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439016) , 
NN(
0, 
0, 
-9.26382, 0, -1, -1, 0.489069) , 
-1.40169, 0, 1, 0, 0.483049) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.541975) , 
0.435351, 1, 1, 0, 0.486447) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429894) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482012) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470577) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479334) , 
NN(
0, 
0, 
3.2419, 1, -1, 1, 0.503428) , 
3.7646, 0, 1, 0, 0.49491) , 
10.5622, 0, 0, 0, 0.490505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545966) , 
4.72949, 1, 1, 0, 0.497587) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499217) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451837) , 
NN(
NN(
0, 
0, 
0.571987, 0, -1, 1, 0.509711) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.554305) , 
5.2666, 0, 0, 0, 0.525082) , 
-0.598959, 1, 1, 0, 0.518201) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.663729) , 
-1.64406, 0, 1, 0, 0.525931) , 
-2.45099, 1, 1, 0, 0.518807) , 
2.15622, 0, 1, 0, 0.505815) , 
-0.839717, 1, 0, 0, 0.502461) , 
5.70557, 0, 1, 0, 0.500712) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404703) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502947) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504599) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.540133) , 
-6.46113, 1, 0, 0, 0.521919) , 
-5.20577, 0, 0, 0, 0.514493) , 
-0.472369, 0, 1, 0, 0.510292) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.557345) , 
1.81259, 1, 1, 0, 0.5149) , 
-3.25249, 0, 0, 0, 0.504014) , 
-7.84807, 1, 0, 0, 0.502121) , 
-5.21681, 1, 1, 0, 0.50109) , 
-10.8293, 1, 0, 0, 0.498963)    );
  // itree = 24
  fBoostWeights.push_back(0.101525);
  fForest.push_back( 
NN(
NN(
0, 
0, 
-5.81718, 1, -1, -1, 0.473137) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.683025, 0, -1, -1, 0.462392) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465825) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479056) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490818) , 
5.45453, 0, 0, 0, 0.485282) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507378) , 
8.70748, 1, 0, 0, 0.492928) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484111) , 
NN(
0, 
0, 
10.785, 1, -1, 1, 0.507586) , 
8.56872, 1, 0, 0, 0.494233) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52373) , 
1.53942, 1, 1, 0, 0.507739) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.643296) , 
-0.235894, 0, 1, 0, 0.51273) , 
2.21285, 0, 1, 0, 0.500693) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538644) , 
0.0319347, 0, 0, 0, 0.503867) , 
-0.755398, 1, 1, 0, 0.501725) , 
-3.72042, 1, 0, 0, 0.494419) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458687) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500131) , 
-3.57625, 1, 1, 0, 0.482018) , 
NN(
0, 
0, 
-10.7005, 1, -1, 1, 0.509421) , 
-7.07305, 0, 0, 0, 0.498279) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51596) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523718) , 
-3.54369, 1, 1, 0, 0.518761) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.570835) , 
-2.53989, 1, 1, 0, 0.526832) , 
-3.65315, 1, 0, 0, 0.507422) , 
-1.76284, 0, 1, 0, 0.500232) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457083) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522031) , 
5.09005, 1, 0, 0, 0.482734) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.558814) , 
4.53109, 0, 1, 0, 0.517065) , 
3.99376, 1, 1, 0, 0.502579) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55162) , 
5.94752, 1, 1, 0, 0.503096) , 
-5.21681, 1, 1, 0, 0.502072)    );
  // itree = 25
  fBoostWeights.push_back(0.119437);
  fForest.push_back( 
NN(
NN(
0, 
0, 
2.33293, 1, -1, -1, 0.471548) , 
NN(
NN(
NN(
NN(
0, 
0, 
2.2292, 1, -1, -1, 0.423602) , 
NN(
NN(
NN(
0, 
0, 
-7.22673, 0, -1, -1, 0.470201) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46347) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51585) , 
-2.10759, 1, 1, 0, 0.491451) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.540734) , 
-4.06385, 0, 1, 0, 0.505623) , 
-2.66131, 0, 0, 0, 0.494622) , 
-6.26312, 1, 0, 0, 0.486069) , 
NN(
NN(
0, 
0, 
-10.0643, 1, -1, 1, 0.500927) , 
NN(
0, 
0, 
-3.61678, 0, -1, 1, 0.515624) , 
-2.50923, 0, 1, 0, 0.508915) , 
-8.83221, 0, 0, 0, 0.493831) , 
0.537906, 0, 1, 0, 0.49051) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559293) , 
3.47931, 1, 1, 0, 0.495316) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.418763) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483087) , 
NN(
NN(
NN(
0, 
0, 
2.28144, 1, -1, -1, 0.488083) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496378) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523752) , 
4.5364, 1, 0, 0, 0.510749) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533149) , 
2.26735, 0, 0, 0, 0.517518) , 
6.58935, 0, 0, 0, 0.505382) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.406583) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523574) , 
4.52243, 0, 0, 0, 0.497966) , 
NN(
0, 
0, 
-0.0547234, 0, -1, 1, 0.62287) , 
6.58943, 1, 0, 0, 0.530873) , 
1.23448, 0, 1, 0, 0.508874) , 
-2.20514, 1, 1, 0, 0.506364) , 
5.88752, 0, 1, 0, 0.504652) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.565441) , 
-4.55525, 0, 1, 0, 0.50792) , 
-0.927229, 1, 0, 0, 0.501518) , 
11.0993, 0, 0, 0, 0.499116)    );
  // itree = 26
  fBoostWeights.push_back(0.0975721);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465126) , 
NN(
NN(
0, 
0, 
-7.97634, 0, -1, -1, 0.476548) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491009) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503529) , 
-8.7874, 1, 0, 0, 0.497279) , 
-4.04944, 1, 1, 0, 0.490958) , 
-2.43987, 0, 1, 0, 0.486341) , 
NN(
0, 
0, 
-6.88927, 1, -1, 1, 0.504853) , 
-1.85976, 1, 1, 0, 0.490943) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.541895) , 
1.8646, 1, 1, 0, 0.493359) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404582) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466822) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462208) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46824) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487229) , 
3.80912, 0, 1, 0, 0.479059) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504591) , 
8.08535, 1, 0, 0, 0.486542) , 
9.71712, 0, 0, 0, 0.481872) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516346) , 
11.622, 1, 0, 0, 0.48767) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4632) , 
NN(
0, 
0, 
-0.659961, 0, -1, 1, 0.520274) , 
-1.46189, 1, 1, 0, 0.510568) , 
2.10166, 0, 1, 0, 0.495106) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.432868) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511111) , 
-0.232657, 0, 1, 0, 0.474355) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502834) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.575905) , 
0.319091, 1, 1, 0, 0.516949) , 
-1.71703, 0, 0, 0, 0.496963) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501675) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533266) , 
3.03733, 1, 0, 0, 0.51434) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538463) , 
2.90126, 1, 1, 0, 0.525967) , 
0.792151, 1, 0, 0, 0.509425) , 
4.69655, 0, 0, 0, 0.502653) , 
-4.49036, 1, 0, 0, 0.500811) , 
-6.28389, 1, 1, 0, 0.500405) , 
-5.34711, 1, 0, 0, 0.498345)    );
  // itree = 27
  fBoostWeights.push_back(0.104467);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463155) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.400681) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468248) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445421) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454637) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484376) , 
-3.86295, 1, 0, 0, 0.472334) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522157) , 
2.24461, 1, 1, 0, 0.486233) , 
-1.33001, 0, 0, 0, 0.471403) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48313) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512322) , 
-4.66628, 1, 1, 0, 0.503268) , 
-3.20264, 0, 1, 0, 0.484048) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459994) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
10.9389, 1, -1, -1, 0.468499) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511209) , 
1.15635, 0, 1, 0, 0.475681) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519073) , 
3.63243, 1, 1, 0, 0.48709) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483867) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510488) , 
4.32796, 0, 0, 0, 0.496837) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488471) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516181) , 
1.26736, 1, 1, 0, 0.511184) , 
3.42794, 0, 1, 0, 0.504614) , 
7.68124, 0, 0, 0, 0.497098) , 
NN(
0, 
0, 
7.24979, 1, -1, 1, 0.549749) , 
-0.329465, 0, 1, 0, 0.498507) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.684607) , 
-1.76092, 0, 1, 0, 0.501258) , 
-2.68966, 1, 1, 0, 0.497782) , 
0.620815, 1, 0, 0, 0.493269) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517665) , 
-5.38149, 0, 0, 0, 0.494563) , 
-6.26102, 1, 0, 0, 0.493267) , 
-6.28389, 1, 1, 0, 0.492895) , 
-7.16303, 1, 0, 0, 0.491604) , 
NN(
NN(
0, 
0, 
-9.36879, 1, -1, -1, 0.499014) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483528) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530253) , 
-13.2873, 0, 0, 0, 0.507492) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522872) , 
-11.4846, 1, 0, 0, 0.512115) , 
-10.3153, 0, 0, 0, 0.506474) , 
-8.08819, 0, 0, 0, 0.49424)    );
  // itree = 28
  fBoostWeights.push_back(0.0976258);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.339527) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.468159) , 
-3.9436, 1, 0, 0, 0.452851) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.425904) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454771) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49251) , 
-1.33394, 0, 1, 0, 0.479546) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507174) , 
-0.830058, 1, 1, 0, 0.485381) , 
-0.259205, 0, 1, 0, 0.479243) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.547837) , 
0.250808, 1, 1, 0, 0.488341) , 
1.11062, 0, 1, 0, 0.478908) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464779) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.560416) , 
5.9929, 1, 1, 0, 0.477362) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516074) , 
4.44541, 0, 1, 0, 0.499541) , 
2.98637, 1, 1, 0, 0.486952) , 
NN(
NN(
NN(
0, 
0, 
0.606217, 0, -1, -1, 0.479668) , 
NN(
NN(
NN(
0, 
0, 
9.51797, 1, -1, -1, 0.478009) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489884) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510158) , 
2.25268, 1, 1, 0, 0.502223) , 
3.37193, 0, 1, 0, 0.492579) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48654) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527346) , 
3.56329, 1, 1, 0, 0.504175) , 
6.88286, 0, 0, 0, 0.496541) , 
1.23985, 1, 1, 0, 0.494875) , 
NN(
0, 
0, 
8.88187, 0, -1, 1, 0.596052) , 
0.032886, 0, 1, 0, 0.498266) , 
4.10949, 1, 0, 0, 0.492819) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464713) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472129) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487549) , 
-7.58858, 1, 0, 0, 0.481964) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511076) , 
-2.69286, 1, 0, 0, 0.490256) , 
-3.98999, 1, 1, 0, 0.482613) , 
NN(
NN(
0, 
0, 
-0.492823, 0, -1, -1, 0.481158) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533259) , 
-5.32258, 1, 1, 0, 0.511943) , 
-4.65167, 0, 1, 0, 0.489655) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526352) , 
-10.5256, 0, 0, 0, 0.494429) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507047) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544087) , 
-6.2587, 1, 0, 0, 0.523039) , 
-2.61584, 1, 1, 0, 0.499272) , 
-2.01557, 0, 1, 0, 0.495275)    );
  // itree = 29
  fBoostWeights.push_back(0.0920216);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-10.8491, 0, -1, -1, 0.437638) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481014) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505881) , 
-0.523138, 0, 0, 0, 0.488273) , 
-3.59972, 1, 0, 0, 0.471152) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51189) , 
4.26696, 1, 1, 0, 0.482013) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446067) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490394) , 
-4.57105, 1, 1, 0, 0.480762) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518063) , 
-0.215215, 1, 0, 0, 0.490425) , 
NN(
NN(
NN(
0, 
0, 
-7.13785, 0, -1, -1, 0.497542) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522669) , 
-1.59709, 1, 1, 0, 0.500239) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528185) , 
-5.83546, 1, 0, 0, 0.505475) , 
-4.39734, 0, 0, 0, 0.500347) , 
-0.948491, 0, 1, 0, 0.494951) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462329) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478741) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480275) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510535) , 
5.81871, 1, 0, 0, 0.496646) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516844) , 
9.07115, 1, 0, 0, 0.502365) , 
3.22468, 1, 1, 0, 0.493891) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44723) , 
NN(
NN(
0, 
0, 
1.38152, 1, -1, -1, 0.492049) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507244) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.574768) , 
6.90375, 1, 0, 0, 0.532541) , 
9.31845, 0, 0, 0, 0.515502) , 
0.266587, 1, 1, 0, 0.510119) , 
2.39136, 0, 1, 0, 0.499526) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539843) , 
5.42171, 1, 1, 0, 0.500728) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.657996) , 
-0.350231, 0, 1, 0, 0.504956) , 
-2.47962, 1, 1, 0, 0.502476) , 
2.87611, 1, 0, 0, 0.497865)    );
  // itree = 30
  fBoostWeights.push_back(0.0878523);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46961) , 
NN(
NN(
0, 
0, 
0.606472, 1, -1, -1, 0.482717) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50987) , 
4.47535, 0, 1, 0, 0.49393) , 
3.92012, 1, 1, 0, 0.485799) , 
NN(
NN(
NN(
0, 
0, 
-5.99536, 1, -1, -1, 0.478705) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.49453, 1, -1, -1, 0.365272) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448175) , 
NN(
NN(
0, 
0, 
-0.855685, 1, -1, -1, 0.48507) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488917) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509451) , 
-6.40087, 0, 0, 0, 0.49798) , 
-8.47123, 1, 0, 0, 0.491153) , 
0.131842, 0, 1, 0, 0.489798) , 
0.776357, 0, 1, 0, 0.484739) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454052) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534814) , 
0.124328, 0, 0, 0, 0.499867) , 
-3.59972, 1, 0, 0, 0.489957) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485081) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492737) , 
NN(
0, 
0, 
1.7044, 0, -1, 1, 0.507047) , 
6.97697, 1, 0, 0, 0.501653) , 
0.935471, 1, 1, 0, 0.499331) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543097) , 
-0.052013, 0, 1, 0, 0.500635) , 
NN(
0, 
0, 
-1.52514, 1, -1, 1, 0.636252) , 
-0.696442, 0, 1, 0, 0.508152) , 
2.87611, 1, 0, 0, 0.497573) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487557) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510117) , 
-3.92531, 1, 1, 0, 0.499002) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520353) , 
-4.37205, 0, 1, 0, 0.506944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522522) , 
-3.5213, 1, 1, 0, 0.512136) , 
-2.90659, 0, 1, 0, 0.502653) , 
-5.14188, 1, 1, 0, 0.501445) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523018) , 
2.98613, 1, 1, 0, 0.502669) , 
3.31983, 0, 1, 0, 0.498827)    );
  // itree = 31
  fBoostWeights.push_back(0.0872449);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.449468) , 
NN(
0, 
0, 
6.28871, 0, -1, -1, 0.482643) , 
2.96912, 1, 0, 0, 0.471636) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504827) , 
3.80952, 0, 1, 0, 0.481123) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529723) , 
-2.53925, 0, 0, 0, 0.485558) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436227) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.469144) , 
-8.65907, 0, 0, 0, 0.450419) , 
NN(
0, 
0, 
7.90497, 0, -1, 1, 0.545732) , 
1.29913, 1, 0, 0, 0.478707) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467907) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487849) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501842) , 
-6.14357, 1, 0, 0, 0.496251) , 
-2.5807, 0, 0, 0, 0.486047) , 
NN(
0, 
0, 
-1.1392, 1, -1, 1, 0.510671) , 
-4.6087, 0, 1, 0, 0.49253) , 
NN(
0, 
0, 
-3.6987, 0, -1, 1, 0.510812) , 
-8.27967, 0, 0, 0, 0.49753) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484617) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506654) , 
-8.9273, 1, 0, 0, 0.498819) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520104) , 
-1.48818, 1, 1, 0, 0.504311) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.617455) , 
3.98452, 1, 0, 0, 0.509415) , 
-2.55663, 1, 1, 0, 0.501043) , 
-0.973696, 0, 1, 0, 0.498752) , 
NN(
NN(
0, 
0, 
0.993824, 0, -1, -1, 0.449206) , 
NN(
NN(
NN(
0, 
0, 
10.2713, 1, -1, -1, 0.482093) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536315) , 
1.29389, 0, 1, 0, 0.491136) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501418) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.520244) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535997) , 
5.43241, 0, 0, 0, 0.529685) , 
1.06362, 1, 0, 0, 0.524469) , 
7.53545, 0, 0, 0, 0.509098) , 
-3.72042, 1, 0, 0, 0.506123) , 
0.318478, 1, 1, 0, 0.501227) , 
3.31983, 0, 1, 0, 0.497658)    );
  // itree = 32
  fBoostWeights.push_back(0.0842062);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466047) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.474291) , 
3.68069, 1, 1, 0, 0.470174) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513788) , 
4.0795, 1, 1, 0, 0.485035) , 
4.5353, 0, 1, 0, 0.47903) , 
NN(
0, 
0, 
6.20602, 1, -1, 1, 0.509977) , 
5.12057, 1, 1, 0, 0.484397) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475509) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.772285, 0, -1, -1, 0.472291) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480549) , 
NN(
0, 
0, 
1.51087, 0, -1, 1, 0.507715) , 
-0.125535, 1, 1, 0, 0.492006) , 
-6.56739, 1, 0, 0, 0.48505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503348) , 
-2.67193, 0, 1, 0, 0.488868) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509363) , 
-12.2341, 0, 0, 0, 0.49171) , 
-3.15774, 1, 1, 0, 0.488788) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486537) , 
NN(
0, 
0, 
-4.33634, 0, -1, 1, 0.513737) , 
-4.76589, 0, 0, 0, 0.501361) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546616) , 
-5.42536, 0, 1, 0, 0.507532) , 
-3.68304, 0, 1, 0, 0.494456) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466607) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488526) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497384) , 
NN(
0, 
0, 
10.3578, 0, -1, 1, 0.516956) , 
2.6935, 0, 1, 0, 0.511241) , 
6.97697, 1, 0, 0, 0.50272) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.611521) , 
-0.25824, 0, 1, 0, 0.509001) , 
-2.90278, 1, 1, 0, 0.50554) , 
2.87611, 1, 0, 0, 0.497921) , 
3.31983, 0, 1, 0, 0.494841)    );
  // itree = 33
  fBoostWeights.push_back(0.0929639);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
4.74351, 1, -1, -1, 0.459501) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497553) , 
4.11618, 0, 1, 0, 0.476518) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506346) , 
1.51106, 0, 0, 0, 0.485959) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503714) , 
9.11643, 1, 0, 0, 0.488974) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458418) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51844) , 
-1.9516, 1, 1, 0, 0.471854) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.449728) , 
NN(
0, 
0, 
-12.6076, 1, -1, -1, 0.499178) , 
-0.633588, 0, 1, 0, 0.493358) , 
-9.42447, 0, 0, 0, 0.487522) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463936) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476765) , 
NN(
0, 
0, 
-5.03341, 1, -1, 1, 0.516239) , 
-2.60369, 1, 1, 0, 0.490515) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497332) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528585) , 
-2.44964, 0, 1, 0, 0.518584) , 
-6.19463, 0, 0, 0, 0.499992) , 
-7.50998, 1, 0, 0, 0.49577) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490551) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47328) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459407) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497207) , 
1.59717, 1, 1, 0, 0.487864) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522942) , 
10.5586, 1, 0, 0, 0.497541) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512318) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527658) , 
5.47104, 0, 0, 0, 0.521599) , 
7.73609, 0, 0, 0, 0.512416) , 
NN(
0, 
0, 
7.17778, 1, -1, 1, 0.570982) , 
-0.30669, 0, 1, 0, 0.514481) , 
0.766932, 1, 0, 0, 0.507718) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477253) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531224) , 
0.372307, 0, 0, 0, 0.516875) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.575944) , 
3.84271, 1, 0, 0, 0.524475) , 
-1.68226, 0, 1, 0, 0.513543) , 
11.9174, 0, 0, 0, 0.510905) , 
-3.46258, 1, 0, 0, 0.506344) , 
-8.08819, 1, 0, 0, 0.502115) , 
3.31983, 0, 1, 0, 0.499123)    );
  // itree = 34
  fBoostWeights.push_back(0.0865498);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459818) , 
NN(
NN(
0, 
0, 
9.60625, 0, -1, -1, 0.47966) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496362) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538635) , 
4.65061, 1, 0, 0, 0.511953) , 
6.98971, 0, 0, 0, 0.498971) , 
-0.208116, 1, 0, 0, 0.492094) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.34386, 1, -1, -1, 0.392219) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.478995) , 
-1.06422, 1, 0, 0, 0.469762) , 
NN(
0, 
0, 
0.263377, 1, -1, -1, 0.499075) , 
0.634616, 0, 1, 0, 0.483492) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501629) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543958) , 
0.149821, 0, 0, 0, 0.50824) , 
2.12743, 1, 1, 0, 0.494143) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464784) , 
NN(
NN(
0, 
0, 
-3.00332, 0, -1, -1, 0.497733) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503683) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521859) , 
-8.91553, 1, 0, 0, 0.51433) , 
-2.55153, 1, 1, 0, 0.504879) , 
-1.8404, 0, 0, 0, 0.499757) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48996) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512712) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.588862) , 
-5.61281, 0, 1, 0, 0.523614) , 
-6.00582, 1, 0, 0, 0.510443) , 
-3.94147, 0, 1, 0, 0.503015) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.529953) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.6723) , 
-2.54944, 1, 1, 0, 0.550558) , 
2.76995, 1, 0, 0, 0.505246) , 
-1.0154, 0, 1, 0, 0.501725) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453817) , 
NN(
0, 
0, 
12.3939, 1, -1, 1, 0.525254) , 
-0.272863, 1, 1, 0, 0.518754) , 
8.35826, 1, 0, 0, 0.504227) , 
3.31983, 0, 1, 0, 0.501463)    );
  // itree = 35
  fBoostWeights.push_back(0.0811452);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454587) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481489) , 
-1.71323, 0, 0, 0, 0.46723) , 
NN(
NN(
NN(
NN(
0, 
0, 
-6.68748, 0, -1, -1, 0.409624) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480664) , 
NN(
NN(
NN(
0, 
0, 
-11.7094, 0, -1, -1, 0.482714) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511183) , 
-2.34873, 0, 1, 0, 0.492609) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508347) , 
-6.57278, 1, 0, 0, 0.497942) , 
-3.02365, 1, 1, 0, 0.492751) , 
0.831008, 0, 1, 0, 0.491056) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509561) , 
2.6035, 1, 1, 0, 0.492556) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486665) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510337) , 
-4.45614, 1, 1, 0, 0.500719) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534244) , 
-5.13559, 0, 1, 0, 0.507585) , 
-3.84139, 0, 1, 0, 0.496239) , 
-2.61052, 0, 0, 0, 0.491879) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490543) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509384) , 
1.96551, 0, 0, 0, 0.501921) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526928) , 
0.44765, 0, 0, 0, 0.51004) , 
-0.721596, 1, 0, 0, 0.495965) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477703) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475877) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491049) , 
8.10442, 1, 0, 0, 0.48248) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464308) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518953) , 
6.45491, 0, 0, 0, 0.498036) , 
NN(
0, 
0, 
10.3977, 0, -1, 1, 0.534043) , 
8.60024, 1, 0, 0, 0.511813) , 
2.19062, 0, 1, 0, 0.495429) , 
NN(
0, 
0, 
8.59816, 0, -1, 1, 0.514085) , 
3.41409, 1, 1, 0, 0.502995) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527388) , 
12.8288, 1, 0, 0, 0.505667) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.596628) , 
-0.350231, 0, 1, 0, 0.507973) , 
-2.47962, 1, 1, 0, 0.506236) , 
2.87611, 1, 0, 0, 0.499945)    );
  // itree = 36
  fBoostWeights.push_back(0.0772692);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.376512) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454942) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.393853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515877) , 
-6.17204, 0, 0, 0, 0.45639) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473768) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505074) , 
3.76475, 0, 1, 0, 0.48933) , 
-4.36264, 1, 0, 0, 0.483039) , 
0.122752, 1, 1, 0, 0.478645) , 
-9.18783, 1, 0, 0, 0.473577) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475925) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501334) , 
-2.10044, 1, 0, 0, 0.484749) , 
NN(
NN(
NN(
0, 
0, 
-1.83415, 1, -1, -1, 0.485447) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506991) , 
-2.60909, 0, 1, 0, 0.49721) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519651) , 
-3.95688, 0, 1, 0, 0.502445) , 
-5.49431, 0, 0, 0, 0.494288) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531329) , 
-5.48425, 0, 1, 0, 0.496083) , 
-0.785555, 0, 1, 0, 0.491121) , 
NN(
NN(
0, 
0, 
4.11085, 0, -1, -1, 0.480885) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.428626) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491231) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508023) , 
6.69593, 1, 0, 0, 0.495608) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517175) , 
3.20252, 1, 1, 0, 0.503771) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.577812) , 
0.388067, 0, 1, 0, 0.50643) , 
-0.739384, 1, 1, 0, 0.504261) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501823) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.574259) , 
4.47843, 1, 0, 0, 0.522381) , 
-1.80265, 0, 1, 0, 0.507002) , 
4.27028, 0, 1, 0, 0.501694) , 
0.970254, 1, 0, 0, 0.495245) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497145) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.540801) , 
-1.52071, 1, 1, 0, 0.512484) , 
-11.3432, 0, 0, 0, 0.496774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485703) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.48651) , 
13.2281, 0, 0, 0, 0.486014) , 
NN(
NN(
0, 
0, 
9.3476, 0, -1, 1, 0.52127) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.519217) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.641343) , 
-0.136965, 0, 1, 0, 0.558809) , 
1.18384, 0, 1, 0, 0.525796) , 
11.9559, 0, 0, 0, 0.511064) , 
8.35826, 1, 0, 0, 0.499127)    );
  // itree = 37
  fBoostWeights.push_back(0.0811953);
  fForest.push_back( 
NN(
NN(
0, 
0, 
-5.81718, 1, -1, -1, 0.470891) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-9.1152, 1, -1, -1, 0.332608) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459115) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.482098) , 
2.37352, 1, 1, 0, 0.473221) , 
-6.29367, 1, 0, 0, 0.457003) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474665) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475672) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490869) , 
-4.12156, 0, 1, 0, 0.484295) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.43888) , 
NN(
0, 
0, 
-2.69929, 1, -1, -1, 0.49845) , 
-1.48801, 0, 1, 0, 0.487907) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503247) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517705) , 
-5.52544, 0, 0, 0, 0.508301) , 
-7.08909, 1, 0, 0, 0.498661) , 
-3.59415, 1, 1, 0, 0.493865) , 
-1.40209, 0, 0, 0, 0.491404) , 
-0.223983, 0, 1, 0, 0.485799) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521546) , 
4.29355, 1, 1, 0, 0.488489) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508728) , 
1.74282, 1, 0, 0, 0.490185) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522833) , 
-12.2341, 0, 0, 0, 0.493249) , 
NN(
NN(
NN(
NN(
0, 
0, 
7.92682, 0, -1, -1, 0.475424) , 
NN(
NN(
0, 
0, 
5.73001, 1, -1, -1, 0.486966) , 
NN(
NN(
0, 
0, 
3.21007, 1, -1, -1, 0.496379) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516799) , 
6.17047, 0, 0, 0, 0.503822) , 
4.08673, 0, 1, 0, 0.499266) , 
1.38951, 1, 1, 0, 0.496689) , 
NN(
0, 
0, 
1.97178, 0, -1, 1, 0.523809) , 
11.6579, 1, 0, 0, 0.501278) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.524557) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.639052) , 
-1.46062, 1, 1, 0, 0.544107) , 
-0.370826, 0, 1, 0, 0.50434) , 
2.87611, 1, 0, 0, 0.497651) , 
-5.21681, 1, 1, 0, 0.496749)    );
  // itree = 38
  fBoostWeights.push_back(0.0777553);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473478) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481382) , 
3.7636, 0, 1, 0, 0.477799) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475657) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493866) , 
4.91148, 0, 1, 0, 0.487174) , 
4.16516, 1, 1, 0, 0.482606) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512247) , 
5.92088, 1, 1, 0, 0.48391) , 
NN(
NN(
0, 
0, 
-6.44272, 1, -1, -1, 0.460594) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453904) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.377478) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457841) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469112) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491349) , 
-2.38077, 1, 1, 0, 0.478326) , 
-1.26167, 0, 1, 0, 0.475609) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.577641) , 
-0.234972, 1, 1, 0, 0.479427) , 
0.682082, 0, 1, 0, 0.477004) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511453) , 
-2.95738, 1, 0, 0, 0.486075) , 
0.123898, 0, 0, 0, 0.480699) , 
NN(
0, 
0, 
-0.225085, 0, -1, -1, 0.494243) , 
-9.35597, 0, 0, 0, 0.484774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487294) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493337) , 
NN(
0, 
0, 
1.28207, 0, -1, 1, 0.526267) , 
6.87451, 1, 0, 0, 0.508606) , 
10.4892, 0, 0, 0, 0.501679) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.578597) , 
-0.223611, 0, 1, 0, 0.509203) , 
2.87611, 1, 0, 0, 0.492922) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496202) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51398) , 
-3.78425, 1, 1, 0, 0.502922) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518601) , 
-4.59584, 0, 1, 0, 0.507671) , 
-3.39348, 0, 1, 0, 0.497294) , 
NN(
0, 
0, 
2.99885, 0, -1, 1, 0.516406) , 
2.64434, 1, 1, 0, 0.499486) , 
-5.68373, 1, 1, 0, 0.498702) , 
3.31983, 0, 1, 0, 0.495332)    );
  // itree = 39
  fBoostWeights.push_back(0.0746566);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464984) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47639) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488848) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504276) , 
-9.11071, 0, 0, 0, 0.493633) , 
-2.66765, 0, 1, 0, 0.489221) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491706) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504189) , 
-1.66887, 0, 1, 0, 0.497945) , 
-2.20136, 1, 1, 0, 0.491993) , 
-0.838353, 0, 0, 0, 0.489468) , 
NN(
0, 
0, 
7.10134, 0, -1, 1, 0.568463) , 
3.98452, 1, 0, 0, 0.492444) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.265312) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457527) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501104) , 
-4.98462, 1, 1, 0, 0.483878) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53507) , 
-5.54041, 0, 1, 0, 0.495066) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531796) , 
-4.48184, 1, 1, 0, 0.511124) , 
-6.49841, 1, 1, 0, 0.507545) , 
-3.89635, 0, 1, 0, 0.497343) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467792) , 
NN(
NN(
NN(
NN(
0, 
0, 
-8.82245, 0, -1, -1, 0.428704) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444143) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492595) , 
-3.54673, 1, 0, 0, 0.478238) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522963) , 
-5.34714, 0, 0, 0, 0.48815) , 
-7.38677, 1, 0, 0, 0.478837) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524641) , 
-10.4089, 0, 0, 0, 0.489877) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476189) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500224) , 
5.48885, 0, 0, 0, 0.491155) , 
NN(
0, 
0, 
3.06756, 1, -1, 1, 0.505199) , 
7.99278, 1, 0, 0, 0.496473) , 
NN(
NN(
0, 
0, 
1.33117, 0, -1, 1, 0.50024) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512391) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537008) , 
0.859531, 1, 1, 0, 0.529755) , 
7.79692, 0, 0, 0, 0.516218) , 
2.19588, 0, 1, 0, 0.503207) , 
NN(
0, 
0, 
5.11534, 0, -1, 1, 0.522997) , 
4.51997, 1, 1, 0, 0.505954) , 
-1.11045, 1, 0, 0, 0.503503) , 
6.10763, 0, 1, 0, 0.502996) , 
-0.948491, 1, 1, 0, 0.500384)    );
  // itree = 40
  fBoostWeights.push_back(0.0965206);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.447884) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456451) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49478) , 
2.02383, 1, 0, 0, 0.476115) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48232) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482543) , 
NN(
0, 
0, 
8.2872, 0, -1, -1, 0.497957) , 
4.74864, 0, 1, 0, 0.495797) , 
6.16186, 1, 0, 0, 0.491867) , 
NN(
NN(
NN(
0, 
0, 
6.55308, 1, -1, -1, 0.497016) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.515029) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538825) , 
9.87186, 1, 0, 0, 0.523578) , 
1.44582, 1, 1, 0, 0.513936) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.610692) , 
-1.87495, 0, 1, 0, 0.518578) , 
2.70532, 0, 1, 0, 0.50375) , 
3.73273, 1, 0, 0, 0.496737) , 
-3.61327, 1, 1, 0, 0.493454) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.438779) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412226) , 
NN(
NN(
0, 
0, 
-11.3678, 0, -1, -1, 0.490483) , 
NN(
NN(
0, 
0, 
-5.62734, 0, -1, -1, 0.484679) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489428) , 
NN(
NN(
0, 
0, 
-3.36129, 1, -1, -1, 0.49892) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526901) , 
-7.23893, 0, 0, 0, 0.505177) , 
-8.34309, 1, 0, 0, 0.50267) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521115) , 
-3.43512, 1, 0, 0, 0.50786) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559788) , 
-0.402513, 1, 1, 0, 0.509969) , 
-4.78606, 1, 1, 0, 0.506749) , 
-9.38456, 1, 0, 0, 0.502213) , 
0.52743, 0, 1, 0, 0.500966) , 
NN(
0, 
0, 
-4.94557, 1, -1, 1, 0.55592) , 
1.34824, 1, 1, 0, 0.505646) , 
4.52513, 0, 1, 0, 0.502894) , 
0.135036, 0, 0, 0, 0.498257)    );
  // itree = 41
  fBoostWeights.push_back(0.0767052);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439141) , 
NN(
NN(
0, 
0, 
0.577095, 0, -1, -1, 0.468731) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463139) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477803) , 
0.561049, 0, 1, 0, 0.475535) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503047) , 
2.23621, 1, 1, 0, 0.484857) , 
-5.85481, 1, 0, 0, 0.479631) , 
-9.75705, 1, 0, 0, 0.474492) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497913) , 
-11.9644, 0, 0, 0, 0.478665) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481284) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500136) , 
-7.74653, 0, 0, 0, 0.489813) , 
-2.23068, 0, 1, 0, 0.482799) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479137) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503722) , 
5.46775, 0, 0, 0, 0.492533) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51362) , 
NN(
0, 
0, 
-0.221865, 0, -1, 1, 0.554569) , 
5.08189, 1, 0, 0, 0.527526) , 
1.5506, 0, 1, 0, 0.500386) , 
0.648953, 1, 0, 0, 0.490448) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486705) , 
NN(
NN(
0, 
0, 
1.70864, 1, -1, 1, 0.518044) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.693933) , 
0.419134, 0, 1, 0, 0.525763) , 
11.9559, 0, 0, 0, 0.510431) , 
8.35826, 1, 0, 0, 0.49486) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436506) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475227) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497026) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509642) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525527) , 
-3.9698, 0, 1, 0, 0.514971) , 
-4.44613, 1, 1, 0, 0.510875) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533157) , 
-5.05786, 0, 1, 0, 0.513911) , 
-5.96386, 1, 1, 0, 0.512658) , 
2.51126, 0, 0, 0, 0.506498) , 
-3.17609, 0, 1, 0, 0.498001) , 
NN(
0, 
0, 
1.89018, 0, -1, 1, 0.512939) , 
4.38691, 1, 1, 0, 0.499466)    );
  // itree = 42
  fBoostWeights.push_back(0.0810424);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462966) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487137) , 
3.33975, 1, 1, 0, 0.477942) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456966) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463962) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483217) , 
0.162749, 0, 0, 0, 0.477792) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472469) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491927) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509278) , 
-7.15339, 0, 0, 0, 0.498432) , 
-9.12381, 1, 0, 0, 0.49246) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504868) , 
-11.1167, 0, 0, 0, 0.495115) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511207) , 
-1.59264, 1, 1, 0, 0.497691) , 
-3.86932, 0, 0, 0, 0.492188) , 
-0.622623, 0, 1, 0, 0.490572) , 
NN(
NN(
NN(
0, 
0, 
1.29169, 1, -1, -1, 0.43886) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504183) , 
-3.05171, 1, 0, 0, 0.496741) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538679) , 
0.546338, 0, 1, 0, 0.507171) , 
-0.118757, 1, 1, 0, 0.493145) , 
2.29993, 0, 1, 0, 0.489508) , 
NN(
0, 
0, 
0.314063, 1, -1, 1, 0.516034) , 
4.7471, 1, 1, 0, 0.491385) , 
NN(
NN(
0, 
0, 
-5.42955, 1, -1, 1, 0.501344) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525459) , 
-4.88337, 1, 1, 0, 0.515073) , 
-4.14973, 0, 1, 0, 0.495202) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.433891) , 
NN(
NN(
0, 
0, 
11.3035, 1, -1, 1, 0.504924) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.627325) , 
-0.106665, 0, 1, 0, 0.507219) , 
-1.50622, 1, 1, 0, 0.503986) , 
5.61719, 1, 0, 0, 0.49763)    );
  // itree = 43
  fBoostWeights.push_back(0.0811042);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465804) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458593) , 
NN(
NN(
0, 
0, 
-2.81623, 0, -1, -1, 0.485286) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522316) , 
-1.86997, 1, 1, 0, 0.494389) , 
-0.674721, 0, 1, 0, 0.491978) , 
-12.8077, 1, 0, 0, 0.484796) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504272) , 
-3.86207, 0, 1, 0, 0.488553) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539386) , 
0.860417, 1, 1, 0, 0.490856) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473185) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456706) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504026) , 
-1.76519, 0, 0, 0, 0.474097) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472757) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470956) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495185) , 
6.4426, 0, 0, 0, 0.485244) , 
NN(
0, 
0, 
2.27195, 1, -1, 1, 0.520073) , 
9.68219, 1, 0, 0, 0.495449) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475657) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463813) , 
NN(
0, 
0, 
-1.83381, 1, -1, 1, 0.510525) , 
4.67546, 0, 0, 0, 0.502363) , 
NN(
0, 
0, 
-0.0827144, 0, -1, 1, 0.575456) , 
6.55738, 1, 0, 0, 0.515988) , 
10.6655, 0, 0, 0, 0.507017) , 
1.2227, 0, 1, 0, 0.499141) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489804) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52119) , 
4.72242, 1, 1, 0, 0.501505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521468) , 
3.95473, 0, 1, 0, 0.508428) , 
3.43032, 1, 1, 0, 0.502335) , 
5.76117, 0, 1, 0, 0.501733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538449) , 
-4.59872, 0, 1, 0, 0.503103) , 
-0.285261, 1, 0, 0, 0.498755) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429111) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518791) , 
-4.79529, 1, 0, 0, 0.481511) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503289) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51808) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538646) , 
-5.0477, 0, 1, 0, 0.520568) , 
-2.58631, 0, 1, 0, 0.514783) , 
0.574641, 0, 1, 0, 0.511181) , 
-2.65309, 0, 0, 0, 0.501743) , 
-7.16303, 1, 0, 0, 0.500509) , 
-8.08819, 1, 0, 0, 0.498792)    );
  // itree = 44
  fBoostWeights.push_back(0.0786396);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446681) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483183) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50278) , 
-4.75627, 0, 1, 0, 0.490285) , 
-5.30507, 1, 1, 0, 0.480955) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.542794) , 
-6.3506, 0, 1, 0, 0.482919) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.464668) , 
2.12316, 1, 1, 0, 0.439193) , 
NN(
NN(
0, 
0, 
-1.34059, 0, -1, -1, 0.471882) , 
NN(
0, 
0, 
-0.0129335, 0, -1, 1, 0.520096) , 
-0.639766, 1, 1, 0, 0.482091) , 
0.835172, 0, 1, 0, 0.470701) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508017) , 
-11.3432, 0, 0, 0, 0.481143) , 
NN(
NN(
0, 
0, 
-3.22499, 1, -1, -1, 0.494645) , 
NN(
0, 
0, 
-10.1343, 1, -1, 1, 0.505397) , 
-8.26845, 0, 0, 0, 0.499308) , 
-1.97419, 0, 1, 0, 0.492624) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488813) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4877) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477992) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482838) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505262) , 
2.54218, 1, 1, 0, 0.496073) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535513) , 
0.0614029, 0, 0, 0, 0.506751) , 
-2.13699, 1, 1, 0, 0.500073) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476411) , 
NN(
NN(
0, 
0, 
0.47267, 1, -1, -1, 0.493536) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479273) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508566) , 
7.02362, 0, 0, 0, 0.496091) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526471) , 
8.88391, 1, 0, 0, 0.50461) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526804) , 
3.75087, 1, 1, 0, 0.51104) , 
1.58155, 1, 1, 0, 0.508472) , 
10.9916, 0, 0, 0, 0.504548) , 
NN(
0, 
0, 
-1.392, 1, -1, 1, 0.683801) , 
-0.346644, 0, 1, 0, 0.51093) , 
4.50647, 1, 0, 0, 0.505962) , 
4.79539, 0, 1, 0, 0.50468) , 
12.3673, 0, 0, 0, 0.50314) , 
-2.60604, 1, 0, 0, 0.499136) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.531931) , 
5.52073, 1, 1, 0, 0.49992) , 
-4.14973, 1, 1, 0, 0.497858)    );
  // itree = 45
  fBoostWeights.push_back(0.056895);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-2.68315, 0, -1, -1, 0.475384) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502019) , 
-4.88337, 1, 1, 0, 0.490464) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.570172, 0, -1, -1, 0.461861) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483067) , 
-3.99826, 1, 0, 0, 0.470732) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492662) , 
2.66289, 1, 1, 0, 0.481528) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487017) , 
NN(
0, 
0, 
-1.83194, 0, -1, 1, 0.504573) , 
-7.22478, 0, 0, 0, 0.49613) , 
-0.97657, 0, 1, 0, 0.490435) , 
NN(
NN(
NN(
NN(
0, 
0, 
3.02073, 0, -1, -1, 0.488648) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508276) , 
7.24537, 1, 0, 0, 0.493862) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504044) , 
4.31138, 0, 0, 0, 0.497964) , 
NN(
0, 
0, 
5.08189, 1, -1, 1, 0.520272) , 
0.365183, 0, 1, 0, 0.499607) , 
0.648953, 1, 0, 0, 0.494858) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537517) , 
5.9559, 1, 1, 0, 0.495496) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496324) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495711) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526137) , 
-6.69601, 1, 0, 0, 0.511994) , 
-3.71444, 1, 1, 0, 0.506636) , 
-2.98916, 0, 1, 0, 0.497759) , 
NN(
NN(
0, 
0, 
10.2103, 1, -1, 1, 0.503403) , 
NN(
0, 
0, 
11.9559, 0, -1, 1, 0.516708) , 
2.09696, 0, 1, 0, 0.50805) , 
8.35826, 1, 0, 0, 0.499666) , 
-4.14973, 1, 1, 0, 0.49855)    );
  // itree = 46
  fBoostWeights.push_back(0.0723536);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-3.93655, 1, -1, -1, 0.471691) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488729) , 
-4.75492, 1, 1, 0, 0.480222) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522052) , 
-6.3506, 0, 1, 0, 0.481537) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46456) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498888) , 
2.02383, 1, 0, 0, 0.481974) , 
NN(
NN(
NN(
NN(
0, 
0, 
2.45945, 1, -1, -1, 0.482322) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478447) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503103) , 
6.46682, 0, 0, 0, 0.492093) , 
NN(
0, 
0, 
5.99068, 1, -1, 1, 0.511847) , 
3.85039, 1, 1, 0, 0.498551) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520425) , 
8.48647, 1, 0, 0, 0.502921) , 
9.86652, 0, 0, 0, 0.49882) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51208) , 
12.1934, 1, 0, 0, 0.500733) , 
NN(
0, 
0, 
8.14001, 0, -1, 1, 0.549917) , 
0.347645, 0, 1, 0, 0.504354) , 
3.73273, 1, 0, 0, 0.49852) , 
NN(
NN(
NN(
NN(
0, 
0, 
-6.03394, 1, -1, -1, 0.456512) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47339) , 
NN(
NN(
NN(
0, 
0, 
-10.2709, 0, -1, -1, 0.470899) , 
NN(
0, 
0, 
-2.56119, 1, -1, -1, 0.499107) , 
-1.39502, 0, 1, 0, 0.492649) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501338) , 
-7.09162, 1, 0, 0, 0.496355) , 
-0.0159561, 0, 1, 0, 0.495447) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513247) , 
-3.26133, 0, 1, 0, 0.500437) , 
0.926524, 0, 1, 0, 0.498142) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533643) , 
-1.81805, 1, 0, 0, 0.502438) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.550029) , 
3.97348, 1, 1, 0, 0.50616) , 
0.135036, 0, 0, 0, 0.502103) , 
-4.14973, 1, 1, 0, 0.499609)    );
  // itree = 47
  fBoostWeights.push_back(0.0616618);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.35585) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473259) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474017) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497822) , 
-1.93697, 1, 1, 0, 0.478311) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469239) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501382) , 
-5.64743, 1, 0, 0, 0.488927) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515163) , 
-6.69665, 0, 0, 0, 0.496299) , 
-7.758, 1, 0, 0, 0.49096) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508185) , 
-9.61618, 0, 0, 0, 0.49342) , 
-3.89855, 0, 0, 0, 0.489386) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546355) , 
0.140542, 1, 1, 0, 0.490166) , 
0.929783, 0, 1, 0, 0.488997) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521137) , 
2.4335, 1, 1, 0, 0.491608) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.438737) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481533) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49658) , 
6.17723, 1, 0, 0, 0.489419) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485498) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502584) , 
5.0598, 0, 1, 0, 0.497695) , 
4.19975, 1, 1, 0, 0.492712) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47956) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496915) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515135) , 
6.79685, 1, 0, 0, 0.503049) , 
10.0905, 0, 0, 0, 0.496113) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522795) , 
2.53793, 1, 1, 0, 0.50321) , 
2.98902, 0, 1, 0, 0.497548) , 
5.83774, 0, 1, 0, 0.496243) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467319) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508738) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.514254) , 
NN(
0, 
0, 
8.02939, 0, -1, 1, 0.566932) , 
5.0449, 1, 0, 0, 0.531129) , 
-2.73685, 1, 1, 0, 0.51889) , 
-5.0644, 1, 1, 0, 0.51202) , 
0.411499, 0, 1, 0, 0.499705) , 
-1.88627, 1, 0, 0, 0.49665) , 
NN(
0, 
0, 
-2.36019, 0, -1, 1, 0.507554) , 
-10.8293, 0, 0, 0, 0.497594)    );
  // itree = 48
  fBoostWeights.push_back(0.0629352);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.454764) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466398) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491485) , 
-6.29506, 0, 0, 0, 0.477746) , 
NN(
NN(
0, 
0, 
-4.82816, 0, -1, -1, 0.483592) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502738) , 
-4.48089, 1, 1, 0, 0.495334) , 
-3.39637, 0, 1, 0, 0.48694) , 
NN(
0, 
0, 
-11.6168, 0, -1, 1, 0.502198) , 
-9.96272, 0, 0, 0, 0.490229) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507747) , 
-1.59704, 1, 1, 0, 0.491924) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475173) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530653) , 
-2.98934, 0, 1, 0, 0.515691) , 
-0.182382, 1, 0, 0, 0.49476) , 
6.60892, 0, 0, 0, 0.493895) , 
NN(
NN(
NN(
NN(
0, 
0, 
4.57735, 1, -1, -1, 0.479884) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517527) , 
0.97946, 0, 0, 0, 0.490336) , 
NN(
NN(
0, 
0, 
0.744776, 0, -1, -1, 0.459347) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491697) , 
NN(
NN(
NN(
NN(
0, 
0, 
10.4143, 1, -1, -1, 0.49792) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499216) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515305) , 
6.43945, 1, 0, 0, 0.505305) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513189) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527374) , 
6.85361, 1, 0, 0, 0.517369) , 
2.29043, 0, 1, 0, 0.509149) , 
9.12662, 0, 0, 0, 0.505393) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529761) , 
0.50217, 0, 1, 0, 0.506516) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.593828) , 
-0.29645, 0, 1, 0, 0.507627) , 
0.859543, 1, 0, 0, 0.505555) , 
-4.53572, 1, 0, 0, 0.503709) , 
4.26694, 0, 1, 0, 0.500847) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460422) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546872) , 
-11.061, 0, 0, 0, 0.525279) , 
-8.94037, 0, 0, 0, 0.501938) , 
-0.948491, 1, 1, 0, 0.498221)    );
  // itree = 49
  fBoostWeights.push_back(0.0700932);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-6.46452, 1, -1, -1, 0.473339) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47937) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482038) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.484499) , 
-4.48805, 1, 1, 0, 0.483421) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50087) , 
-4.00435, 1, 1, 0, 0.48926) , 
-3.61808, 0, 1, 0, 0.486491) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506052) , 
-5.02266, 0, 1, 0, 0.489027) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474698) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486659) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488704) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510795) , 
-2.46248, 1, 0, 0, 0.495313) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51743) , 
-7.22716, 0, 0, 0, 0.502734) , 
-10.4831, 1, 0, 0, 0.499029) , 
-1.34436, 0, 1, 0, 0.496322) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.569626) , 
3.98452, 1, 0, 0, 0.49889) , 
-3.21029, 1, 1, 0, 0.493952) , 
-5.71037, 1, 1, 0, 0.493301) , 
NN(
NN(
NN(
NN(
0, 
0, 
-6.4936, 0, -1, -1, 0.485451) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439497) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484775) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511189) , 
8.51578, 1, 0, 0, 0.491571) , 
0.319207, 1, 1, 0, 0.487948) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505007) , 
10.5946, 1, 0, 0, 0.493654) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521259) , 
3.03344, 0, 0, 0, 0.500179) , 
-3.72042, 1, 0, 0, 0.498192) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523094) , 
-0.695261, 0, 1, 0, 0.499679) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483032) , 
NN(
0, 
0, 
6.34578, 0, -1, 1, 0.521184) , 
5.29, 1, 1, 0, 0.495467) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488784) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507719) , 
6.84788, 0, 0, 0, 0.499387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522684) , 
9.11335, 1, 0, 0, 0.508003) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5247) , 
3.78024, 0, 0, 0, 0.513377) , 
4.42815, 0, 1, 0, 0.508456) , 
2.42625, 1, 1, 0, 0.50523) , 
-0.948491, 1, 1, 0, 0.499717)    );
  // itree = 50
  fBoostWeights.push_back(0.0734947);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471673) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500941) , 
13.2916, 0, 0, 0, 0.482869) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.43375) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468251) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481557) , 
-4.64335, 0, 1, 0, 0.472664) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492228) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545958) , 
-5.2098, 0, 1, 0, 0.502865) , 
-5.3177, 1, 0, 0, 0.487649) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445177) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499894) , 
-1.26434, 0, 1, 0, 0.487465) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519378) , 
1.88654, 1, 1, 0, 0.493983) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462605) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49239) , 
NN(
0, 
0, 
-7.016, 1, -1, 1, 0.523899) , 
-1.33549, 1, 1, 0, 0.503839) , 
-9.31348, 1, 0, 0, 0.493853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524392) , 
-2.57846, 0, 1, 0, 0.507142) , 
-5.31761, 0, 0, 0, 0.501172) , 
-3.59313, 1, 1, 0, 0.496463) , 
4.52513, 0, 1, 0, 0.493574) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51402) , 
-0.330712, 1, 0, 0, 0.496024) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473986) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479673) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486657) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505566) , 
2.28638, 0, 1, 0, 0.495719) , 
9.29079, 0, 0, 0, 0.491149) , 
NN(
0, 
0, 
3.84846, 0, -1, 1, 0.50385) , 
3.25671, 1, 1, 0, 0.495954) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520002) , 
4.50238, 1, 1, 0, 0.499496) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509329) , 
3.61172, 0, 0, 0, 0.501516) , 
NN(
0, 
0, 
6.32666, 1, -1, 1, 0.525219) , 
0.669533, 0, 1, 0, 0.502852) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.599615) , 
-1.94945, 0, 1, 0, 0.505649) , 
-3.61327, 1, 1, 0, 0.5037) , 
1.16914, 1, 0, 0, 0.499573) , 
12.0246, 0, 0, 0, 0.498488) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505028) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520633) , 
-1.52071, 1, 1, 0, 0.510097) , 
-10.8293, 0, 0, 0, 0.499492)    );
  // itree = 51
  fBoostWeights.push_back(0.0848574);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
5.17479, 1, -1, -1, 0.455621) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466871) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469391) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.485292) , 
1.39409, 1, 1, 0, 0.479536) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509469) , 
9.96374, 1, 0, 0, 0.489741) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483903) , 
NN(
NN(
0, 
0, 
3.35027, 0, -1, 1, 0.505544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514103) , 
7.03581, 0, 0, 0, 0.50829) , 
4.73162, 1, 0, 0, 0.502467) , 
2.15314, 1, 1, 0, 0.499385) , 
NN(
0, 
0, 
7.32646, 0, -1, 1, 0.528363) , 
0.554795, 0, 1, 0, 0.500949) , 
2.09701, 1, 0, 0, 0.497004) , 
-1.38259, 1, 1, 0, 0.493734) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551486) , 
-4.59872, 0, 1, 0, 0.495693) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456704) , 
NN(
NN(
NN(
NN(
0, 
0, 
-3.48886, 1, -1, -1, 0.487471) , 
NN(
NN(
NN(
0, 
0, 
0.696774, 0, -1, -1, 0.495159) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508673) , 
-12.492, 0, 0, 0, 0.498836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526462) , 
-6.03379, 1, 0, 0, 0.503789) , 
-2.75526, 1, 1, 0, 0.496579) , 
NN(
0, 
0, 
-7.21307, 1, -1, 1, 0.516132) , 
-4.29937, 0, 1, 0, 0.49945) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493001) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51523) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531839) , 
-3.58199, 1, 0, 0, 0.523937) , 
-2.65344, 0, 0, 0, 0.511586) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533206) , 
-1.34607, 1, 0, 0, 0.518412) , 
-4.42207, 1, 0, 0, 0.505665) , 
4.52513, 0, 1, 0, 0.503666) , 
0.135036, 0, 0, 0, 0.49975)    );
  // itree = 52
  fBoostWeights.push_back(0.0759927);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469288) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493894) , 
12.4356, 0, 0, 0, 0.478326) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484461) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.220449) , 
NN(
NN(
0, 
0, 
-6.73475, 0, -1, -1, 0.429778) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.477802) , 
-4.65471, 1, 0, 0, 0.470574) , 
-9.03437, 1, 0, 0, 0.46085) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49732) , 
-0.0356682, 0, 1, 0, 0.470843) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533542) , 
4.26696, 1, 1, 0, 0.489191) , 
NN(
NN(
NN(
NN(
0, 
0, 
9.54441, 1, -1, -1, 0.483475) , 
NN(
NN(
0, 
0, 
2.5551, 0, -1, -1, 0.490314) , 
NN(
0, 
0, 
2.8211, 1, -1, 1, 0.514374) , 
6.84921, 1, 0, 0, 0.500364) , 
8.61143, 0, 0, 0, 0.495116) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488649) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523416) , 
4.03187, 0, 1, 0, 0.512196) , 
4.46472, 0, 0, 0, 0.500255) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.58842) , 
-0.150461, 0, 1, 0, 0.501073) , 
1.27005, 1, 0, 0, 0.498015) , 
NN(
NN(
0, 
0, 
-5.97683, 1, -1, -1, 0.477921) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496129) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51477) , 
2.65646, 1, 0, 0, 0.499798) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487878) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499514) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511548) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521804) , 
-2.19363, 0, 1, 0, 0.517308) , 
-3.11434, 1, 1, 0, 0.510969) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527407) , 
-3.93602, 0, 1, 0, 0.514703) , 
-8.73736, 1, 0, 0, 0.510392) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531311) , 
-10.2252, 0, 0, 0, 0.513158) , 
-1.72334, 0, 0, 0, 0.510695) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.581574) , 
5.89498, 1, 0, 0, 0.511714) , 
-4.80336, 1, 1, 0, 0.507079) , 
-0.948491, 0, 1, 0, 0.502375) , 
-12.0285, 1, 0, 0, 0.501225) , 
11.0993, 0, 0, 0, 0.499373)    );
  // itree = 53
  fBoostWeights.push_back(0.0640417);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.65116, 1, -1, -1, 0.449946) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468543) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478103) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499531) , 
-9.42102, 1, 0, 0, 0.491335) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501309) , 
-2.60048, 0, 1, 0, 0.494722) , 
-1.32963, 0, 1, 0, 0.491366) , 
NN(
0, 
0, 
-9.9662, 1, -1, 1, 0.526234) , 
-0.820634, 1, 1, 0, 0.496346) , 
0.851472, 0, 1, 0, 0.493484) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486181) , 
NN(
NN(
0, 
0, 
11.4619, 0, -1, -1, 0.494088) , 
NN(
0, 
0, 
9.73461, 1, -1, 1, 0.506413) , 
2.54126, 1, 1, 0, 0.500101) , 
5.83382, 1, 0, 0, 0.496456) , 
NN(
0, 
0, 
6.16223, 1, -1, 1, 0.521889) , 
0.509978, 0, 1, 0, 0.498841) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506234) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525478) , 
0.841564, 1, 0, 0, 0.514359) , 
2.91074, 0, 0, 0, 0.503075) , 
-2.60604, 1, 0, 0, 0.499541) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48516) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497424) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51411) , 
4.96504, 1, 1, 0, 0.503732) , 
5.5498, 0, 1, 0, 0.500556) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514277) , 
4.43606, 0, 1, 0, 0.507014) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.556671) , 
6.21804, 1, 1, 0, 0.508623) , 
3.76006, 1, 1, 0, 0.501617) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45334) , 
NN(
NN(
NN(
NN(
0, 
0, 
-5.77628, 1, -1, -1, 0.490609) , 
NN(
0, 
0, 
-4.08144, 0, -1, 1, 0.509577) , 
-4.63376, 1, 1, 0, 0.503101) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529612) , 
-1.53917, 1, 0, 0, 0.508505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530806) , 
-3.58164, 1, 1, 0, 0.514519) , 
2.51126, 0, 0, 0, 0.509713) , 
-3.08265, 0, 1, 0, 0.503687)    );
  // itree = 54
  fBoostWeights.push_back(0.0643152);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487257) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500591) , 
3.87359, 1, 1, 0, 0.493221) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481797) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.482147) , 
-6.58909, 1, 0, 0, 0.481964) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478681) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490548) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489264) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524648) , 
-4.44487, 0, 1, 0, 0.501113) , 
-3.85346, 0, 0, 0, 0.497363) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511925) , 
-3.50565, 1, 1, 0, 0.501852) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537529) , 
-5.48299, 0, 1, 0, 0.504571) , 
2.51126, 0, 0, 0, 0.502635) , 
-2.93159, 0, 1, 0, 0.498401) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490309) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453689) , 
NN(
NN(
0, 
0, 
-8.66432, 0, -1, -1, 0.477002) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495538) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510313) , 
1.99032, 0, 1, 0, 0.501363) , 
NN(
NN(
0, 
0, 
1.27583, 0, -1, 1, 0.505081) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530409) , 
2.45473, 1, 1, 0, 0.516129) , 
6.71217, 1, 0, 0, 0.508247) , 
-0.360423, 1, 0, 0, 0.50468) , 
0.209367, 1, 1, 0, 0.501716) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4888) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512679) , 
-1.34804, 0, 1, 0, 0.503444) , 
NN(
0, 
0, 
-9.43049, 1, -1, 1, 0.516948) , 
-6.07474, 0, 0, 0, 0.511384) , 
NN(
0, 
0, 
8.19769, 0, 0, 1, 1) , 
5.43115, 1, 0, 0, 0.516231) , 
-0.233064, 0, 1, 0, 0.507143) , 
11.9394, 0, 0, 0, 0.505311) , 
-2.35678, 1, 1, 0, 0.502201) , 
3.30636, 0, 1, 0, 0.500888) , 
NN(
0, 
0, 
6.51195, 0, -1, 1, 0.511492) , 
4.38691, 1, 1, 0, 0.501925)    );
  // itree = 55
  fBoostWeights.push_back(0.0691001);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.271034) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.480432) , 
-6.56739, 1, 0, 0, 0.462458) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486386) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450932) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.541216) , 
3.59758, 1, 1, 0, 0.513521) , 
-1.27835, 0, 0, 0, 0.495193) , 
1.95847, 1, 1, 0, 0.489129) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512696) , 
-0.0279673, 0, 1, 0, 0.492644) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481279) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492893) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512802) , 
-2.33134, 0, 1, 0, 0.506119) , 
-5.81217, 0, 0, 0, 0.495225) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523804) , 
-1.50977, 1, 1, 0, 0.499155) , 
NN(
NN(
NN(
0, 
0, 
-8.27573, 0, -1, -1, 0.496274) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515449) , 
-5.34996, 1, 0, 0, 0.503647) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52723) , 
-2.03491, 1, 0, 0, 0.509451) , 
-3.44284, 0, 1, 0, 0.503931) , 
-0.948491, 0, 1, 0, 0.500632) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517251) , 
-12.2341, 0, 0, 0, 0.502141) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453915) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456445) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494228) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495081) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516423) , 
4.22643, 0, 1, 0, 0.509345) , 
2.64076, 1, 1, 0, 0.504586) , 
1.1458, 1, 1, 0, 0.50132) , 
NN(
NN(
0, 
0, 
11.3477, 0, -1, 1, 0.504578) , 
NN(
0, 
0, 
0.83802, 1, -1, 1, 0.531411) , 
2.1986, 0, 1, 0, 0.514817) , 
9.65882, 1, 0, 0, 0.50649) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.713772) , 
-0.666355, 0, 1, 0, 0.507778) , 
-1.50622, 1, 1, 0, 0.505168) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511597) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546391) , 
0.295296, 0, 1, 0, 0.517418) , 
4.82914, 0, 0, 0, 0.507602) , 
2.87611, 1, 0, 0, 0.504256)    );
  // itree = 56
  fBoostWeights.push_back(0.0600894);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477499) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498049) , 
3.76555, 0, 1, 0, 0.48691) , 
NN(
NN(
NN(
0, 
0, 
-10.9109, 1, -1, -1, 0.482718) , 
NN(
0, 
0, 
-1.55029, 0, -1, 1, 0.502591) , 
-2.57977, 1, 1, 0, 0.492077) , 
NN(
NN(
0, 
0, 
-1.63143, 0, -1, -1, 0.483554) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48836) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488231) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486257) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498637) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530035) , 
0.739686, 1, 1, 0, 0.501026) , 
-2.73063, 1, 1, 0, 0.492362) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493716) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519083) , 
-1.24056, 0, 0, 0, 0.504442) , 
-3.08611, 1, 0, 0, 0.498981) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523557) , 
-6.03836, 0, 0, 0, 0.503029) , 
NN(
NN(
NN(
0, 
0, 
0.464463, 0, -1, -1, 0.486036) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502751) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511442) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53) , 
8.54787, 1, 0, 0, 0.517187) , 
2.69819, 0, 1, 0, 0.512048) , 
1.09482, 1, 1, 0, 0.508562) , 
NN(
0, 
0, 
5.06596, 1, -1, 1, 0.549008) , 
-0.232213, 0, 1, 0, 0.514015) , 
1.83426, 1, 0, 0, 0.507782) , 
11.7786, 0, 0, 0, 0.505942) , 
-7.16303, 1, 0, 0, 0.504949) , 
-5.02178, 1, 1, 0, 0.503661) , 
-8.08819, 1, 0, 0, 0.50104) , 
3.30636, 0, 1, 0, 0.498971) , 
NN(
NN(
0, 
0, 
6.02998, 1, -1, 1, 0.50552) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525633) , 
4.9072, 0, 1, 0, 0.515116) , 
4.38691, 1, 1, 0, 0.50055)    );
  // itree = 57
  fBoostWeights.push_back(0.0547252);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
12.2887, 1, -1, -1, 0.490952) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481323) , 
NN(
0, 
0, 
3.10825, 0, -1, -1, 0.498372) , 
1.95171, 1, 1, 0, 0.494607) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528209) , 
8.19042, 1, 0, 0, 0.50044) , 
9.31749, 0, 0, 0, 0.497027) , 
NN(
NN(
0, 
0, 
6.13177, 0, -1, -1, 0.49538) , 
NN(
0, 
0, 
9.04815, 1, -1, 1, 0.524265) , 
-1.30686, 1, 1, 0, 0.506871) , 
0.490564, 0, 1, 0, 0.498278) , 
NN(
NN(
NN(
0, 
0, 
-5.08253, 0, -1, -1, 0.494494) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474722) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446973) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485625) , 
NN(
NN(
0, 
0, 
-0.893721, 1, -1, -1, 0.493631) , 
NN(
0, 
0, 
-1.89207, 1, -1, 1, 0.507561) , 
-1.37644, 0, 1, 0, 0.50395) , 
-2.75135, 1, 1, 0, 0.499234) , 
-0.360163, 0, 1, 0, 0.496876) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.591881) , 
0.481309, 1, 1, 0, 0.499573) , 
1.90009, 0, 1, 0, 0.498227) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498413) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519575) , 
-1.72877, 0, 0, 0, 0.50835) , 
-3.94178, 1, 0, 0, 0.501329) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504943) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513377) , 
-3.77741, 0, 1, 0, 0.508937) , 
-3.2586, 0, 1, 0, 0.503512) , 
-4.35082, 1, 1, 0, 0.502076) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519768) , 
0.717466, 1, 0, 0, 0.504213) , 
2.87611, 0, 0, 0, 0.502032) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507807) , 
NN(
0, 
0, 
0.0133285, 0, -1, 1, 0.524693) , 
5.25399, 1, 1, 0, 0.51333) , 
4.38691, 1, 1, 0, 0.503136)    );
  // itree = 58
  fBoostWeights.push_back(0.0542544);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-3.85025, 1, -1, -1, 0.489346) , 
NN(
0, 
0, 
-11.2063, 0, -1, 1, 0.503618) , 
-1.33165, 1, 1, 0, 0.492131) , 
NN(
NN(
NN(
0, 
0, 
2.79443, 0, -1, -1, 0.488472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505247) , 
3.63229, 0, 0, 0, 0.492637) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.430068) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491104) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493285) , 
-3.19513, 1, 0, 0, 0.492279) , 
NN(
NN(
0, 
0, 
-7.17825, 0, -1, -1, 0.491962) , 
NN(
0, 
0, 
-2.86906, 1, -1, 1, 0.5074) , 
-6.50572, 1, 0, 0, 0.501042) , 
-4.36477, 0, 0, 0, 0.497787) , 
0.829995, 0, 1, 0, 0.497086) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471287) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492894) , 
NN(
NN(
NN(
0, 
0, 
9.35391, 1, -1, -1, 0.484562) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491984) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518571) , 
-0.403823, 0, 1, 0, 0.498711) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.586786) , 
6.96899, 1, 0, 0, 0.518425) , 
8.01655, 0, 0, 0, 0.505629) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.549709) , 
10.8324, 1, 0, 0, 0.511124) , 
12.2379, 0, 0, 0, 0.5067) , 
4.20746, 1, 0, 0, 0.49942) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502375) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529118) , 
0.200503, 0, 0, 0, 0.517228) , 
2.20399, 0, 0, 0, 0.505822) , 
-1.61236, 1, 0, 0, 0.501501) , 
2.31922, 0, 1, 0, 0.499698) , 
-8.08819, 1, 0, 0, 0.49799) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491606) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492966) , 
4.35965, 0, 1, 0, 0.492328) , 
NN(
0, 
0, 
6.30303, 0, -1, 1, 0.510738) , 
4.84549, 1, 1, 0, 0.499153) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512036) , 
3.92012, 0, 1, 0, 0.503494) , 
3.31983, 1, 1, 0, 0.499245)    );
  // itree = 59
  fBoostWeights.push_back(0.0702124);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476561) , 
NN(
0, 
0, 
-7.97875, 1, -1, -1, 0.490034) , 
-6.75316, 0, 0, 0, 0.485222) , 
NN(
0, 
0, 
-0.773874, 0, -1, 1, 0.51005) , 
-1.58121, 1, 1, 0, 0.48831) , 
NN(
0, 
0, 
-12.3645, 1, -1, 1, 0.500216) , 
-10.5237, 0, 0, 0, 0.491914) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460875) , 
NN(
0, 
0, 
-0.635366, 0, -1, 1, 0.556175) , 
6.40894, 1, 0, 0, 0.478192) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475441) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503394) , 
-4.27907, 1, 1, 0, 0.493377) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533732) , 
-5.44528, 0, 1, 0, 0.497751) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538441) , 
-2.70102, 1, 1, 0, 0.505572) , 
-1.6555, 0, 1, 0, 0.500467) , 
-4.93767, 1, 0, 0, 0.495564) , 
NN(
NN(
0, 
0, 
5.68588, 1, -1, -1, 0.485128) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465224) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480903) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494561) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511102) , 
3.62799, 0, 1, 0, 0.502762) , 
3.24894, 1, 1, 0, 0.495501) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475684) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.562001) , 
-5.2581, 0, 0, 0, 0.484863) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504244) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518381) , 
2.18477, 0, 1, 0, 0.511192) , 
3.98771, 1, 0, 0, 0.504396) , 
2.86462, 0, 1, 0, 0.499979) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537505) , 
1.26498, 0, 1, 0, 0.502285) , 
0.867526, 1, 1, 0, 0.500853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526202) , 
0.609637, 0, 1, 0, 0.502217) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518041) , 
4.04706, 1, 1, 0, 0.505161) , 
4.88043, 0, 1, 0, 0.503003) , 
0.118588, 1, 1, 0, 0.499247)    );
  // itree = 60
  fBoostWeights.push_back(0.0576357);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466927) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483607) , 
-2.72856, 1, 1, 0, 0.472853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534104) , 
5.14461, 1, 0, 0, 0.478024) , 
NN(
NN(
0, 
0, 
-8.32926, 0, -1, -1, 0.492265) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505281) , 
-6.48139, 1, 0, 0, 0.497309) , 
-3.87312, 0, 0, 0, 0.490552) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462615) , 
NN(
NN(
0, 
0, 
-8.83118, 0, -1, -1, 0.479657) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536513) , 
-7.02343, 1, 0, 0, 0.506068) , 
-5.19094, 0, 0, 0, 0.486134) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.446506) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47334) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495513) , 
7.76661, 0, 0, 0, 0.488154) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495253) , 
10.2738, 1, 0, 0, 0.490294) , 
NN(
0, 
0, 
3.95498, 0, -1, 1, 0.500296) , 
2.98935, 1, 1, 0, 0.495276) , 
NN(
0, 
0, 
0.260035, 1, -1, 1, 0.507502) , 
1.28178, 0, 1, 0, 0.496986) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509243) , 
4.53429, 1, 1, 0, 0.49836) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498142) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522983) , 
0.167898, 0, 0, 0, 0.508213) , 
2.55937, 0, 0, 0, 0.500484) , 
5.73435, 0, 1, 0, 0.499021) , 
-2.47624, 1, 0, 0, 0.497814) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531677) , 
-1.12263, 0, 1, 0, 0.498747) , 
-1.44184, 1, 1, 0, 0.496111) , 
NN(
NN(
0, 
0, 
-0.687812, 0, -1, -1, 0.482283) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513518) , 
-5.17682, 1, 1, 0, 0.504291) , 
-4.14973, 0, 1, 0, 0.497123) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48745) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502353) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527441) , 
-1.52071, 1, 1, 0, 0.511669) , 
-11.96, 0, 0, 0, 0.504362) , 
-10.8293, 0, 0, 0, 0.497751)    );
  // itree = 61
  fBoostWeights.push_back(0.0624677);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452344) , 
NN(
NN(
NN(
NN(
0, 
0, 
-2.31482, 0, -1, -1, 0.479988) , 
NN(
0, 
0, 
-9.97293, 1, -1, -1, 0.492848) , 
-1.7335, 1, 1, 0, 0.485712) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475506) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490561) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506027) , 
-8.02242, 0, 0, 0, 0.499469) , 
-4.55215, 1, 1, 0, 0.495105) , 
-2.84082, 0, 1, 0, 0.49043) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480213) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483659) , 
-3.51152, 0, 1, 0, 0.482263) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46998) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.426926) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495704) , 
4.48562, 0, 0, 0, 0.488561) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544871) , 
9.2198, 1, 0, 0, 0.497616) , 
0.345082, 0, 1, 0, 0.490631) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519042) , 
0.807789, 1, 1, 0, 0.496379) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53171) , 
-1.83613, 0, 1, 0, 0.505778) , 
-2.71358, 1, 1, 0, 0.494989) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513881) , 
-4.5916, 0, 1, 0, 0.497791) , 
-5.34711, 1, 0, 0, 0.494047) , 
-5.81711, 1, 1, 0, 0.493177) , 
NN(
NN(
NN(
0, 
0, 
5.00211, 1, -1, -1, 0.48665) , 
NN(
NN(
0, 
0, 
11.8572, 0, -1, -1, 0.498884) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501452) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519564) , 
-0.489659, 1, 0, 0, 0.516188) , 
3.08011, 0, 1, 0, 0.508346) , 
6.38061, 0, 0, 0, 0.50345) , 
4.4803, 0, 1, 0, 0.500171) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537158) , 
-5.56782, 0, 0, 0, 0.501265) , 
1.18567, 1, 1, 0, 0.496788)    );
  // itree = 62
  fBoostWeights.push_back(0.05836);
  fForest.push_back( 
NN(
NN(
0, 
0, 
-5.81718, 1, -1, -1, 0.485577) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480683) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492621) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506314) , 
4.52696, 0, 1, 0, 0.500443) , 
3.98986, 1, 1, 0, 0.491414) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.363171) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470235) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483743) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518795) , 
-1.88911, 1, 1, 0, 0.49087) , 
-10.0368, 1, 0, 0, 0.484447) , 
0.107811, 0, 1, 0, 0.481817) , 
NN(
0, 
0, 
-2.02856, 1, -1, 1, 0.503391) , 
-11.2062, 0, 0, 0, 0.491528) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.396666) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480678) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487987) , 
6.54502, 0, 0, 0, 0.485229) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504342) , 
9.44602, 1, 0, 0, 0.488468) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501835) , 
2.68777, 1, 1, 0, 0.492934) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524565) , 
0.52167, 0, 0, 0, 0.496007) , 
-4.68734, 1, 0, 0, 0.494616) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480002) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487823) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504173) , 
-4.08389, 1, 0, 0, 0.498621) , 
NN(
0, 
0, 
-7.13242, 1, -1, 1, 0.508711) , 
-5.53954, 0, 0, 0, 0.502544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525542) , 
-0.246094, 1, 0, 0, 0.505573) , 
2.72927, 0, 0, 0, 0.504215) , 
NN(
0, 
0, 
8.9702, 0, -1, 1, 0.556871) , 
5.02418, 1, 0, 0, 0.506455) , 
0.539725, 0, 1, 0, 0.501825) , 
NN(
0, 
0, 
1.39489, 1, -1, 1, 0.513451) , 
11.3392, 1, 0, 0, 0.502961) , 
-8.08819, 1, 0, 0, 0.500346) , 
3.31147, 0, 1, 0, 0.498515) , 
NN(
0, 
0, 
6.20602, 1, -1, 1, 0.517879) , 
5.12053, 1, 1, 0, 0.4993) , 
-5.21681, 1, 1, 0, 0.498845)    );
  // itree = 63
  fBoostWeights.push_back(0.0541157);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478777) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48426) , 
NN(
0, 
0, 
3.29265, 1, -1, -1, 0.497164) , 
4.06113, 0, 1, 0, 0.494272) , 
-0.780702, 1, 0, 0, 0.492703) , 
NN(
0, 
0, 
6.22669, 1, -1, 1, 0.513461) , 
4.74706, 1, 1, 0, 0.496411) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476359) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481565) , 
NN(
0, 
0, 
-4.03164, 0, -1, 1, 0.506886) , 
-4.53518, 1, 1, 0, 0.497706) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532015) , 
-5.83266, 0, 1, 0, 0.499677) , 
0.307135, 0, 0, 0, 0.495838) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
6.72923, 1, -1, -1, 0.467231) , 
NN(
NN(
0, 
0, 
0.0714183, 0, -1, -1, 0.48582) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522031) , 
-3.77195, 1, 0, 0, 0.500381) , 
4.62341, 0, 0, 0, 0.494539) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504517) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.587359) , 
-2.04289, 0, 0, 0, 0.50872) , 
1.36749, 1, 1, 0, 0.499035) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491463) , 
NN(
NN(
0, 
0, 
-2.48686, 0, -1, 1, 0.501196) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507968) , 
-8.26434, 1, 0, 0, 0.504889) , 
-2.60002, 0, 0, 0, 0.502712) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.599279) , 
3.38025, 1, 0, 0, 0.505024) , 
-1.68175, 0, 1, 0, 0.502182) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510978) , 
11.0993, 1, 0, 0, 0.502903) , 
-3.57618, 1, 1, 0, 0.500818) , 
2.25275, 0, 1, 0, 0.499238)    );
  // itree = 64
  fBoostWeights.push_back(0.0570353);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478087) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495627) , 
3.65752, 1, 1, 0, 0.489435) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469214) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481666) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493275) , 
-6.36606, 0, 0, 0, 0.486594) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459561) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488687) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496134) , 
1.57452, 0, 1, 0, 0.491123) , 
-0.222975, 1, 0, 0, 0.489017) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-0.290965, 0, -1, -1, 0.46499) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495399) , 
-5.95815, 1, 0, 0, 0.480436) , 
NN(
NN(
0, 
0, 
-2.86301, 0, -1, -1, 0.490662) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483954) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521779) , 
-6.62815, 0, 0, 0, 0.504845) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531603) , 
-1.49679, 1, 1, 0, 0.510751) , 
-2.41728, 1, 1, 0, 0.500115) , 
-1.14775, 0, 1, 0, 0.496186) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522956) , 
0.4842, 1, 1, 0, 0.49743) , 
NN(
0, 
0, 
9.69492, 0, -1, 1, 0.529443) , 
5.61719, 1, 0, 0, 0.500423) , 
1.03283, 0, 1, 0, 0.497702) , 
-3.35565, 1, 1, 0, 0.494926) , 
NN(
0, 
0, 
-3.93655, 1, -1, 1, 0.51071) , 
-4.55684, 0, 1, 0, 0.496669) , 
-6.01286, 1, 1, 0, 0.496364) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488234) , 
NN(
0, 
0, 
2.78181, 0, -1, 1, 0.511602) , 
1.95368, 1, 0, 0, 0.507722) , 
2.30698, 1, 1, 0, 0.498178) , 
3.30636, 0, 1, 0, 0.496895) , 
NN(
0, 
0, 
1.89018, 0, -1, 1, 0.50556) , 
4.38691, 1, 1, 0, 0.497742)    );
  // itree = 65
  fBoostWeights.push_back(0.0472351);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
6.56701, 1, -1, -1, 0.496973) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47411) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519189) , 
-3.09706, 0, 0, 0, 0.49286) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499907) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520347) , 
2.73488, 0, 0, 0, 0.509125) , 
-0.0129253, 1, 0, 0, 0.504016) , 
5.22074, 0, 0, 0, 0.500259) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477356) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495093) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465525) , 
NN(
NN(
NN(
0, 
0, 
-1.05475, 1, -1, -1, 0.494879) , 
NN(
NN(
0, 
0, 
-2.77442, 0, -1, 1, 0.502788) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517405) , 
-10.3273, 0, 0, 0, 0.506445) , 
-1.81816, 0, 1, 0, 0.503445) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527497) , 
0.217699, 1, 1, 0, 0.503896) , 
0.830127, 0, 1, 0, 0.503397) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490975) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500312) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519586) , 
1.62812, 0, 1, 0, 0.506905) , 
1.16635, 1, 1, 0, 0.502829) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502024) , 
NN(
0, 
0, 
8.92015, 0, -1, 1, 0.533019) , 
1.33465, 1, 0, 0, 0.515121) , 
0.514513, 0, 1, 0, 0.50848) , 
-2.60604, 1, 0, 0, 0.50552) , 
-4.06813, 1, 1, 0, 0.504534) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495794) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525856) , 
-5.12425, 1, 1, 0, 0.512701) , 
-4.58068, 0, 1, 0, 0.505425) , 
-6.03046, 1, 1, 0, 0.505132) , 
2.25275, 0, 1, 0, 0.503384)    );
  // itree = 66
  fBoostWeights.push_back(0.0489936);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
3.12462, 0, -1, -1, 0.493916) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487941) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495445) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509132) , 
-4.5143, 0, 0, 0, 0.50146) , 
-8.50938, 1, 0, 0, 0.498148) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452011) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501773) , 
-0.824078, 1, 1, 0, 0.492674) , 
NN(
NN(
NN(
0, 
0, 
2.13514, 1, -1, -1, 0.492553) , 
NN(
0, 
0, 
7.81262, 0, -1, 1, 0.516294) , 
1.63251, 0, 1, 0, 0.501583) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.58004) , 
-0.82377, 0, 1, 0, 0.504543) , 
5.17179, 1, 0, 0, 0.500559) , 
NN(
NN(
NN(
0, 
0, 
0.461784, 1, -1, -1, 0.488435) , 
NN(
NN(
0, 
0, 
-2.57158, 0, -1, 1, 0.50485) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505719) , 
NN(
0, 
0, 
-10.3721, 0, -1, 1, 0.516262) , 
-7.57158, 0, 0, 0, 0.511115) , 
-2.17681, 1, 1, 0, 0.508005) , 
-0.791526, 0, 1, 0, 0.504866) , 
NN(
0, 
0, 
1.89436, 0, -1, 1, 0.534899) , 
1.21379, 1, 1, 0, 0.506433) , 
0.135036, 0, 0, 0, 0.503682) , 
-3.00801, 1, 1, 0, 0.501771) , 
2.81524, 0, 1, 0, 0.500875) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480756) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495294) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517237) , 
5.10387, 0, 1, 0, 0.508069) , 
0.606472, 1, 0, 0, 0.500662) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506696) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513449) , 
3.93299, 1, 1, 0, 0.510079) , 
4.44862, 0, 1, 0, 0.505944) , 
3.46656, 1, 1, 0, 0.501965) , 
NN(
0, 
0, 
-5.81718, 1, -1, 1, 0.520012) , 
-5.21681, 0, 1, 0, 0.502564)    );
  // itree = 67
  fBoostWeights.push_back(0.0526942);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-6.12681, 0, -1, -1, 0.480289) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498172) , 
-5.08455, 1, 0, 0, 0.487331) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502832) , 
-7.27872, 0, 0, 0, 0.489876) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478572) , 
NN(
0, 
0, 
2.28657, 0, -1, -1, 0.491325) , 
1.77813, 1, 1, 0, 0.488517) , 
NN(
NN(
NN(
NN(
0, 
0, 
3.78684, 1, -1, -1, 0.485458) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499003) , 
6.1167, 0, 0, 0, 0.491805) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509306) , 
10.142, 1, 0, 0, 0.495546) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505665) , 
2.47434, 0, 0, 0, 0.497904) , 
2.74653, 1, 1, 0, 0.4949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496728) , 
NN(
NN(
0, 
0, 
0.161493, 1, -1, -1, 0.491305) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466976) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52796) , 
3.894, 0, 0, 0, 0.507198) , 
NN(
0, 
0, 
-0.116879, 0, -1, 1, 0.564227) , 
6.33991, 1, 0, 0, 0.519991) , 
9.79278, 0, 0, 0, 0.510903) , 
0.58496, 1, 0, 0, 0.504353) , 
1.41083, 0, 1, 0, 0.497708) , 
-3.46258, 1, 0, 0, 0.496059) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490211) , 
NN(
NN(
0, 
0, 
-0.719573, 0, -1, -1, 0.491163) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511181) , 
-2.65672, 0, 1, 0, 0.501133) , 
-12.8077, 1, 0, 0, 0.498251) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.542039) , 
0.442925, 1, 1, 0, 0.500913) , 
-8.08819, 0, 0, 0, 0.496924) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.525239) , 
5.52073, 1, 1, 0, 0.49759) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503911) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480074) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.515374) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533618) , 
-4.86071, 0, 1, 0, 0.521604) , 
-5.64675, 1, 1, 0, 0.516962) , 
-1.74559, 0, 0, 0, 0.512797) , 
-4.14973, 0, 1, 0, 0.499424)    );
  // itree = 68
  fBoostWeights.push_back(0.0643906);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.42602, 0, -1, -1, 0.434463) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467652) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519326) , 
-3.74405, 0, 0, 0, 0.48748) , 
2.24446, 1, 1, 0, 0.478953) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495909) , 
-0.52398, 1, 0, 0, 0.489079) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479472) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489402) , 
-8.82497, 0, 0, 0, 0.483178) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498506) , 
-2.77215, 1, 1, 0, 0.488055) , 
NN(
0, 
0, 
-0.989043, 0, -1, 1, 0.510049) , 
-1.95529, 1, 1, 0, 0.493291) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514436) , 
-4.46807, 0, 1, 0, 0.496082) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478696) , 
NN(
0, 
0, 
-2.19448, 0, -1, 1, 0.514259) , 
-4.4682, 1, 1, 0, 0.506391) , 
-5.05664, 1, 0, 0, 0.500623) , 
0.318709, 0, 1, 0, 0.497834) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515564) , 
-12.2341, 0, 0, 0, 0.499451) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467283) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505412) , 
-1.55731, 1, 1, 0, 0.47527) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472163) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482325) , 
NN(
0, 
0, 
8.58852, 0, -1, 1, 0.502378) , 
4.62243, 0, 1, 0, 0.499075) , 
2.51832, 1, 1, 0, 0.492379) , 
NN(
0, 
0, 
0.250684, 1, -1, 1, 0.514362) , 
1.59331, 0, 1, 0, 0.49543) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520558) , 
12.6842, 1, 0, 0, 0.499778) , 
-0.554835, 1, 1, 0, 0.498625) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495546) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524813) , 
3.48932, 1, 1, 0, 0.508701) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536944) , 
0.50445, 0, 1, 0, 0.512859) , 
6.13115, 0, 0, 0, 0.503434) , 
2.87611, 1, 0, 0, 0.500998) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531799) , 
-6.28389, 0, 1, 0, 0.501114)    );
  // itree = 69
  fBoostWeights.push_back(0.0638307);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482565) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514597) , 
12.4356, 0, 0, 0, 0.494305) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471245) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459616) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479068) , 
NN(
NN(
0, 
0, 
1.39631, 0, -1, -1, 0.46455) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486106) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49561) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491023) , 
NN(
0, 
0, 
-2.83196, 1, -1, 1, 0.50773) , 
-1.63611, 0, 1, 0, 0.505378) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.566533) , 
-0.426604, 1, 1, 0, 0.506998) , 
-4.53119, 0, 0, 0, 0.50332) , 
-12.0154, 1, 0, 0, 0.50101) , 
0.506342, 0, 1, 0, 0.500134) , 
-4.825, 1, 1, 0, 0.498506) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.557782) , 
-5.80795, 0, 1, 0, 0.499739) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520389) , 
2.05414, 1, 1, 0, 0.501215) , 
4.52513, 0, 1, 0, 0.499571) , 
NN(
NN(
0, 
0, 
6.77804, 1, -1, -1, 0.498456) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439896) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499544) , 
-0.972747, 1, 1, 0, 0.486115) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52083) , 
-2.93598, 0, 1, 0, 0.499238) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50803) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521748) , 
4.70157, 1, 1, 0, 0.51125) , 
2.29939, 1, 1, 0, 0.505895) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525602) , 
5.06984, 1, 0, 0, 0.509435) , 
6.15385, 0, 0, 0, 0.507372) , 
-0.0411148, 1, 0, 0, 0.50248) , 
7.46784, 0, 0, 0, 0.501209) , 
NN(
0, 
0, 
9.91968, 0, -1, 1, 0.514732) , 
8.32386, 1, 0, 0, 0.502454) , 
11.0993, 0, 0, 0, 0.501795)    );
  // itree = 70
  fBoostWeights.push_back(0.0645422);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473119) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484416) , 
NN(
NN(
0, 
0, 
-1.18583, 1, -1, -1, 0.45699) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488972) , 
NN(
NN(
0, 
0, 
8.6863, 1, -1, -1, 0.49085) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512625) , 
6.46929, 0, 0, 0, 0.500029) , 
3.71286, 0, 1, 0, 0.497374) , 
NN(
0, 
0, 
6.46711, 0, -1, 1, 0.507323) , 
4.56486, 1, 1, 0, 0.498826) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513363) , 
12.3816, 1, 0, 0, 0.500402) , 
NN(
0, 
0, 
0.237003, 1, -1, 1, 0.531077) , 
0.778, 0, 1, 0, 0.502271) , 
-0.494859, 1, 1, 0, 0.501411) , 
2.09701, 1, 0, 0, 0.499412) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527043) , 
-1.94955, 0, 1, 0, 0.500397) , 
-3.61327, 1, 1, 0, 0.498612) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473849) , 
NN(
NN(
NN(
0, 
0, 
1.32115, 1, -1, -1, 0.480857) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492105) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490628) , 
NN(
0, 
0, 
-2.22237, 1, -1, 1, 0.506443) , 
-1.58377, 0, 1, 0, 0.503237) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513712) , 
-3.54841, 0, 1, 0, 0.506506) , 
-7.01957, 0, 0, 0, 0.503522) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510558) , 
-5.67727, 1, 0, 0, 0.5054) , 
NN(
0, 
0, 
-0.0300922, 0, -1, 1, 0.530268) , 
-0.637854, 1, 1, 0, 0.506764) , 
0.64169, 0, 1, 0, 0.505464) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539287) , 
-0.0238591, 1, 1, 0, 0.520598) , 
-3.12006, 1, 0, 0, 0.508918) , 
4.52513, 0, 1, 0, 0.507508) , 
0.135036, 0, 0, 0, 0.503141)    );
  // itree = 71
  fBoostWeights.push_back(0.0613329);
  fForest.push_back( 
NN(
NN(
0, 
0, 
1.43835, 0, -1, -1, 0.49038) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473581) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489935) , 
4.3035, 0, 0, 0, 0.482692) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502271) , 
4.98478, 1, 0, 0, 0.489283) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482015) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487863) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503912) , 
-4.848, 0, 1, 0, 0.493061) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476019) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4869) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494492) , 
-3.93664, 1, 0, 0, 0.491122) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488311) , 
NN(
NN(
0, 
0, 
-6.95905, 1, -1, -1, 0.497527) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531158) , 
-7.83082, 0, 0, 0, 0.509301) , 
-9.22528, 1, 0, 0, 0.503552) , 
-5.50673, 0, 0, 0, 0.498534) , 
-11.0159, 1, 0, 0, 0.496589) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495892) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518757) , 
-7.48995, 1, 0, 0, 0.508732) , 
-2.70403, 0, 1, 0, 0.501538) , 
-3.84139, 1, 1, 0, 0.499259) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511627) , 
-12.2755, 0, 0, 0, 0.500873) , 
-2.20136, 0, 0, 0, 0.498108) , 
NN(
NN(
0, 
0, 
1.31395, 0, -1, -1, 0.493747) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522726) , 
1.64292, 0, 0, 0, 0.508307) , 
-0.27914, 1, 0, 0, 0.500368) , 
3.38177, 0, 0, 0, 0.498893) , 
NN(
NN(
0, 
0, 
7.61766, 1, -1, 1, 0.504179) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.563993) , 
-0.532815, 0, 1, 0, 0.50699) , 
5.7564, 1, 0, 0, 0.499907) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451982) , 
NN(
0, 
0, 
3.10289, 1, -1, 1, 0.518488) , 
0.265187, 1, 1, 0, 0.515377) , 
8.32386, 1, 0, 0, 0.501332) , 
11.0993, 0, 0, 0, 0.500447)    );
  // itree = 72
  fBoostWeights.push_back(0.0544854);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
5.17479, 1, -1, -1, 0.460036) , 
NN(
NN(
NN(
NN(
0, 
0, 
6.21819, 1, -1, -1, 0.488798) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501963) , 
2.44135, 1, 0, 0, 0.499955) , 
4.99058, 0, 0, 0, 0.495504) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513668) , 
0.555201, 0, 1, 0, 0.496514) , 
NN(
NN(
0, 
0, 
10.6481, 1, -1, -1, 0.48725) , 
NN(
NN(
NN(
0, 
0, 
3.36173, 0, -1, -1, 0.498935) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519222) , 
4.22154, 1, 1, 0, 0.503653) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522231) , 
2.41186, 0, 1, 0, 0.508441) , 
1.47158, 1, 1, 0, 0.504693) , 
7.32885, 1, 0, 0, 0.500187) , 
-1.38259, 1, 1, 0, 0.497078) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535267) , 
-4.59872, 0, 1, 0, 0.498336) , 
NN(
NN(
0, 
0, 
-4.47869, 0, -1, -1, 0.486224) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.389422) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481952) , 
2.12193, 1, 1, 0, 0.471719) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489363) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496118) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47946) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50483) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506714) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524781) , 
-8.60533, 0, 0, 0, 0.515586) , 
-3.5468, 1, 1, 0, 0.511442) , 
-2.06571, 0, 1, 0, 0.50613) , 
NN(
0, 
0, 
0.00923617, 0, -1, 1, 0.528875) , 
-1.24663, 1, 1, 0, 0.508693) , 
-5.70709, 0, 0, 0, 0.504997) , 
-12.5258, 1, 0, 0, 0.502842) , 
0.937904, 0, 1, 0, 0.500887) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507888) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517854) , 
-1.57368, 1, 0, 0, 0.513084) , 
-3.12006, 1, 0, 0, 0.503702) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.571343) , 
5.24421, 1, 1, 0, 0.505032) , 
-4.8872, 1, 1, 0, 0.503541) , 
0.135036, 0, 0, 0, 0.500986)    );
  // itree = 73
  fBoostWeights.push_back(0.0564977);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502024) , 
12.4356, 0, 0, 0, 0.487326) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475141) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482444) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491997) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501054) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50657) , 
-4.05167, 1, 1, 0, 0.503844) , 
-3.62351, 0, 1, 0, 0.498924) , 
-4.52496, 1, 1, 0, 0.495403) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512129) , 
-5.21963, 0, 1, 0, 0.497178) , 
-6.03048, 1, 1, 0, 0.496601) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489211) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479696) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494935) , 
3.12075, 1, 1, 0, 0.4873) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48343) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500093) , 
2.55749, 0, 0, 0, 0.490884) , 
NN(
0, 
0, 
4.67029, 0, -1, 1, 0.518534) , 
5.899, 1, 0, 0, 0.502203) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522862) , 
-1.13531, 0, 0, 0, 0.505289) , 
3.64196, 1, 1, 0, 0.497899) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482077) , 
NN(
NN(
0, 
0, 
1.40892, 1, -1, -1, 0.425271) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496873) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510177) , 
-1.82753, 1, 1, 0, 0.502454) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.586501) , 
-0.335926, 1, 1, 0, 0.507365) , 
0.569523, 0, 1, 0, 0.505263) , 
-3.35654, 0, 0, 0, 0.498741) , 
NN(
NN(
NN(
0, 
0, 
8.02748, 0, -1, -1, 0.484871) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489194) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509597) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536824) , 
7.07156, 1, 0, 0, 0.516588) , 
9.14448, 0, 0, 0, 0.511612) , 
0.263414, 1, 1, 0, 0.508068) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.647069) , 
-1.80059, 0, 1, 0, 0.513084) , 
-0.071454, 1, 0, 0, 0.505858) , 
2.54466, 0, 1, 0, 0.501734) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502238) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521732) , 
-0.675398, 0, 1, 0, 0.516966) , 
-10.1783, 0, 0, 0, 0.503266) , 
-2.72239, 1, 1, 0, 0.502274) , 
-3.08265, 1, 1, 0, 0.500703) , 
11.0993, 0, 0, 0, 0.499621)    );
  // itree = 74
  fBoostWeights.push_back(0.0626126);
  fForest.push_back( 
NN(
NN(
0, 
0, 
2.33293, 1, -1, -1, 0.491112) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484962) , 
NN(
0, 
0, 
-0.706942, 0, -1, -1, 0.496531) , 
-4.40493, 0, 1, 0, 0.490708) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511885) , 
-3.60289, 1, 1, 0, 0.496499) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.405827) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481555) , 
1.38822, 1, 1, 0, 0.459913) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483008) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51522) , 
0.740863, 0, 1, 0, 0.50254) , 
-8.35195, 0, 0, 0, 0.48445) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469541) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471458) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475028) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534088) , 
0.63906, 0, 1, 0, 0.482247) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499678) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51587) , 
6.2886, 1, 0, 0, 0.506412) , 
2.26345, 1, 1, 0, 0.499363) , 
4.81942, 0, 1, 0, 0.496146) , 
NN(
0, 
0, 
1.88716, 0, -1, 1, 0.508657) , 
8.68013, 1, 0, 0, 0.498996) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518819) , 
2.3014, 0, 0, 0, 0.502353) , 
-0.252978, 1, 0, 0, 0.499593) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.552098) , 
-2.66115, 0, 0, 0, 0.501438) , 
-4.62767, 1, 0, 0, 0.50017) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461956) , 
NN(
NN(
NN(
0, 
0, 
-1.19967, 1, -1, -1, 0.495452) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510939) , 
-2.26312, 0, 1, 0, 0.502526) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511674) , 
-5.4282, 1, 0, 0, 0.505571) , 
1.45559, 0, 0, 0, 0.503899) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.895747) , 
5.03155, 1, 0, 0, 0.507314) , 
-0.561569, 0, 1, 0, 0.502531) , 
-3.08265, 1, 1, 0, 0.50086) , 
11.0993, 0, 0, 0, 0.500072)    );
  // itree = 75
  fBoostWeights.push_back(0.0521194);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473451) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513449) , 
1.16718, 1, 0, 0, 0.493002) , 
NN(
NN(
0, 
0, 
-0.574426, 0, -1, -1, 0.49269) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493378) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503395) , 
-1.61839, 1, 1, 0, 0.496553) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453345) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490586) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501144) , 
-7.20098, 0, 0, 0, 0.495764) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488645) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516364) , 
-1.68658, 0, 1, 0, 0.506991) , 
-2.67404, 1, 1, 0, 0.500318) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516215) , 
-4.55494, 0, 1, 0, 0.502437) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532429) , 
-0.595303, 1, 1, 0, 0.503575) , 
0.990638, 0, 1, 0, 0.50172) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511932) , 
-4.5172, 1, 0, 0, 0.503486) , 
-3.31892, 0, 0, 0, 0.501761) , 
-10.1657, 1, 0, 0, 0.49968) , 
-0.721596, 0, 0, 0, 0.49836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535968) , 
-6.05717, 0, 1, 0, 0.498733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510163) , 
4.38691, 1, 1, 0, 0.499511) , 
NN(
NN(
NN(
NN(
0, 
0, 
7.79713, 0, -1, -1, 0.491359) , 
NN(
0, 
0, 
8.8225, 0, -1, 1, 0.556477) , 
0.135906, 0, 1, 0, 0.494206) , 
NN(
0, 
0, 
2.33293, 1, -1, 1, 0.50913) , 
11.2578, 1, 0, 0, 0.498632) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501847) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531212) , 
-0.253214, 0, 1, 0, 0.507966) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51802) , 
3.3608, 1, 1, 0, 0.512138) , 
6.13115, 0, 0, 0, 0.503201) , 
2.87611, 1, 0, 0, 0.50094)    );
  // itree = 76
  fBoostWeights.push_back(0.0436361);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-9.2961, 1, -1, -1, 0.44447) , 
NN(
NN(
0, 
0, 
-4.068, 0, -1, -1, 0.490563) , 
NN(
0, 
0, 
-9.29665, 1, -1, 1, 0.512349) , 
-1.972, 1, 1, 0, 0.494898) , 
-0.355344, 0, 1, 0, 0.492229) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422416) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.0562345, 0, -1, -1, 0.467937) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461049) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490773) , 
NN(
NN(
NN(
NN(
0, 
0, 
2.65651, 0, -1, -1, 0.490935) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502801) , 
1.81784, 0, 1, 0, 0.494154) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490624) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51011) , 
4.15155, 0, 1, 0, 0.503262) , 
3.27642, 1, 1, 0, 0.498025) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516743) , 
4.79858, 1, 1, 0, 0.499867) , 
1.72368, 1, 0, 0, 0.498186) , 
5.9772, 0, 1, 0, 0.497446) , 
0.739626, 1, 1, 0, 0.495787) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484309) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53229) , 
-4.70721, 1, 0, 0, 0.511555) , 
-2.7916, 0, 0, 0, 0.496675) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487678) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493943) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510859) , 
1.12616, 1, 0, 0, 0.49907) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503639) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510121) , 
-5.45222, 1, 0, 0, 0.507858) , 
-2.6016, 0, 0, 0, 0.504146) , 
-1.84917, 0, 1, 0, 0.501712) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.552645) , 
6.16991, 1, 0, 0, 0.502846) , 
-0.561628, 0, 1, 0, 0.499053) , 
-6.28389, 1, 1, 0, 0.498755) , 
-6.82473, 1, 0, 0, 0.497466) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508239) , 
-12.0285, 0, 0, 0, 0.498161) , 
NN(
0, 
0, 
2.33293, 0, -1, 1, 0.50743) , 
11.0993, 1, 0, 0, 0.498911)    );
  // itree = 77
  fBoostWeights.push_back(0.0565741);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453456) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.483357) , 
-5.02995, 1, 1, 0, 0.476698) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475922) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452126) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463771) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480343) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492472) , 
3.98445, 1, 1, 0, 0.4862) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486876) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.4993) , 
1.91161, 1, 1, 0, 0.493517) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508746) , 
2.7774, 1, 1, 0, 0.498732) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528736) , 
9.64764, 1, 0, 0, 0.502294) , 
3.44769, 0, 1, 0, 0.496843) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513157) , 
4.57801, 1, 1, 0, 0.499057) , 
5.77111, 0, 1, 0, 0.498123) , 
0.468712, 1, 1, 0, 0.496853) , 
11.0069, 0, 0, 0, 0.495057) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.583388) , 
-0.279213, 0, 1, 0, 0.495995) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515184) , 
12.5607, 1, 0, 0, 0.498002) , 
NN(
0, 
0, 
-1.81921, 0, -1, 1, 0.527119) , 
-1.08782, 0, 1, 0, 0.498709) , 
-2.62783, 1, 1, 0, 0.496742) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445481) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467865) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486309) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488542) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506014) , 
-3.77158, 0, 1, 0, 0.495321) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506191) , 
-7.22533, 1, 0, 0, 0.498642) , 
-5.30982, 0, 0, 0, 0.495625) , 
NN(
NN(
0, 
0, 
-12.0144, 0, -1, -1, 0.491741) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501602) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523793) , 
-7.22896, 0, 0, 0, 0.508572) , 
-9.20682, 1, 0, 0, 0.50098) , 
-2.53643, 1, 1, 0, 0.497585) , 
0.14054, 0, 1, 0, 0.497124) , 
0.929783, 0, 1, 0, 0.496605) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520783) , 
2.4335, 1, 1, 0, 0.497945) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489989) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509982) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526118) , 
-0.294397, 0, 1, 0, 0.519695) , 
-2.22487, 1, 0, 0, 0.511515) , 
-3.12006, 1, 0, 0, 0.501263) , 
0.135036, 0, 0, 0, 0.499044)    );
  // itree = 78
  fBoostWeights.push_back(0.0576542);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480289) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461017) , 
NN(
NN(
0, 
0, 
-2.64075, 0, -1, -1, 0.497698) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51666) , 
-1.73469, 1, 1, 0, 0.500742) , 
-1.03328, 0, 1, 0, 0.497148) , 
-4.15092, 1, 1, 0, 0.494147) , 
NN(
NN(
0, 
0, 
-8.94544, 0, -1, 1, 0.511063) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52982) , 
0.656597, 0, 1, 0, 0.516736) , 
-0.128088, 1, 1, 0, 0.495841) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477545) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486545) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514601) , 
5.31473, 1, 1, 0, 0.493658) , 
2.04524, 1, 0, 0, 0.488189) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442929) , 
NN(
NN(
0, 
0, 
3.00005, 1, -1, -1, 0.48993) , 
NN(
0, 
0, 
11.3504, 1, -1, 1, 0.509507) , 
1.97539, 0, 1, 0, 0.496465) , 
-0.205985, 1, 1, 0, 0.492759) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477655) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515518) , 
-0.718909, 1, 1, 0, 0.493955) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515477) , 
-3.3159, 1, 0, 0, 0.502447) , 
-1.8147, 0, 0, 0, 0.495195) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507222) , 
-0.113982, 1, 0, 0, 0.499387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526232) , 
-5.3369, 0, 1, 0, 0.500885) , 
NN(
NN(
NN(
0, 
0, 
0.490564, 1, -1, -1, 0.498356) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514539) , 
4.89442, 0, 0, 0, 0.506415) , 
NN(
NN(
0, 
0, 
7.96561, 0, -1, 1, 0.512506) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.581628) , 
-0.175018, 0, 1, 0, 0.515473) , 
6.58473, 1, 0, 0, 0.510159) , 
3.02612, 1, 0, 0, 0.504757) , 
9.21495, 0, 0, 0, 0.502381) , 
4.38691, 0, 1, 0, 0.500508) , 
-5.34711, 1, 0, 0, 0.499138)    );
  // itree = 79
  fBoostWeights.push_back(0.059149);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
5.17479, 1, -1, -1, 0.462917) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477446) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488324) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50395) , 
4.64592, 1, 1, 0, 0.492175) , 
2.21666, 1, 1, 0, 0.48813) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445553) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489295) , 
1.47248, 1, 1, 0, 0.483952) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488358) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502468) , 
3.5244, 1, 1, 0, 0.494126) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508621) , 
6.76121, 1, 0, 0, 0.49948) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.632831) , 
0.554795, 0, 1, 0, 0.501855) , 
7.99053, 0, 0, 0, 0.496366) , 
NN(
NN(
0, 
0, 
0.400551, 0, -1, -1, 0.497348) , 
NN(
0, 
0, 
11.948, 0, -1, 1, 0.511266) , 
1.71662, 1, 1, 0, 0.507457) , 
9.56873, 1, 0, 0, 0.500675) , 
4.71293, 1, 0, 0, 0.496702) , 
-1.38259, 1, 1, 0, 0.494108) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531742) , 
-4.59872, 0, 1, 0, 0.495348) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481458) , 
2.00707, 1, 1, 0, 0.45463) , 
NN(
0, 
0, 
-0.318472, 1, -1, -1, 0.487731) , 
0.510901, 0, 1, 0, 0.473178) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488683) , 
-10.5259, 0, 0, 0, 0.47889) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49634) , 
-1.23499, 0, 1, 0, 0.484439) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510098) , 
-3.12006, 1, 0, 0, 0.493168) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537103) , 
5.11342, 1, 1, 0, 0.496243) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482595) , 
NN(
NN(
0, 
0, 
-2.94657, 1, -1, -1, 0.49798) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496314) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50928) , 
-6.06256, 0, 0, 0, 0.502381) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510535) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524325) , 
-5.56634, 1, 0, 0, 0.518091) , 
-3.42516, 0, 1, 0, 0.509762) , 
-9.78032, 1, 0, 0, 0.507003) , 
-4.94104, 1, 1, 0, 0.504987) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544486) , 
-5.86766, 0, 1, 0, 0.50594) , 
-1.74976, 0, 1, 0, 0.503014) , 
0.135036, 0, 0, 0, 0.499251)    );
  // itree = 80
  fBoostWeights.push_back(0.0514308);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470436) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48726) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494505) , 
3.70052, 1, 1, 0, 0.491223) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498178) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507941) , 
4.6858, 0, 1, 0, 0.503846) , 
4.21552, 1, 1, 0, 0.496523) , 
5.2055, 0, 1, 0, 0.493508) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519037) , 
5.92088, 1, 1, 0, 0.494566) , 
NN(
NN(
0, 
0, 
-6.44272, 1, -1, -1, 0.474021) , 
NN(
NN(
0, 
0, 
2.99885, 0, -1, -1, 0.495313) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490615) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474226) , 
NN(
NN(
NN(
0, 
0, 
0.607053, 0, -1, -1, 0.488304) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460392) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482611) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488895) , 
-1.68647, 0, 1, 0, 0.487071) , 
NN(
0, 
0, 
-11.2845, 1, -1, 1, 0.50244) , 
-9.28923, 0, 0, 0, 0.495775) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507756) , 
-5.90327, 1, 0, 0, 0.499913) , 
-0.283056, 0, 0, 0, 0.496769) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492782) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494911) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517462) , 
-7.16871, 0, 0, 0, 0.502563) , 
-3.62462, 0, 1, 0, 0.499437) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508246) , 
-4.64422, 0, 1, 0, 0.501628) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519713) , 
-3.23785, 1, 1, 0, 0.504806) , 
-2.88832, 0, 1, 0, 0.501299) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.58038) , 
5.01324, 1, 0, 0, 0.5022) , 
-0.359106, 0, 1, 0, 0.501035) , 
NN(
NN(
0, 
0, 
1.80636, 0, -1, -1, 0.484273) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515675) , 
-0.0372108, 1, 0, 0, 0.511607) , 
1.18689, 1, 1, 0, 0.502314) , 
7.46779, 0, 0, 0, 0.501684) , 
NN(
0, 
0, 
-0.0624033, 0, -1, 1, 0.522732) , 
8.32385, 1, 0, 0, 0.502859) , 
11.0993, 0, 0, 0, 0.502019) , 
2.64434, 0, 1, 0, 0.501243) , 
-5.68373, 1, 1, 0, 0.500715) , 
3.31983, 0, 1, 0, 0.49931)    );
  // itree = 81
  fBoostWeights.push_back(0.0453597);
  fForest.push_back( 
NN(
NN(
0, 
0, 
6.1877, 1, -1, -1, 0.489205) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481735) , 
NN(
0, 
0, 
-5.93588, 1, -1, -1, 0.49951) , 
-1.74559, 0, 0, 0, 0.493804) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486266) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49816) , 
1.68256, 1, 1, 0, 0.477861) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489402) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506686) , 
-8.39822, 1, 0, 0, 0.500714) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.540572) , 
-0.400824, 1, 1, 0, 0.502724) , 
0.587987, 0, 1, 0, 0.500119) , 
-4.34575, 0, 0, 0, 0.496222) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473134) , 
NN(
0, 
0, 
-0.066807, 0, -1, -1, 0.495666) , 
6.95784, 1, 0, 0, 0.482733) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484511) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488003) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498473) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509024) , 
2.35377, 0, 1, 0, 0.504045) , 
1.71547, 1, 1, 0, 0.500662) , 
2.82563, 0, 1, 0, 0.496137) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498541) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507506) , 
4.56544, 1, 1, 0, 0.501909) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514413) , 
3.76155, 0, 1, 0, 0.505843) , 
3.27019, 1, 1, 0, 0.500902) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524311) , 
1.29406, 0, 1, 0, 0.502457) , 
0.699672, 1, 1, 0, 0.500889) , 
NN(
0, 
0, 
5.0449, 1, -1, 1, 0.516943) , 
-1.10372, 0, 1, 0, 0.50181) , 
-1.88627, 1, 0, 0, 0.50034) , 
NN(
0, 
0, 
-0.680439, 0, -1, 1, 0.506014) , 
-10.8293, 0, 0, 0, 0.50082) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51341) , 
-7.17781, 1, 0, 0, 0.507435) , 
-3.00762, 0, 1, 0, 0.50199) , 
-4.21643, 1, 1, 0, 0.501047) , 
5.45399, 0, 1, 0, 0.500774)    );
  // itree = 82
  fBoostWeights.push_back(0.046268);
  fForest.push_back( 
NN(
NN(
0, 
0, 
1.89018, 0, -1, -1, 0.495315) , 
NN(
NN(
NN(
0, 
0, 
-6.35546, 0, -1, -1, 0.480877) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482134) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505499) , 
-7.99159, 0, 0, 0, 0.491648) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491537) , 
-4.72521, 1, 0, 0, 0.481439) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.458028) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490176) , 
-7.20788, 1, 0, 0, 0.481714) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497485) , 
-1.21471, 0, 1, 0, 0.489965) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527414) , 
-0.131015, 1, 1, 0, 0.495796) , 
0.526598, 0, 1, 0, 0.491621) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507317) , 
-10.9321, 0, 0, 0, 0.495037) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50843) , 
-1.86486, 0, 1, 0, 0.498595) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511725) , 
1.96138, 1, 1, 0, 0.50005) , 
-2.41147, 1, 1, 0, 0.497625) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492394) , 
NN(
0, 
0, 
0.432818, 1, -1, 1, 0.50861) , 
1.68264, 0, 1, 0, 0.499991) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.585034) , 
-0.698017, 0, 1, 0, 0.50386) , 
5.61719, 1, 0, 0, 0.499259) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493541) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501302) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50877) , 
-6.00815, 1, 0, 0, 0.505969) , 
-4.1532, 0, 1, 0, 0.501559) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510148) , 
-3.72123, 1, 1, 0, 0.504647) , 
-3.12544, 0, 1, 0, 0.501095) , 
-5.29189, 1, 1, 0, 0.500232) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490921) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502243) , 
9.19717, 1, 0, 0, 0.495381) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515939) , 
3.89601, 0, 0, 0, 0.501625) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51537) , 
3.71153, 1, 1, 0, 0.506424) , 
2.58609, 1, 1, 0, 0.501781) , 
4.38691, 0, 1, 0, 0.501151)    );
  // itree = 83
  fBoostWeights.push_back(0.0459658);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479603) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479448) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48243) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504231) , 
-8.1387, 0, 0, 0, 0.491994) , 
-10.4375, 1, 0, 0, 0.487482) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502461) , 
-5.59733, 1, 0, 0, 0.492887) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496262) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512424) , 
-8.29171, 0, 0, 0, 0.500948) , 
-3.26072, 0, 1, 0, 0.496431) , 
-4.56554, 1, 1, 0, 0.494628) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477734) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500652) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507684) , 
-0.487734, 1, 0, 0, 0.504926) , 
3.95249, 0, 1, 0, 0.495524) , 
NN(
NN(
NN(
0, 
0, 
-0.353534, 0, -1, -1, 0.489097) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536862) , 
0.491046, 1, 1, 0, 0.500098) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.516461) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544325) , 
0.617984, 0, 1, 0, 0.533195) , 
-7.64718, 1, 0, 0, 0.51037) , 
-5.03878, 0, 0, 0, 0.500029) , 
-1.49535, 1, 1, 0, 0.496579) , 
NN(
0, 
0, 
-6.05726, 0, -1, 1, 0.512521) , 
-5.21681, 0, 1, 0, 0.497352) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.431177) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500601) , 
-2.54057, 0, 1, 0, 0.489013) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479465) , 
NN(
NN(
0, 
0, 
3.16028, 0, -1, -1, 0.496048) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498972) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516557) , 
8.30568, 1, 0, 0, 0.507453) , 
2.64095, 0, 1, 0, 0.501341) , 
1.43232, 1, 1, 0, 0.498708) , 
NN(
0, 
0, 
0.227621, 1, -1, 1, 0.511776) , 
0.763981, 0, 1, 0, 0.499867) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490848) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505036) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522098) , 
7.165, 1, 0, 0, 0.513261) , 
5.07395, 0, 1, 0, 0.50873) , 
3.73432, 1, 1, 0, 0.50251) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.641338) , 
-0.666355, 0, 1, 0, 0.503494) , 
-1.50622, 1, 1, 0, 0.502592) , 
2.87611, 1, 0, 0, 0.499382)    );
  // itree = 84
  fBoostWeights.push_back(0.0525955);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481112) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481052) , 
NN(
0, 
0, 
-5.06932, 1, -1, -1, 0.496393) , 
-3.16327, 0, 0, 0, 0.489526) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508061) , 
-0.163868, 1, 0, 0, 0.495845) , 
3.76006, 0, 1, 0, 0.491994) , 
NN(
NN(
0, 
0, 
-2.23333, 1, -1, -1, 0.49334) , 
NN(
NN(
0, 
0, 
-0.297678, 0, -1, 1, 0.505827) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536204) , 
1.64817, 1, 1, 0, 0.511479) , 
-1.46514, 1, 1, 0, 0.499736) , 
-6.47784, 0, 0, 0, 0.494978) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481897) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528633) , 
-5.58461, 0, 1, 0, 0.490916) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50826) , 
-7.00321, 0, 0, 0, 0.49609) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495183) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510074) , 
-8.29171, 1, 0, 0, 0.505514) , 
-4.29649, 1, 1, 0, 0.501817) , 
-3.08265, 0, 1, 0, 0.497637) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442484) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489111) , 
-2.54057, 0, 1, 0, 0.481349) , 
NN(
NN(
NN(
NN(
0, 
0, 
3.19548, 1, -1, -1, 0.49044) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510546) , 
1.31695, 0, 1, 0, 0.494015) , 
NN(
NN(
NN(
NN(
0, 
0, 
7.61992, 1, -1, -1, 0.497561) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509151) , 
5.27089, 0, 0, 0, 0.502049) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538746) , 
0.628101, 0, 1, 0, 0.503146) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52273) , 
8.51113, 1, 0, 0, 0.505446) , 
9.31613, 0, 0, 0, 0.501524) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.630697) , 
-0.666355, 0, 1, 0, 0.502435) , 
-1.50622, 1, 1, 0, 0.501122) , 
2.87611, 1, 0, 0, 0.498987)    );
  // itree = 85
  fBoostWeights.push_back(0.0428918);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-6.39044, 1, -1, -1, 0.479437) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477463) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494911) , 
1.87733, 1, 0, 0, 0.486395) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485256) , 
NN(
0, 
0, 
-1.18942, 0, -1, -1, 0.496814) , 
-1.68021, 1, 1, 0, 0.492271) , 
NN(
0, 
0, 
-4.2387, 1, -1, 1, 0.504705) , 
-0.37163, 1, 1, 0, 0.495984) , 
-1.14313, 0, 0, 0, 0.491802) , 
NN(
NN(
0, 
0, 
6.76084, 1, -1, -1, 0.483966) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484929) , 
NN(
0, 
0, 
3.2934, 1, -1, 1, 0.500714) , 
8.59921, 0, 0, 0, 0.496904) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507958) , 
10.3025, 1, 0, 0, 0.500062) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514224) , 
1.81463, 0, 1, 0, 0.501879) , 
1.26908, 1, 1, 0, 0.499238) , 
4.10949, 1, 0, 0, 0.495639) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492856) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490649) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502112) , 
-3.67771, 0, 1, 0, 0.496531) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50005) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510906) , 
-7.48788, 1, 0, 0, 0.505692) , 
-4.93782, 0, 0, 0, 0.501484) , 
-10.3062, 1, 0, 0, 0.500021) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518298) , 
2.3249, 1, 0, 0, 0.501189) , 
-2.17663, 0, 1, 0, 0.497786) , 
-5.3369, 1, 1, 0, 0.49723) , 
NN(
0, 
0, 
1.89018, 0, -1, 1, 0.505936) , 
4.38691, 1, 1, 0, 0.498079)    );
  // itree = 86
  fBoostWeights.push_back(0.0430641);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475364) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465814) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484986) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494091) , 
-5.05554, 0, 0, 0, 0.489626) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505808) , 
-8.26485, 0, 0, 0, 0.493396) , 
-5.52419, 1, 1, 0, 0.491572) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509083) , 
-1.50858, 1, 0, 0, 0.494814) , 
2.02673, 0, 0, 0, 0.492889) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476494) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488647) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497928) , 
-2.32309, 0, 1, 0, 0.493332) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472966) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539816) , 
0.512819, 0, 1, 0, 0.511741) , 
-1.05699, 1, 1, 0, 0.497328) , 
-5.43864, 0, 0, 0, 0.492669) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490804) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481123) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492723) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510807) , 
1.33342, 0, 1, 0, 0.499212) , 
0.874039, 1, 1, 0, 0.494868) , 
NN(
NN(
0, 
0, 
3.57495, 0, -1, -1, 0.49441) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490571) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503764) , 
5.87921, 1, 0, 0, 0.495853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512478) , 
7.24331, 1, 0, 0, 0.500413) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509042) , 
3.60614, 0, 0, 0, 0.503322) , 
8.6229, 0, 0, 0, 0.5005) , 
1.84121, 1, 1, 0, 0.499452) , 
-0.102228, 1, 0, 0, 0.498706) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493959) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508773) , 
-1.64796, 0, 1, 0, 0.5022) , 
NN(
0, 
0, 
8.11609, 0, -1, 1, 0.536497) , 
5.14461, 1, 0, 0, 0.508172) , 
0.293794, 0, 1, 0, 0.500115) , 
-3.87354, 1, 0, 0, 0.498593) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516321) , 
5.92088, 1, 1, 0, 0.498834) , 
-3.08265, 1, 1, 0, 0.49733) , 
NN(
0, 
0, 
-2.36019, 0, -1, 1, 0.506857) , 
-10.8293, 0, 0, 0, 0.498157)    );
  // itree = 87
  fBoostWeights.push_back(0.0578466);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476663) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482579) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484368) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506433) , 
2.98778, 0, 1, 0, 0.494462) , 
-2.08338, 1, 1, 0, 0.490888) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485777) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495982) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51765) , 
5.21074, 0, 0, 0, 0.505525) , 
2.30836, 1, 1, 0, 0.500427) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50647) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.641821) , 
-1.40612, 1, 1, 0, 0.529961) , 
0.165243, 0, 1, 0, 0.503241) , 
3.13792, 1, 0, 0, 0.497064) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545485) , 
-5.5486, 0, 1, 0, 0.498076) , 
NN(
NN(
NN(
NN(
0, 
0, 
-7.14944, 1, -1, -1, 0.468312) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451055) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471836) , 
NN(
NN(
NN(
0, 
0, 
-2.7816, 1, -1, -1, 0.490858) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491837) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505581) , 
-2.78151, 0, 1, 0, 0.500531) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516038) , 
-6.04905, 0, 0, 0, 0.505366) , 
-7.70394, 1, 0, 0, 0.500922) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515212) , 
-10.6013, 0, 0, 0, 0.503024) , 
-5.61057, 1, 1, 0, 0.50217) , 
-0.221939, 0, 1, 0, 0.501292) , 
0.537906, 0, 1, 0, 0.500248) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511924) , 
-13.1898, 0, 0, 0, 0.501326) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531008) , 
3.47931, 1, 1, 0, 0.502919) , 
-1.68528, 0, 0, 0, 0.500731) , 
7.50163, 0, 0, 0, 0.499763) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487771) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504652) , 
13.2281, 1, 0, 0, 0.498151) , 
NN(
0, 
0, 
1.18384, 0, -1, 1, 0.51348) , 
11.9559, 0, 0, 0, 0.507742) , 
8.35826, 1, 0, 0, 0.501075)    );
  // itree = 88
  fBoostWeights.push_back(0.0447278);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476984) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478857) , 
NN(
NN(
0, 
0, 
-9.30656, 0, -1, -1, 0.491554) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50299) , 
-5.01061, 1, 0, 0, 0.496171) , 
-4.54205, 1, 1, 0, 0.492687) , 
NN(
0, 
0, 
-6.03065, 1, -1, 1, 0.514215) , 
-5.24479, 0, 1, 0, 0.495281) , 
2.51126, 0, 0, 0, 0.493872) , 
NN(
NN(
NN(
0, 
0, 
-0.858968, 1, -1, -1, 0.490916) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528288) , 
0.475567, 1, 1, 0, 0.494136) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-5.88806, 1, -1, -1, 0.477364) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476391) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492164) , 
0.671805, 1, 0, 0, 0.488067) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513974) , 
1.53066, 0, 1, 0, 0.496113) , 
-3.89768, 1, 0, 0, 0.493736) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478332) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507289) , 
6.06851, 0, 1, 0, 0.505115) , 
4.07519, 1, 1, 0, 0.49728) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.342798, 1, -1, -1, 0.464427) , 
NN(
0, 
0, 
2.84727, 0, -1, -1, 0.496604) , 
1.54364, 1, 1, 0, 0.492347) , 
NN(
0, 
0, 
11.9455, 0, -1, 1, 0.503724) , 
10.782, 1, 0, 0, 0.497355) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501981) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492507) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524115) , 
1.3987, 1, 1, 0, 0.518552) , 
3.38035, 0, 1, 0, 0.511204) , 
7.49156, 0, 0, 0, 0.502269) , 
4.80542, 1, 0, 0, 0.500108) , 
NN(
NN(
0, 
0, 
-1.95715, 1, -1, 1, 0.504077) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55149) , 
5.78853, 1, 0, 0, 0.505669) , 
-1.28184, 0, 1, 0, 0.501075) , 
-8.08819, 1, 0, 0, 0.500035) , 
-3.08265, 1, 1, 0, 0.498457)    );
  // itree = 89
  fBoostWeights.push_back(0.0472225);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469364) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483881) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497078) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519228) , 
-4.33538, 0, 1, 0, 0.504537) , 
-9.42657, 1, 0, 0, 0.497424) , 
-5.17615, 0, 0, 0, 0.491124) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502792) , 
-1.89699, 1, 0, 0, 0.494123) , 
-6.03048, 1, 1, 0, 0.493478) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445408) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492155) , 
-10.1971, 0, 0, 0, 0.473975) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497181) , 
-6.8647, 1, 0, 0, 0.483669) , 
NN(
NN(
NN(
0, 
0, 
1.33533, 0, -1, -1, 0.479976) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485143) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49037) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519674) , 
1.33546, 0, 1, 0, 0.494986) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511207) , 
6.51237, 0, 0, 0, 0.504707) , 
2.15842, 1, 0, 0, 0.499846) , 
9.12465, 0, 0, 0, 0.495638) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486186) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500946) , 
4.30787, 0, 0, 0, 0.493463) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500859) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521382) , 
7.51716, 1, 0, 0, 0.50711) , 
4.2888, 0, 1, 0, 0.501422) , 
3.18322, 1, 1, 0, 0.49852) , 
-4.14463, 1, 0, 0, 0.497538) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515167) , 
5.78474, 1, 1, 0, 0.498013) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492643) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494556) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5134) , 
-1.03905, 0, 1, 0, 0.50373) , 
-1.46076, 1, 1, 0, 0.498807) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
5.43115, 1, 0, 0, 0.502394) , 
-0.336431, 0, 1, 0, 0.498815) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508266) , 
11.9394, 1, 0, 0, 0.499728) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498542) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505211) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519593) , 
-6.58909, 1, 0, 0, 0.511996) , 
-2.29924, 0, 1, 0, 0.508883) , 
-2.00211, 0, 1, 0, 0.501292) , 
-3.08265, 1, 1, 0, 0.499292)    );
  // itree = 90
  fBoostWeights.push_back(0.0498583);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.447163) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.485136) , 
-5.02995, 1, 1, 0, 0.476693) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482232) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472893) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492458) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499028) , 
3.83377, 1, 0, 0, 0.495411) , 
0.647986, 1, 1, 0, 0.493325) , 
2.02381, 1, 0, 0, 0.489783) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488353) , 
NN(
NN(
NN(
0, 
0, 
8.80772, 1, -1, -1, 0.495298) , 
NN(
0, 
0, 
9.19858, 0, -1, 1, 0.506241) , 
2.35024, 0, 1, 0, 0.499538) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512417) , 
4.34677, 1, 1, 0, 0.501267) , 
6.75613, 1, 0, 0, 0.498285) , 
NN(
0, 
0, 
8.14036, 0, -1, 1, 0.535935) , 
0.143438, 0, 1, 0, 0.499669) , 
5.17179, 1, 0, 0, 0.496104) , 
-2.62783, 1, 1, 0, 0.494373) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464888) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484884) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479532) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504122) , 
-5.13907, 1, 1, 0, 0.496236) , 
-7.55407, 1, 0, 0, 0.492931) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492104) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45969) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499026) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498162) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508565) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527914) , 
-1.04718, 1, 1, 0, 0.512124) , 
-2.51006, 1, 1, 0, 0.505584) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515953) , 
-9.8508, 0, 0, 0, 0.507954) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518252) , 
-3.4752, 0, 1, 0, 0.510406) , 
-4.38727, 0, 0, 0, 0.50698) , 
0.0342601, 0, 1, 0, 0.506166) , 
-11.9233, 1, 0, 0, 0.504049) , 
-4.21982, 1, 1, 0, 0.501802) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.514466) , 
NN(
0, 
0, 
-7.02661, 1, -1, 1, 0.547322) , 
2.29246, 0, 1, 0, 0.522586) , 
0.642325, 1, 1, 0, 0.503696) , 
4.52513, 0, 1, 0, 0.502139) , 
0.135036, 0, 0, 0, 0.498326)    );
  // itree = 91
  fBoostWeights.push_back(0.0550048);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475182) , 
NN(
0, 
0, 
1.70828, 0, -1, -1, 0.497709) , 
13.3265, 0, 0, 0, 0.487671) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486196) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493452) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538682) , 
-5.47075, 0, 1, 0, 0.503177) , 
-5.42578, 1, 0, 0, 0.496449) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489978) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488362) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499806) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506634) , 
3.96552, 1, 1, 0, 0.502716) , 
4.65835, 0, 1, 0, 0.499766) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518585) , 
5.36061, 1, 1, 0, 0.501624) , 
-0.530949, 1, 0, 0, 0.499667) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496453) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453551) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489614) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498646) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502174) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51762) , 
2.14018, 1, 1, 0, 0.510869) , 
4.81197, 1, 0, 0, 0.50534) , 
9.36479, 0, 0, 0, 0.502967) , 
NN(
0, 
0, 
-6.8251, 1, -1, 1, 0.529445) , 
-2.77745, 0, 0, 0, 0.504674) , 
0.374342, 1, 1, 0, 0.50206) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483411) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49666) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479593) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498263) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516757) , 
-6.05808, 1, 0, 0, 0.50751) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515171) , 
-2.8567, 0, 1, 0, 0.510656) , 
1.79124, 0, 0, 0, 0.509254) , 
-10.7679, 1, 0, 0, 0.506815) , 
-1.31644, 0, 1, 0, 0.504494) , 
NN(
0, 
0, 
-0.410692, 1, -1, 1, 0.520938) , 
-0.832309, 1, 1, 0, 0.506035) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.872137) , 
6.55552, 1, 0, 0, 0.50813) , 
-0.0292923, 0, 1, 0, 0.505692) , 
-3.59839, 1, 1, 0, 0.504638) , 
3.19985, 0, 1, 0, 0.503262) , 
-4.14973, 1, 1, 0, 0.502374) , 
11.0993, 0, 0, 0, 0.501182)    );
  // itree = 92
  fBoostWeights.push_back(0.0530885);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477679) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475698) , 
NN(
0, 
0, 
6.97422, 0, -1, 1, 0.500483) , 
2.09721, 1, 1, 0, 0.495163) , 
NN(
NN(
0, 
0, 
10.9772, 0, -1, -1, 0.498337) , 
NN(
0, 
0, 
0.971712, 1, -1, 1, 0.513197) , 
2.16344, 0, 1, 0, 0.503444) , 
9.2358, 1, 0, 0, 0.499077) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.565972) , 
-0.106665, 0, 1, 0, 0.500194) , 
-1.50622, 1, 1, 0, 0.499324) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49227) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488701) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493083) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504772) , 
-2.54668, 0, 1, 0, 0.500872) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497707) , 
NN(
0, 
0, 
-5.00454, 0, -1, 1, 0.535274) , 
2.80323, 0, 1, 0, 0.509724) , 
-0.429253, 1, 1, 0, 0.502384) , 
NN(
0, 
0, 
-8.38564, 1, -1, 1, 0.508886) , 
-6.92566, 0, 0, 0, 0.504694) , 
-9.99906, 1, 0, 0, 0.503271) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515049) , 
-11.17, 0, 0, 0, 0.504205) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519598) , 
-4.8872, 0, 1, 0, 0.505453) , 
-1.80313, 0, 0, 0, 0.503724) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49148) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484142) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.513777) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522352) , 
2.65263, 0, 1, 0, 0.517574) , 
-0.0431112, 1, 1, 0, 0.512623) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525749) , 
-3.23152, 0, 1, 0, 0.515105) , 
4.27028, 0, 1, 0, 0.510384) , 
-0.273551, 1, 0, 0, 0.506008) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525026) , 
-12.5082, 0, 0, 0, 0.507332) , 
5.61719, 0, 0, 0, 0.505124)    );
  // itree = 93
  fBoostWeights.push_back(0.0477462);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-6.35546, 0, -1, -1, 0.480519) , 
NN(
NN(
NN(
NN(
0, 
0, 
-3.17373, 1, -1, -1, 0.490978) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505238) , 
-4.37015, 0, 1, 0, 0.493907) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506898) , 
-9.94836, 0, 0, 0, 0.496853) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507672) , 
-2.05144, 1, 0, 0, 0.499326) , 
-5.29193, 1, 1, 0, 0.497724) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492555) , 
NN(
NN(
0, 
0, 
-8.77732, 0, -1, -1, 0.471142) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.384635, 0, -1, -1, 0.486045) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491812) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48519) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504482) , 
8.24485, 0, 0, 0, 0.499496) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51272) , 
10.8195, 1, 0, 0, 0.502477) , 
2.45952, 0, 1, 0, 0.499225) , 
0.942503, 1, 1, 0, 0.49699) , 
NN(
0, 
0, 
-4.18899, 1, -1, 1, 0.518353) , 
-0.620549, 0, 0, 0, 0.498358) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505069) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519198) , 
3.33202, 0, 1, 0, 0.511806) , 
2.9001, 1, 1, 0, 0.503149) , 
-6.3304, 1, 0, 0, 0.501902) , 
3.80943, 0, 1, 0, 0.500382) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490714) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489883) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516941) , 
-7.1068, 1, 0, 0, 0.509155) , 
-10.1718, 1, 0, 0, 0.502959) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512224) , 
-1.84426, 0, 1, 0, 0.506731) , 
NN(
0, 
0, 
8.68709, 0, -1, 1, 0.558501) , 
0.974192, 1, 0, 0, 0.511012) , 
-0.231951, 0, 1, 0, 0.503301) , 
-2.45581, 1, 1, 0, 0.501214) , 
NN(
0, 
0, 
6.51195, 0, -1, 1, 0.512551) , 
4.38691, 1, 1, 0, 0.502319)    );
  // itree = 94
  fBoostWeights.push_back(0.050203);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482366) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412523) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484087) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509884) , 
-5.08563, 1, 1, 0, 0.5014) , 
-6.35099, 1, 1, 0, 0.49856) , 
-6.12752, 1, 0, 0, 0.493039) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477384) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452301) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493526) , 
1.41158, 1, 1, 0, 0.486574) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49977) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516787) , 
1.41037, 0, 1, 0, 0.503977) , 
4.85026, 0, 0, 0, 0.496866) , 
1.91589, 1, 0, 0, 0.492292) , 
NN(
NN(
NN(
0, 
0, 
10.0556, 0, -1, -1, 0.489892) , 
NN(
0, 
0, 
2.63186, 0, -1, 1, 0.504771) , 
1.82954, 1, 1, 0, 0.501101) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54536) , 
-0.810046, 0, 1, 0, 0.50241) , 
6.61086, 1, 0, 0, 0.497451) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482474) , 
NN(
NN(
NN(
0, 
0, 
-0.0464116, 0, -1, -1, 0.471809) , 
NN(
NN(
NN(
0, 
0, 
-9.63572, 1, -1, -1, 0.498136) , 
NN(
0, 
0, 
-3.07906, 1, -1, 1, 0.504811) , 
-7.69864, 1, 0, 0, 0.501696) , 
NN(
0, 
0, 
-1.05075, 1, -1, 1, 0.508279) , 
-1.89591, 1, 1, 0, 0.503256) , 
-0.543687, 0, 1, 0, 0.501589) , 
NN(
0, 
0, 
1.07744, 0, -1, 1, 0.585874) , 
0.503303, 1, 1, 0, 0.503284) , 
1.85467, 0, 1, 0, 0.5019) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512243) , 
-1.81805, 1, 0, 0, 0.503255) , 
0.135036, 0, 0, 0, 0.500269) , 
NN(
0, 
0, 
0.0133285, 0, -1, 1, 0.513971) , 
4.7471, 1, 1, 0, 0.501264) , 
-4.14973, 1, 1, 0, 0.500275)    );
  // itree = 95
  fBoostWeights.push_back(0.0506119);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482913) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479797) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480986) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493149) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511452) , 
-0.0762852, 0, 1, 0, 0.502954) , 
-3.75081, 1, 0, 0, 0.497101) , 
-2.65089, 1, 1, 0, 0.489612) , 
NN(
0, 
0, 
-6.87803, 1, -1, -1, 0.499359) , 
-5.98356, 0, 0, 0, 0.492074) , 
NN(
NN(
0, 
0, 
1.4267, 1, -1, -1, 0.49369) , 
NN(
0, 
0, 
-1.43509, 1, -1, 1, 0.52063) , 
0.513564, 0, 1, 0, 0.499662) , 
3.93831, 1, 0, 0, 0.494392) , 
-4.07465, 1, 1, 0, 0.492306) , 
NN(
0, 
0, 
-6.45236, 1, -1, 1, 0.513649) , 
-5.41689, 0, 1, 0, 0.493254) , 
NN(
0, 
0, 
-10.3153, 0, -1, 1, 0.504329) , 
-8.08819, 0, 0, 0, 0.496247) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479614) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51122) , 
3.84005, 1, 1, 0, 0.498984) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477239) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49642) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507591) , 
4.85202, 1, 1, 0, 0.500632) , 
NN(
NN(
0, 
0, 
3.4707, 0, -1, 1, 0.505192) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512168) , 
6.61931, 0, 0, 0, 0.508485) , 
4.19966, 0, 1, 0, 0.505805) , 
5.73464, 0, 1, 0, 0.504655) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517681) , 
2.81079, 0, 1, 0, 0.507168) , 
0.435817, 1, 0, 0, 0.505844) , 
2.25275, 1, 1, 0, 0.499696)    );
  // itree = 96
  fBoostWeights.push_back(0.0417936);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480782) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471967) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493402) , 
-0.512482, 0, 1, 0, 0.4874) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483408) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491049) , 
NN(
0, 
0, 
-3.01611, 1, -1, -1, 0.498637) , 
-2.48316, 0, 1, 0, 0.496505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509124) , 
-1.87912, 1, 1, 0, 0.498535) , 
-3.07509, 0, 0, 0, 0.495628) , 
-1.33968, 0, 1, 0, 0.494159) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320067) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512296) , 
-4.94875, 1, 0, 0, 0.502673) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528267) , 
-7.91691, 0, 0, 0, 0.508299) , 
0.0989212, 1, 1, 0, 0.495304) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491231) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508304) , 
-5.02714, 0, 1, 0, 0.496169) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509395) , 
-4.19658, 1, 1, 0, 0.500797) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522085) , 
-5.77874, 0, 1, 0, 0.502386) , 
-3.73726, 0, 1, 0, 0.497493) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489975) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494895) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515189) , 
0.971218, 0, 1, 0, 0.500384) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511103) , 
NN(
0, 
0, 
6.47198, 1, -1, 1, 0.637265) , 
-2.28301, 1, 1, 0, 0.53227) , 
-0.106145, 0, 1, 0, 0.509521) , 
11.3392, 0, 0, 0, 0.504251) , 
2.87611, 1, 0, 0, 0.498721) , 
1.94595, 0, 1, 0, 0.497853) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469925) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488044) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495687) , 
3.78609, 0, 1, 0, 0.492394) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505979) , 
4.20189, 0, 0, 0, 0.499579) , 
5.48088, 0, 1, 0, 0.49724) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51419) , 
-2.88414, 0, 0, 0, 0.49883) , 
NN(
0, 
0, 
3.76935, 1, -1, 1, 0.507189) , 
7.61321, 1, 0, 0, 0.501638) , 
2.25275, 1, 1, 0, 0.499213)    );
  // itree = 97
  fBoostWeights.push_back(0.0396812);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474612) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503484) , 
0.550867, 1, 0, 0, 0.49043) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508881) , 
-3.32559, 0, 0, 0, 0.493955) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480126) , 
NN(
NN(
NN(
0, 
0, 
0.746912, 1, -1, -1, 0.485448) , 
NN(
0, 
0, 
-0.31267, 1, -1, -1, 0.497976) , 
0.21706, 0, 1, 0, 0.493382) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515326) , 
-0.792003, 0, 1, 0, 0.501045) , 
-1.24267, 1, 1, 0, 0.493511) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486549) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494089) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493569) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501427) , 
-4.16854, 0, 1, 0, 0.497246) , 
NN(
0, 
0, 
-8.51241, 1, -1, 1, 0.508026) , 
-5.94116, 0, 0, 0, 0.502368) , 
-3.03777, 0, 1, 0, 0.500425) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506463) , 
-2.47333, 1, 1, 0, 0.501498) , 
-5.69824, 1, 1, 0, 0.500997) , 
-1.78924, 0, 1, 0, 0.499319) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531186) , 
1.33236, 1, 1, 0, 0.500298) , 
2.25275, 0, 1, 0, 0.499186) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491109) , 
NN(
0, 
0, 
0.999422, 0, -1, 1, 0.500007) , 
12.3971, 0, 0, 0, 0.495777) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493265) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496755) , 
3.72138, 0, 0, 0, 0.49509) , 
NN(
NN(
NN(
0, 
0, 
6.84656, 1, -1, -1, 0.49692) , 
NN(
0, 
0, 
8.23291, 0, -1, 1, 0.508442) , 
2.27797, 1, 1, 0, 0.5054) , 
NN(
0, 
0, 
7.40106, 0, -1, 1, 0.534062) , 
-0.532815, 0, 1, 0, 0.506939) , 
4.48736, 1, 0, 0, 0.504227) , 
10.0372, 0, 0, 0, 0.50184) , 
2.87611, 1, 0, 0, 0.500214)    );
  // itree = 98
  fBoostWeights.push_back(0.0501262);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47685) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490854) , 
3.06302, 1, 1, 0, 0.487479) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501714) , 
4.74706, 1, 1, 0, 0.491288) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490568) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48511) , 
NN(
NN(
NN(
0, 
0, 
-3.49988, 1, -1, -1, 0.491341) , 
NN(
0, 
0, 
-8.56162, 0, -1, -1, 0.499616) , 
-2.78327, 1, 1, 0, 0.495819) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493325) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512327) , 
-2.52368, 0, 1, 0, 0.505022) , 
-6.17711, 1, 0, 0, 0.499548) , 
-4.46955, 1, 1, 0, 0.498157) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513511) , 
-5.21076, 0, 1, 0, 0.498988) , 
-0.639708, 0, 0, 0, 0.49806) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512037) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.564906) , 
-6.48076, 0, 0, 0, 0.519862) , 
0.718792, 1, 1, 0, 0.49908) , 
2.25275, 0, 1, 0, 0.497715) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485999) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486822) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486626) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493194) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515251) , 
3.79362, 1, 1, 0, 0.502523) , 
8.39191, 0, 0, 0, 0.498615) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516196) , 
10.4842, 1, 0, 0, 0.502298) , 
2.53717, 1, 1, 0, 0.499508) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510896) , 
2.02941, 0, 1, 0, 0.501172) , 
4.93044, 0, 1, 0, 0.499896) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482155) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474923) , 
NN(
0, 
0, 
0.486455, 0, -1, 1, 0.516624) , 
-0.538688, 1, 1, 0, 0.507163) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531464) , 
8.30708, 0, 0, 0, 0.511724) , 
6.63568, 1, 0, 0, 0.504548) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524154) , 
4.82914, 0, 0, 0, 0.509487) , 
1.41399, 0, 1, 0, 0.501754) , 
2.87611, 1, 0, 0, 0.499279)    );
  // itree = 99
  fBoostWeights.push_back(0.0539408);
  fForest.push_back( 
NN(
NN(
0, 
0, 
-5.81718, 1, -1, -1, 0.489192) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467724) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506539) , 
4.87788, 0, 1, 0, 0.491904) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.513221) , 
5.52373, 1, 1, 0, 0.495906) , 
NN(
NN(
NN(
0, 
0, 
-2.4553, 0, -1, -1, 0.494058) , 
NN(
0, 
0, 
0.573292, 0, -1, 1, 0.509804) , 
-1.65366, 1, 1, 0, 0.498348) , 
NN(
NN(
0, 
0, 
0.256659, 0, -1, -1, 0.498059) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488635) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494549) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504047) , 
-2.17289, 1, 0, 0, 0.499213) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468361) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48459) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510733) , 
-0.0145133, 1, 0, 0, 0.505251) , 
6.10517, 0, 0, 0, 0.492568) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493806) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503138) , 
3.98995, 0, 0, 0, 0.498671) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520987) , 
2.8169, 0, 1, 0, 0.504767) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525793) , 
7.60935, 1, 0, 0, 0.508985) , 
2.10546, 1, 1, 0, 0.504117) , 
NN(
NN(
0, 
0, 
-2.0408, 1, -1, 1, 0.509131) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
5.35304, 1, 0, 0, 0.515464) , 
-0.313011, 0, 1, 0, 0.506747) , 
-3.07696, 1, 1, 0, 0.504953) , 
-5.55039, 1, 0, 0, 0.503437) , 
NN(
0, 
0, 
-7.46196, 1, -1, 1, 0.519251) , 
-6.76986, 0, 0, 0, 0.504815) , 
9.48898, 0, 0, 0, 0.503715) , 
-8.08819, 1, 0, 0, 0.502648) , 
4.29355, 0, 1, 0, 0.501897) , 
-5.21681, 1, 1, 0, 0.50148)    );
  // itree = 100
  fBoostWeights.push_back(0.0462974);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47321) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479687) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496023) , 
-1.90176, 1, 0, 0, 0.49149) , 
2.02121, 1, 1, 0, 0.489688) , 
NN(
NN(
NN(
0, 
0, 
-1.81311, 0, -1, -1, 0.484442) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493381) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505329) , 
-4.71117, 0, 0, 0, 0.499654) , 
-8.36454, 1, 0, 0, 0.49359) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453587) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512996) , 
-6.47784, 1, 0, 0, 0.494923) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511116) , 
-0.209138, 0, 1, 0, 0.504368) , 
-1.05118, 1, 1, 0, 0.496051) , 
1.19401, 0, 1, 0, 0.494) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529019) , 
5.92088, 1, 1, 0, 0.494496) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.59416, 0, -1, -1, 0.488224) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499821) , 
2.25371, 1, 1, 0, 0.493752) , 
NN(
0, 
0, 
0.424346, 1, -1, 1, 0.511297) , 
0.997264, 0, 1, 0, 0.496448) , 
NN(
NN(
NN(
0, 
0, 
4.68427, 1, -1, -1, 0.48673) , 
NN(
0, 
0, 
3.56641, 0, -1, 1, 0.512362) , 
4.07213, 0, 1, 0, 0.501829) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.548934) , 
5.51272, 1, 1, 0, 0.504146) , 
3.00758, 1, 1, 0, 0.500317) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.52951) , 
-0.208911, 0, 1, 0, 0.501211) , 
2.87611, 1, 0, 0, 0.497832) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474494) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493455) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499707) , 
NN(
0, 
0, 
-3.6141, 0, -1, 1, 0.510795) , 
-4.20163, 1, 1, 0, 0.507766) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521089) , 
-4.87313, 0, 1, 0, 0.510063) , 
-2.69632, 0, 0, 0, 0.505845) , 
2.51126, 0, 0, 0, 0.503446) , 
-3.08265, 0, 1, 0, 0.49927)    );
  // itree = 101
  fBoostWeights.push_back(0.0364718);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.4766, 1, -1, -1, 0.482987) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49837) , 
-3.59972, 1, 0, 0, 0.491295) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483243) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493936) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502911) , 
-6.31113, 0, 0, 0, 0.497238) , 
-8.50469, 1, 0, 0, 0.494877) , 
NN(
0, 
0, 
-2.19749, 1, -1, 1, 0.504494) , 
-9.93657, 0, 0, 0, 0.497585) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504047) , 
-1.75273, 1, 0, 0, 0.498406) , 
-1.02611, 0, 1, 0, 0.497072) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484959) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50314) , 
5.21013, 0, 1, 0, 0.500128) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522521) , 
-3.32559, 0, 0, 0, 0.504451) , 
2.42622, 1, 1, 0, 0.498606) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
3.54737, 0, -1, -1, 0.498287) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507682) , 
4.505, 1, 1, 0, 0.500299) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478089) , 
NN(
NN(
0, 
0, 
1.53641, 0, -1, -1, 0.499622) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507749) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523541) , 
1.80957, 0, 1, 0, 0.513282) , 
9.31845, 0, 0, 0, 0.507654) , 
0.236389, 1, 1, 0, 0.506233) , 
2.97276, 0, 1, 0, 0.503287) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518634) , 
5.42433, 1, 1, 0, 0.503738) , 
NN(
0, 
0, 
-1.39072, 1, -1, 1, 0.525869) , 
-0.344226, 0, 1, 0, 0.504761) , 
2.87611, 1, 0, 0, 0.501241) , 
NN(
NN(
0, 
0, 
-0.602486, 0, -1, 1, 0.500168) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513755) , 
-4.88337, 1, 1, 0, 0.507896) , 
-4.14973, 0, 1, 0, 0.502041)    );
  // itree = 102
  fBoostWeights.push_back(0.0447438);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483394) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.40755) , 
NN(
NN(
NN(
0, 
0, 
-5.87769, 0, -1, -1, 0.491141) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491454) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521625) , 
-6.01296, 1, 0, 0, 0.509445) , 
-1.64641, 1, 1, 0, 0.494996) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456342) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491033) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501934) , 
3.74951, 0, 1, 0, 0.495218) , 
NN(
0, 
0, 
9.14695, 0, -1, 1, 0.50358) , 
7.17867, 1, 0, 0, 0.498293) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517866) , 
5.38997, 1, 1, 0, 0.49956) , 
6.09592, 0, 1, 0, 0.498477) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484586) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501535) , 
7.04759, 1, 0, 0, 0.493463) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478042) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503546) , 
2.38784, 0, 0, 0, 0.497199) , 
NN(
0, 
0, 
7.98333, 0, -1, 1, 0.511269) , 
4.99273, 1, 0, 0, 0.502342) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511517) , 
-1.95361, 0, 0, 0, 0.505262) , 
1.506, 0, 1, 0, 0.502121) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510543) , 
2.38777, 1, 1, 0, 0.503669) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512231) , 
-4.6662, 0, 1, 0, 0.504433) , 
2.95972, 0, 1, 0, 0.502076) , 
-4.45705, 1, 0, 0, 0.501017) , 
-6.28389, 1, 1, 0, 0.500701) , 
-7.16303, 1, 0, 0, 0.499956) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496568) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.426882) , 
NN(
NN(
0, 
0, 
-1.05381, 1, -1, -1, 0.49798) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52088) , 
-2.64656, 0, 1, 0, 0.508771) , 
-0.0981688, 0, 1, 0, 0.503965) , 
-12.9879, 1, 0, 0, 0.501993) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513784) , 
-3.87363, 0, 1, 0, 0.50415) , 
-8.08819, 0, 0, 0, 0.500704)    );
  // itree = 103
  fBoostWeights.push_back(0.0460955);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
8.50583, 1, -1, -1, 0.487077) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478526) , 
NN(
0, 
0, 
11.3876, 0, -1, -1, 0.497426) , 
0.543775, 1, 1, 0, 0.494852) , 
10.1788, 1, 0, 0, 0.491209) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480587) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479859) , 
NN(
NN(
0, 
0, 
1.31395, 0, -1, -1, 0.487985) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506216) , 
1.64608, 0, 0, 0, 0.495306) , 
-0.0703136, 1, 0, 0, 0.49185) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506224) , 
-1.24303, 0, 0, 0, 0.495048) , 
-2.75614, 1, 0, 0, 0.493192) , 
NN(
0, 
0, 
-1.67886, 0, -1, 1, 0.503456) , 
-3.71678, 0, 0, 0, 0.49511) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483521) , 
NN(
NN(
NN(
0, 
0, 
6.34237, 1, -1, -1, 0.499749) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516275) , 
5.29338, 0, 0, 0, 0.505451) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.613021) , 
0.453039, 0, 1, 0, 0.507652) , 
-1.50622, 1, 1, 0, 0.505895) , 
3.96831, 1, 0, 0, 0.498205) , 
7.50179, 0, 0, 0, 0.496248) , 
NN(
NN(
NN(
NN(
0, 
0, 
-8.28362, 0, -1, -1, 0.493971) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507403) , 
-6.5789, 1, 0, 0, 0.497992) , 
NN(
0, 
0, 
-12.5249, 1, -1, 1, 0.507609) , 
-9.82553, 0, 0, 0, 0.501764) , 
NN(
0, 
0, 
-8.94544, 1, -1, 1, 0.528137) , 
-0.128088, 1, 1, 0, 0.503681) , 
-5.34711, 0, 0, 0, 0.498428)    );
  // itree = 104
  fBoostWeights.push_back(0.0400034);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476709) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486513) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49401) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509369) , 
-4.5143, 0, 0, 0, 0.500731) , 
-8.50938, 1, 0, 0, 0.497271) , 
-5.14164, 1, 1, 0, 0.494656) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532588) , 
-6.37728, 0, 1, 0, 0.495176) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483097) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495622) , 
2.98296, 0, 1, 0, 0.48763) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504137) , 
3.49811, 1, 1, 0, 0.492815) , 
NN(
NN(
NN(
NN(
0, 
0, 
1.36528, 1, -1, -1, 0.486455) , 
NN(
NN(
0, 
0, 
-1.53137, 0, -1, -1, 0.494619) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478918) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49512) , 
-0.514974, 0, 1, 0, 0.490667) , 
NN(
0, 
0, 
-2.43219, 1, -1, -1, 0.498663) , 
-1.71327, 0, 1, 0, 0.495708) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519726) , 
-8.81363, 0, 0, 0, 0.49951) , 
-10.4839, 1, 0, 0, 0.498259) , 
0.568851, 0, 1, 0, 0.497396) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510935) , 
1.95398, 1, 1, 0, 0.498125) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.684122, 1, -1, -1, 0.488607) , 
NN(
0, 
0, 
1.92131, 0, -1, 1, 0.50356) , 
1.36505, 1, 1, 0, 0.49948) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519775) , 
0.180757, 0, 1, 0, 0.500443) , 
NN(
0, 
0, 
8.73517, 0, -1, 1, 0.538408) , 
-0.348084, 0, 1, 0, 0.502941) , 
2.87611, 1, 0, 0, 0.499864) , 
2.67389, 0, 1, 0, 0.497967) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48813) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509508) , 
5.09005, 1, 0, 0, 0.496785) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511332) , 
4.45219, 0, 1, 0, 0.503166) , 
3.895, 1, 1, 0, 0.498993) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519565) , 
5.92088, 1, 1, 0, 0.499247) , 
-3.08265, 1, 1, 0, 0.498204)    );
  // itree = 105
  fBoostWeights.push_back(0.0387467);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
8.67945, 1, -1, -1, 0.488697) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492776) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502667) , 
4.08525, 1, 1, 0, 0.497965) , 
NN(
0, 
0, 
6.20631, 1, -1, 1, 0.513998) , 
5.12064, 1, 1, 0, 0.50117) , 
6.78529, 0, 0, 0, 0.496808) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485196) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488275) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493506) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494945) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490514) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505023) , 
-8.63053, 0, 0, 0, 0.495392) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504401) , 
-4.99539, 1, 0, 0, 0.498976) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512525) , 
-10.8124, 0, 0, 0, 0.501468) , 
-1.79902, 0, 1, 0, 0.500258) , 
-3.71069, 1, 1, 0, 0.499019) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504466) , 
-4.27, 0, 1, 0, 0.499777) , 
-4.94802, 1, 1, 0, 0.498932) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523796) , 
-5.76992, 0, 1, 0, 0.49961) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.449604, 1, -1, -1, 0.469657) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510049) , 
-6.47784, 1, 0, 0, 0.496767) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512931) , 
-0.397364, 0, 1, 0, 0.504408) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522502) , 
1.38604, 1, 1, 0, 0.508125) , 
-1.07382, 1, 1, 0, 0.500892) , 
2.31914, 0, 1, 0, 0.500123) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46753) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495027) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501897) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512381) , 
6.85762, 1, 0, 0, 0.505913) , 
9.24483, 0, 0, 0, 0.503228) , 
0.708013, 1, 1, 0, 0.500796) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519772) , 
11.6599, 1, 0, 0, 0.504882) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479346) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513764) , 
-2.50899, 0, 1, 0, 0.508246) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.57687) , 
-1.47012, 1, 1, 0, 0.518905) , 
-0.282839, 0, 1, 0, 0.506546) , 
2.87611, 1, 0, 0, 0.502111) , 
3.31983, 0, 1, 0, 0.500899)    );
  // itree = 106
  fBoostWeights.push_back(0.0436542);
  fForest.push_back( 
NN(
NN(
0, 
0, 
6.1877, 1, -1, -1, 0.487919) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457468) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480309) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484399) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506214) , 
-5.14532, 1, 1, 0, 0.502346) , 
-3.45459, 0, 1, 0, 0.496146) , 
-6.16021, 1, 1, 0, 0.495302) , 
NN(
0, 
0, 
-8.58848, 1, -1, 1, 0.500911) , 
-6.03378, 0, 0, 0, 0.497824) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473881) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506855) , 
3.13409, 1, 0, 0, 0.488158) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490144) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474665) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485796) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
2.65908, 0, -1, -1, 0.48954) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504217) , 
1.60804, 0, 1, 0, 0.492228) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505568) , 
3.35985, 0, 0, 0, 0.496647) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503637) , 
3.61011, 1, 1, 0, 0.49829) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513875) , 
8.90997, 1, 0, 0, 0.500521) , 
10.5792, 0, 0, 0, 0.498831) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508679) , 
12.4869, 1, 0, 0, 0.499876) , 
NN(
0, 
0, 
-5.39451, 0, -1, 1, 0.51951) , 
-2.77381, 0, 0, 0, 0.500601) , 
-8.94037, 1, 0, 0, 0.50014) , 
4.28993, 0, 1, 0, 0.49892) , 
0.406839, 1, 1, 0, 0.498397) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494315) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493471) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502378) , 
-9.17401, 1, 0, 0, 0.4985) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517362) , 
-1.33971, 0, 1, 0, 0.507172) , 
-1.8755, 1, 1, 0, 0.500972) , 
NN(
0, 
0, 
-1.14279, 0, -1, 1, 0.549347) , 
0.478967, 1, 0, 0, 0.505202) , 
-0.227147, 0, 1, 0, 0.500353) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512869) , 
4.84472, 1, 1, 0, 0.500973) , 
-2.66917, 1, 1, 0, 0.499971) , 
5.45399, 0, 1, 0, 0.499696)    );
  // itree = 107
  fBoostWeights.push_back(0.0431444);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-4.15153, 1, -1, -1, 0.482399) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492493) , 
-4.22222, 1, 1, 0, 0.488103) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502794) , 
-0.805869, 1, 0, 0, 0.492138) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461136) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.485614) , 
0.711126, 0, 1, 0, 0.474397) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480622) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493526) , 
2.52323, 1, 1, 0, 0.489022) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50735) , 
-2.1819, 0, 0, 0, 0.492075) , 
-4.79643, 1, 0, 0, 0.490123) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527065) , 
5.96591, 1, 1, 0, 0.491122) , 
NN(
NN(
NN(
0, 
0, 
-0.0296142, 0, -1, -1, 0.488279) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492484) , 
NN(
0, 
0, 
10.8144, 1, -1, 1, 0.506746) , 
3.96457, 0, 1, 0, 0.502497) , 
2.05734, 1, 1, 0, 0.49855) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498692) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514958) , 
5.04924, 1, 0, 0, 0.505047) , 
6.12952, 0, 0, 0, 0.500476) , 
3.24839, 1, 0, 0, 0.497403) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485181) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508818) , 
-0.610221, 0, 0, 0, 0.505501) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.564836) , 
5.93877, 1, 0, 0, 0.507461) , 
-1.28184, 0, 1, 0, 0.499105) , 
-3.08265, 1, 1, 0, 0.497518) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.462294) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512993) , 
0.32807, 1, 1, 0, 0.483358) , 
NN(
0, 
0, 
-3.24685, 0, -1, 1, 0.506004) , 
-1.0332, 0, 1, 0, 0.50376) , 
-7.84807, 0, 0, 0, 0.498202) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508573) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517095) , 
-1.52071, 1, 1, 0, 0.511305) , 
-10.8293, 0, 0, 0, 0.49934)    );
  // itree = 108
  fBoostWeights.push_back(0.0427881);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482621) , 
NN(
NN(
NN(
0, 
0, 
7.40768, 1, -1, -1, 0.478663) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450769) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513901) , 
0.79834, 1, 1, 0, 0.498807) , 
8.43969, 1, 0, 0, 0.489313) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478616) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486382) , 
NN(
NN(
NN(
0, 
0, 
-10.512, 0, -1, -1, 0.483519) , 
NN(
0, 
0, 
-2.91061, 1, -1, -1, 0.498842) , 
-2.05145, 0, 1, 0, 0.493413) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48949) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48901) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499031) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505839) , 
-3.64178, 1, 1, 0, 0.502676) , 
-2.86715, 0, 1, 0, 0.498262) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508637) , 
-1.98209, 1, 1, 0, 0.500072) , 
-1.08679, 0, 1, 0, 0.498828) , 
-8.40599, 1, 0, 0, 0.496911) , 
-4.34244, 1, 1, 0, 0.495682) , 
NN(
0, 
0, 
-5.65509, 1, -1, 1, 0.513335) , 
-5.03149, 0, 1, 0, 0.497115) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517065) , 
0.480945, 1, 1, 0, 0.497724) , 
4.0452, 0, 0, 0, 0.497074) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52226) , 
1.33238, 1, 1, 0, 0.49871) , 
6.47363, 0, 0, 0, 0.497979) , 
11.0993, 0, 0, 0, 0.497073) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489639) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491627) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501577) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524224) , 
5.96594, 1, 1, 0, 0.502923) , 
3.38654, 1, 1, 0, 0.499822) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511735) , 
2.94945, 1, 0, 0, 0.503922) , 
5.19027, 0, 0, 0, 0.499586) , 
NN(
0, 
0, 
10.3347, 0, -1, 1, 0.508) , 
7.61321, 1, 0, 0, 0.50241) , 
2.25275, 1, 1, 0, 0.498992)    );
  // itree = 109
  fBoostWeights.push_back(0.0405798);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48704) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495557) , 
-1.08619, 0, 0, 0, 0.48576) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499981) , 
2.17466, 1, 0, 0, 0.492314) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488529) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497686) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516123) , 
-1.61181, 0, 1, 0, 0.508511) , 
1.39839, 1, 0, 0, 0.494959) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482804) , 
NN(
0, 
0, 
-2.90288, 1, -1, -1, 0.499761) , 
-2.09604, 0, 1, 0, 0.495587) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508951) , 
-1.07667, 1, 1, 0, 0.496757) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510803) , 
-3.79474, 0, 1, 0, 0.500781) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.555013) , 
-0.0456594, 1, 1, 0, 0.501721) , 
-2.41944, 0, 0, 0, 0.499626) , 
1.05131, 0, 1, 0, 0.498588) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505578) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520762) , 
-1.65426, 0, 0, 0, 0.50727) , 
1.94685, 1, 1, 0, 0.499945) , 
3.46656, 0, 1, 0, 0.498399) , 
-9.69057, 1, 0, 0, 0.497752) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502008) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519031) , 
-1.31273, 1, 1, 0, 0.50687) , 
-10.9321, 0, 0, 0, 0.49885) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494307) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482538) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484738) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502922) , 
2.09507, 1, 1, 0, 0.498084) , 
8.75254, 0, 0, 0, 0.494257) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519009) , 
9.94194, 1, 0, 0, 0.500509) , 
NN(
0, 
0, 
-1.28025, 1, -1, 1, 0.550695) , 
0.610963, 0, 1, 0, 0.503872) , 
12.0246, 0, 0, 0, 0.501539) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508252) , 
4.10213, 1, 1, 0, 0.502753) , 
5.61719, 1, 0, 0, 0.499957) , 
NN(
0, 
0, 
-3.06597, 1, -1, 1, 0.509073) , 
-5.21681, 0, 1, 0, 0.500256)    );
  // itree = 110
  fBoostWeights.push_back(0.0490277);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
2.06066, 1, -1, -1, 0.492836) , 
NN(
0, 
0, 
8.90221, 0, -1, 1, 0.513746) , 
1.07005, 0, 1, 0, 0.494678) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489584) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44867) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487254) , 
NN(
0, 
0, 
-0.986454, 0, -1, 1, 0.505142) , 
-2.18812, 1, 1, 0, 0.496053) , 
1.01695, 0, 1, 0, 0.49418) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491639) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498714) , 
2.68943, 0, 0, 0, 0.494825) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474628) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505702) , 
-2.19209, 0, 1, 0, 0.496881) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456352) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506593) , 
-3.49816, 1, 0, 0, 0.497527) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516023) , 
1.95809, 1, 0, 0, 0.507272) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536971) , 
-5.56725, 0, 0, 0, 0.509699) , 
-1.46507, 1, 1, 0, 0.503229) , 
2.56163, 0, 1, 0, 0.500435) , 
-7.28737, 1, 0, 0, 0.498571) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500539) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507957) , 
-4.03614, 1, 1, 0, 0.505112) , 
-3.40381, 0, 1, 0, 0.499956) , 
-4.50351, 1, 1, 0, 0.499192) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495983) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510489) , 
5.52394, 0, 1, 0, 0.507296) , 
4.29355, 1, 1, 0, 0.500017) , 
NN(
0, 
0, 
-6.05726, 0, -1, 1, 0.5143) , 
-5.21681, 0, 1, 0, 0.500616) , 
6.47364, 0, 0, 0, 0.499584) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496742) , 
NN(
0, 
0, 
1.70828, 0, -1, 1, 0.515942) , 
13.3265, 0, 0, 0, 0.50739) , 
11.0993, 1, 0, 0, 0.500216)    );
  // itree = 111
  fBoostWeights.push_back(0.0426527);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488631) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480774) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486318) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49576) , 
2.8529, 1, 0, 0, 0.489194) , 
-1.1219, 0, 1, 0, 0.484897) , 
NN(
NN(
0, 
0, 
9.96381, 1, -1, -1, 0.482427) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498504) , 
NN(
0, 
0, 
7.84843, 0, -1, 1, 0.530731) , 
6.86391, 1, 0, 0, 0.515065) , 
8.93651, 0, 0, 0, 0.504233) , 
5.3318, 1, 0, 0, 0.492886) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480749) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49861) , 
-3.55602, 1, 0, 0, 0.49261) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46483) , 
NN(
0, 
0, 
-2.54176, 1, -1, -1, 0.499709) , 
-0.999795, 0, 1, 0, 0.49807) , 
-4.94816, 0, 0, 0, 0.495342) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524253) , 
0.378004, 1, 1, 0, 0.495843) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535673) , 
1.25273, 1, 1, 0, 0.496506) , 
NN(
NN(
0, 
0, 
-1.54402, 0, -1, -1, 0.493587) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510186) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522351) , 
-1.54806, 1, 1, 0, 0.512032) , 
-10.1086, 1, 0, 0, 0.502987) , 
-8.68945, 0, 0, 0, 0.498054) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519196) , 
-5.74357, 0, 1, 0, 0.498598) , 
0.113556, 0, 0, 0, 0.497044) , 
-12.0285, 1, 0, 0, 0.496236) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493743) , 
NN(
NN(
0, 
0, 
-0.687349, 0, -1, -1, 0.494536) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490877) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502211) , 
1.68672, 1, 0, 0, 0.499511) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5114) , 
3.56214, 1, 1, 0, 0.505337) , 
4.74706, 0, 1, 0, 0.50307) , 
8.41537, 0, 0, 0, 0.501418) , 
2.25275, 1, 1, 0, 0.498021) , 
NN(
0, 
0, 
2.33293, 1, -1, 1, 0.516377) , 
11.0993, 1, 0, 0, 0.499507)    );
  // itree = 112
  fBoostWeights.push_back(0.0423066);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457509) , 
NN(
NN(
0, 
0, 
-2.95919, 0, -1, -1, 0.488224) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510807) , 
-1.66059, 1, 1, 0, 0.491713) , 
-0.0863915, 0, 1, 0, 0.490238) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498676) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50625) , 
-1.52071, 1, 1, 0, 0.501225) , 
-11.2062, 0, 0, 0, 0.495074) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456799) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.364548) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.480445) , 
2.19113, 1, 1, 0, 0.470942) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488656) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494089) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499516) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501864) , 
3.80332, 0, 0, 0, 0.50077) , 
2.40928, 1, 1, 0, 0.498596) , 
6.63171, 0, 0, 0, 0.49616) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503955) , 
8.47777, 1, 0, 0, 0.49731) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507011) , 
4.46428, 1, 1, 0, 0.498927) , 
NN(
0, 
0, 
1.93922, 1, -1, 1, 0.507366) , 
9.98486, 1, 0, 0, 0.500806) , 
-2.07018, 1, 0, 0, 0.499204) , 
NN(
NN(
0, 
0, 
9.23467, 1, -1, -1, 0.486055) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465332) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530776) , 
-2.32757, 1, 1, 0, 0.478837) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492095) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49887) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517657) , 
-4.99358, 1, 0, 0, 0.508876) , 
-2.50732, 0, 1, 0, 0.503656) , 
0.167772, 0, 0, 0, 0.500347) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499275) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528812) , 
-5.29428, 1, 1, 0, 0.51851) , 
-4.56272, 0, 1, 0, 0.50391) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.6271) , 
3.31349, 1, 0, 0, 0.526927) , 
-0.987827, 1, 1, 0, 0.506013) , 
7.63876, 0, 0, 0, 0.504944) , 
0.549791, 0, 1, 0, 0.5017) , 
NN(
0, 
0, 
1.79686, 0, -1, 1, 0.524975) , 
5.60073, 1, 1, 0, 0.502191) , 
-6.28389, 1, 1, 0, 0.502019) , 
-8.08819, 1, 0, 0, 0.500782)    );
  // itree = 113
  fBoostWeights.push_back(0.0483103);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485817) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49062) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497967) , 
-0.809491, 0, 0, 0, 0.492884) , 
NN(
NN(
0, 
0, 
8.32427, 0, -1, -1, 0.499171) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510015) , 
6.20406, 0, 0, 0, 0.502153) , 
3.78024, 1, 0, 0, 0.499095) , 
4.88878, 0, 1, 0, 0.497709) , 
NN(
0, 
0, 
6.36282, 0, -1, 1, 0.519236) , 
5.65408, 1, 1, 0, 0.498694) , 
NN(
NN(
NN(
0, 
0, 
-0.404095, 1, -1, -1, 0.4874) , 
NN(
0, 
0, 
-11.4875, 0, -1, 1, 0.506358) , 
-1.99792, 0, 1, 0, 0.500334) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491551) , 
NN(
0, 
0, 
-6.29203, 1, -1, 1, 0.531665) , 
-5.50148, 0, 1, 0, 0.499291) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497177) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479868) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486883) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498281) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523374) , 
1.50811, 0, 1, 0, 0.507178) , 
0.834379, 1, 1, 0, 0.503947) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.429334) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519934) , 
4.56473, 0, 0, 0, 0.509254) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.550855) , 
9.06942, 1, 0, 0, 0.517996) , 
0.296292, 0, 1, 0, 0.507342) , 
-2.94219, 1, 0, 0, 0.505013) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526535) , 
-1.86614, 0, 1, 0, 0.508402) , 
-2.74011, 1, 1, 0, 0.505246) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501254) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51889) , 
-2.47876, 0, 1, 0, 0.512179) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.576049) , 
-0.164006, 1, 1, 0, 0.513878) , 
-5.3128, 0, 0, 0, 0.50726) , 
-4.18975, 1, 1, 0, 0.505693) , 
-8.08819, 1, 0, 0, 0.504244) , 
2.25275, 0, 1, 0, 0.502247)    );
  // itree = 114
  fBoostWeights.push_back(0.0397146);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485662) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490384) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500472) , 
4.42053, 0, 1, 0, 0.496789) , 
3.52282, 1, 1, 0, 0.492511) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499681) , 
2.80594, 0, 1, 0, 0.494035) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.540084) , 
5.41283, 1, 1, 0, 0.496015) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492994) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506696) , 
0.5069, 1, 0, 0, 0.500526) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525859) , 
-3.3623, 0, 0, 0, 0.505331) , 
2.82828, 0, 0, 0, 0.498771) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463403) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495648) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486333) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4901) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505445) , 
-4.29521, 0, 1, 0, 0.497339) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51175) , 
-3.53817, 1, 1, 0, 0.504759) , 
-2.25353, 0, 1, 0, 0.501095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521975) , 
-1.20472, 1, 1, 0, 0.502831) , 
-11.8158, 1, 0, 0, 0.501339) , 
-0.00629358, 0, 1, 0, 0.500658) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522117) , 
0.771313, 1, 1, 0, 0.500924) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497235) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506649) , 
-0.570619, 1, 1, 0, 0.498778) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511168) , 
-3.69118, 0, 1, 0, 0.5031) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498941) , 
NN(
NN(
0, 
0, 
-1.77255, 0, -1, 1, 0.50884) , 
NN(
NN(
0, 
0, 
8.04988, 0, -1, 1, 0.516996) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.536078) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
-1.40445, 1, 1, 0, 0.564631) , 
-0.239752, 0, 1, 0, 0.522697) , 
5.1548, 1, 0, 0, 0.515425) , 
11.2499, 0, 0, 0, 0.511903) , 
0.649164, 1, 0, 0, 0.507493) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523695) , 
-5.41689, 0, 1, 0, 0.508249) , 
-5.34711, 1, 0, 0, 0.505017) , 
2.25275, 0, 1, 0, 0.50277)    );
  // itree = 115
  fBoostWeights.push_back(0.0433703);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481145) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508554) , 
4.36525, 1, 1, 0, 0.490218) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501954) , 
4.55229, 0, 0, 0, 0.495538) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.517103) , 
5.52073, 1, 1, 0, 0.497434) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.61012, 0, -1, -1, 0.481813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486953) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50192) , 
1.6944, 1, 1, 0, 0.496099) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.542618) , 
-2.3218, 0, 0, 0, 0.500079) , 
-4.6277, 1, 0, 0, 0.495878) , 
NN(
NN(
0, 
0, 
-2.83143, 1, -1, -1, 0.49023) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489339) , 
NN(
0, 
0, 
-8.54288, 1, -1, 1, 0.503549) , 
-7.21028, 0, 0, 0, 0.497714) , 
NN(
0, 
0, 
-2.42404, 1, -1, 1, 0.508842) , 
-10.3458, 0, 0, 0, 0.501525) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513961) , 
-4.32973, 0, 1, 0, 0.503019) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500065) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510012) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518515) , 
-2.81946, 0, 1, 0, 0.51429) , 
-3.90189, 1, 1, 0, 0.509225) , 
-5.3289, 1, 0, 0, 0.505623) , 
-5.29196, 1, 1, 0, 0.504681) , 
-1.0154, 0, 1, 0, 0.502479) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480113) , 
NN(
NN(
NN(
0, 
0, 
1.81329, 0, -1, 1, 0.504309) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513859) , 
2.56134, 1, 1, 0, 0.508253) , 
NN(
0, 
0, 
8.08043, 0, -1, 1, 0.53257) , 
0.98642, 0, 1, 0, 0.51184) , 
-1.59281, 1, 1, 0, 0.509968) , 
5.61719, 1, 0, 0, 0.504171) , 
3.31983, 0, 1, 0, 0.50263)    );
  // itree = 116
  fBoostWeights.push_back(0.0392803);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480773) , 
NN(
0, 
0, 
6.93825, 0, -1, -1, 0.494684) , 
3.30788, 1, 0, 0, 0.490188) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498832) , 
-0.179013, 0, 0, 0, 0.49196) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502695) , 
9.11643, 1, 0, 0, 0.493823) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479252) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488294) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496538) , 
3.1069, 0, 0, 0, 0.492684) , 
1.70409, 1, 0, 0, 0.487561) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501541) , 
4.37591, 1, 0, 0, 0.490749) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.399639) , 
NN(
NN(
0, 
0, 
-10.351, 0, -1, -1, 0.477797) , 
NN(
0, 
0, 
-2.78329, 1, -1, 1, 0.50013) , 
-1.33869, 0, 1, 0, 0.4967) , 
1.05852, 0, 1, 0, 0.49508) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497222) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490796) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508482) , 
-3.81402, 1, 0, 0, 0.49978) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505087) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525708) , 
-1.742, 1, 1, 0, 0.508498) , 
-4.92848, 0, 0, 0, 0.504254) , 
-2.58144, 0, 0, 0, 0.502171) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.557026) , 
1.72067, 1, 1, 0, 0.505064) , 
-7.05117, 1, 0, 0, 0.500486) , 
0.100624, 0, 0, 0, 0.498353) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499994) , 
NN(
NN(
NN(
NN(
0, 
0, 
8.59092, 1, -1, -1, 0.481285) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511194) , 
11.1367, 1, 0, 0, 0.498464) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521846) , 
7.36505, 0, 0, 0, 0.503102) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518872) , 
1.42828, 1, 1, 0, 0.511058) , 
2.33711, 0, 1, 0, 0.506388) , 
5.61719, 1, 0, 0, 0.500168) , 
3.31983, 0, 1, 0, 0.498717)    );
  // itree = 117
  fBoostWeights.push_back(0.0421802);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476747) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495641) , 
3.90322, 0, 0, 0, 0.488556) , 
NN(
0, 
0, 
9.49493, 0, -1, -1, 0.495666) , 
5.88245, 1, 0, 0, 0.492141) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507583) , 
-0.208116, 0, 0, 0, 0.494737) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483824) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484603) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488512) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499186) , 
-4.71738, 1, 1, 0, 0.49554) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514312) , 
-3.017, 1, 0, 0, 0.501515) , 
0.279667, 0, 0, 0, 0.497986) , 
-8.50938, 1, 0, 0, 0.495207) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489926) , 
NN(
NN(
NN(
0, 
0, 
0.575248, 0, -1, -1, 0.493578) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492467) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505821) , 
0.864354, 1, 1, 0, 0.499617) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526962) , 
-2.96142, 0, 0, 0, 0.504889) , 
-4.76579, 1, 0, 0, 0.498926) , 
NN(
0, 
0, 
-3.10086, 1, -1, 1, 0.505576) , 
-2.4575, 0, 1, 0, 0.501675) , 
3.25284, 0, 0, 0, 0.500332) , 
NN(
NN(
NN(
0, 
0, 
1.81079, 1, -1, -1, 0.498828) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492282) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515389) , 
1.75757, 1, 1, 0, 0.509593) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.601031) , 
0.602585, 0, 1, 0, 0.512657) , 
10.2697, 0, 0, 0, 0.50669) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.587224) , 
-0.705552, 0, 1, 0, 0.509543) , 
5.61719, 1, 0, 0, 0.502935) , 
-3.683, 1, 1, 0, 0.501178) , 
3.31983, 0, 1, 0, 0.499705)    );
  // itree = 118
  fBoostWeights.push_back(0.0466441);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485943) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479804) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497926) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502098) , 
2.34016, 0, 0, 0, 0.499899) , 
-2.40964, 1, 0, 0, 0.496835) , 
NN(
0, 
0, 
6.27207, 0, -1, 1, 0.511689) , 
5.20057, 1, 1, 0, 0.498879) , 
5.19027, 0, 0, 0, 0.494948) , 
NN(
0, 
0, 
10.3347, 0, -1, -1, 0.499787) , 
7.61321, 1, 0, 0, 0.496572) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.289114) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486628) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491936) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490105) , 
NN(
0, 
0, 
-9.14549, 1, -1, 1, 0.502156) , 
-7.13827, 0, 0, 0, 0.496275) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515388) , 
-1.04759, 1, 0, 0, 0.498749) , 
-4.02312, 1, 1, 0, 0.497416) , 
-2.09156, 0, 1, 0, 0.496409) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500747) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508846) , 
-5.0971, 1, 1, 0, 0.505761) , 
-4.58389, 0, 1, 0, 0.497835) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531418) , 
-5.66462, 0, 1, 0, 0.498947) , 
-6.49833, 1, 1, 0, 0.497935) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.433071) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484728) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506035) , 
1.47423, 1, 1, 0, 0.498612) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51008) , 
10.8195, 1, 0, 0, 0.501277) , 
-0.620549, 1, 0, 0, 0.498765) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.562731) , 
-6.3304, 0, 0, 0, 0.50073) , 
NN(
NN(
NN(
0, 
0, 
-9.66871, 0, -1, -1, 0.494931) , 
NN(
0, 
0, 
-0.616104, 1, -1, 1, 0.510384) , 
-3.75786, 1, 0, 0, 0.50228) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535907) , 
0.41848, 1, 1, 0, 0.508443) , 
0.769654, 0, 1, 0, 0.50413) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523194) , 
-1.23688, 0, 1, 0, 0.507236) , 
-1.73547, 1, 1, 0, 0.501322) , 
2.25275, 0, 1, 0, 0.499613)    );
  // itree = 119
  fBoostWeights.push_back(0.0511495);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480524) , 
NN(
NN(
0, 
0, 
4.90921, 0, -1, -1, 0.496226) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514526) , 
5.6158, 1, 1, 0, 0.499194) , 
-0.420714, 1, 0, 0, 0.495303) , 
NN(
NN(
0, 
0, 
0.445374, 1, -1, -1, 0.490086) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474197) , 
NN(
NN(
0, 
0, 
1.91118, 1, -1, -1, 0.497157) , 
NN(
NN(
NN(
NN(
0, 
0, 
2.99691, 0, -1, -1, 0.495221) , 
NN(
0, 
0, 
6.5667, 1, -1, 1, 0.504867) , 
1.46091, 0, 1, 0, 0.496838) , 
NN(
NN(
0, 
0, 
2.4596, 1, -1, 1, 0.510503) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.556014) , 
1.03528, 0, 1, 0, 0.514648) , 
8.27994, 1, 0, 0, 0.503439) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513108) , 
4.67303, 0, 0, 0, 0.50609) , 
10.946, 0, 0, 0, 0.504041) , 
2.29367, 1, 0, 0, 0.499651) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.148395, 0, -1, -1, 0.492949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498284) , 
NN(
0, 
0, 
-10.5837, 1, -1, 1, 0.509363) , 
-8.78215, 0, 0, 0, 0.504076) , 
-2.03473, 0, 1, 0, 0.500663) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526974) , 
1.45841, 1, 1, 0, 0.501503) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49366) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519673) , 
-2.33658, 1, 0, 0, 0.509169) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494431) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522845) , 
-0.790614, 0, 1, 0, 0.519671) , 
-3.81984, 0, 0, 0, 0.512972) , 
-5.72407, 1, 0, 0, 0.506352) , 
0.135036, 0, 0, 0, 0.503117) , 
-4.61663, 1, 1, 0, 0.502074) , 
4.38691, 0, 1, 0, 0.501415)    );
  // itree = 120
  fBoostWeights.push_back(0.0468289);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4819) , 
NN(
0, 
0, 
5.7092, 0, -1, 1, 0.501042) , 
4.9072, 1, 1, 0, 0.491951) , 
NN(
NN(
0, 
0, 
-6.3724, 0, -1, -1, 0.489255) , 
NN(
NN(
0, 
0, 
-2.14027, 1, -1, -1, 0.495794) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489058) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504079) , 
-0.339985, 0, 1, 0, 0.495362) , 
NN(
NN(
NN(
0, 
0, 
2.4596, 1, -1, -1, 0.494) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536492) , 
1.03528, 0, 1, 0, 0.4979) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498314) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508446) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515772) , 
2.57011, 1, 1, 0, 0.512815) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.567355) , 
0.112768, 0, 1, 0, 0.515162) , 
5.00631, 1, 0, 0, 0.509884) , 
8.23201, 0, 0, 0, 0.505943) , 
3.45301, 1, 0, 0, 0.501638) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492108) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496582) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511685) , 
-2.01108, 1, 1, 0, 0.503066) , 
-8.38437, 1, 0, 0, 0.500624) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509299) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515481) , 
-3.77484, 0, 1, 0, 0.512153) , 
-3.01324, 0, 1, 0, 0.50625) , 
NN(
0, 
0, 
-7.18628, 1, -1, 1, 0.529777) , 
-0.340966, 1, 1, 0, 0.508356) , 
-2.19919, 0, 0, 0, 0.50436) , 
-10.1783, 1, 0, 0, 0.503238) , 
-4.61663, 1, 1, 0, 0.502021) , 
4.38691, 0, 1, 0, 0.501017) , 
NN(
0, 
0, 
2.33293, 1, -1, 1, 0.51304) , 
11.0993, 1, 0, 0, 0.501991)    );
  // itree = 121
  fBoostWeights.push_back(0.042089);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.423277) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482465) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488853) , 
-4.77752, 1, 1, 0, 0.48711) , 
-6.03059, 1, 1, 0, 0.484848) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492823) , 
NN(
NN(
0, 
0, 
-6.94829, 0, -1, -1, 0.497984) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506765) , 
-4.32386, 1, 1, 0, 0.502636) , 
-3.57099, 0, 1, 0, 0.499673) , 
-4.10112, 0, 0, 0, 0.493542) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480494) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490019) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501604) , 
4.96504, 1, 1, 0, 0.49442) , 
5.5498, 0, 1, 0, 0.492069) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501535) , 
4.43606, 0, 1, 0, 0.496535) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533097) , 
6.21804, 1, 1, 0, 0.497591) , 
NN(
NN(
NN(
0, 
0, 
12.4358, 1, -1, -1, 0.495524) , 
NN(
NN(
0, 
0, 
-12.1444, 0, -1, -1, 0.498179) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486132) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49535) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481762) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.44254) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493577) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503825) , 
8.23518, 0, 0, 0, 0.501079) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514187) , 
9.62886, 1, 0, 0, 0.50359) , 
0.564294, 1, 1, 0, 0.501225) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515635) , 
4.56433, 0, 0, 0, 0.506047) , 
-0.267619, 1, 0, 0, 0.503959) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.51061) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
5.62602, 1, 0, 0, 0.516259) , 
-0.214691, 0, 1, 0, 0.506477) , 
-2.2914, 1, 1, 0, 0.50503) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52175) , 
-5.74078, 0, 0, 0, 0.506551) , 
-7.10624, 1, 0, 0, 0.50502) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518012) , 
-8.58241, 0, 0, 0, 0.505988) , 
-10.1783, 1, 0, 0, 0.504763) , 
11.0993, 0, 0, 0, 0.503701) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515471) , 
3.24684, 1, 1, 0, 0.505094) , 
3.76006, 0, 1, 0, 0.503376) , 
-3.08265, 1, 1, 0, 0.500854)    );
  // itree = 122
  fBoostWeights.push_back(0.0468563);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478671) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492629) , 
-1.24628, 0, 0, 0, 0.486627) , 
NN(
NN(
NN(
NN(
0, 
0, 
5.71679, 1, -1, -1, 0.481851) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484875) , 
NN(
NN(
0, 
0, 
7.58548, 1, -1, -1, 0.496423) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51166) , 
4.07069, 1, 0, 0, 0.503543) , 
6.14791, 0, 0, 0, 0.500406) , 
9.9815, 0, 0, 0, 0.4982) , 
4.87388, 0, 1, 0, 0.496374) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472651) , 
NN(
0, 
0, 
7.97239, 0, -1, 1, 0.510028) , 
6.71519, 1, 0, 0, 0.486933) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503245) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516379) , 
1.69736, 1, 0, 0, 0.509362) , 
4.32023, 0, 0, 0, 0.502589) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546592) , 
9.36204, 1, 0, 0, 0.506609) , 
1.31395, 0, 1, 0, 0.498648) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510421) , 
12.1507, 1, 0, 0, 0.499971) , 
-0.24145, 1, 0, 0, 0.497961) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479081) , 
NN(
0, 
0, 
-6.78961, 0, -1, 1, 0.505208) , 
-5.35797, 0, 0, 0, 0.490185) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473591) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509555) , 
-12.0808, 0, 0, 0, 0.498762) , 
NN(
0, 
0, 
-8.92038, 0, -1, 1, 0.518743) , 
-10.1055, 1, 0, 0, 0.504891) , 
-7.84839, 0, 0, 0, 0.497634) , 
NN(
NN(
0, 
0, 
-3.39932, 1, -1, -1, 0.499199) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499774) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505062) , 
-5.86222, 1, 0, 0, 0.502806) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512467) , 
-3.16669, 1, 1, 0, 0.506964) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524361) , 
-5.08344, 0, 1, 0, 0.508519) , 
-8.26845, 1, 0, 0, 0.504754) , 
-1.74976, 0, 1, 0, 0.502937) , 
-2.60604, 0, 0, 0, 0.499975)    );
  // itree = 123
  fBoostWeights.push_back(0.0534583);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459392) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491143) , 
-5.02995, 1, 1, 0, 0.48413) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
6.9908, 0, -1, -1, 0.485097) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493508) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505216) , 
7.27489, 1, 0, 0, 0.497907) , 
3.66142, 0, 1, 0, 0.493001) , 
NN(
0, 
0, 
-0.848921, 1, -1, 1, 0.517272) , 
0.759719, 0, 1, 0, 0.494165) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490452) , 
NN(
0, 
0, 
0.322668, 0, -1, 1, 0.508706) , 
12.8148, 0, 0, 0, 0.50223) , 
9.39918, 1, 0, 0, 0.497124) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49351) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519235) , 
2.02383, 1, 0, 0, 0.507052) , 
3.73273, 0, 0, 0, 0.499543) , 
-2.62783, 1, 1, 0, 0.498177) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475034) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489735) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.411263) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485885) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493414) , 
-8.70553, 1, 0, 0, 0.490286) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469658) , 
NN(
NN(
0, 
0, 
-0.843058, 1, -1, -1, 0.495613) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512394) , 
-1.84418, 0, 1, 0, 0.503274) , 
0.0628412, 0, 1, 0, 0.501775) , 
-2.5676, 1, 1, 0, 0.496746) , 
1.06095, 0, 1, 0, 0.496098) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509902) , 
-3.1207, 1, 0, 0, 0.498554) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520266) , 
-6.61447, 0, 0, 0, 0.510181) , 
-3.62096, 0, 1, 0, 0.501633) , 
-4.825, 1, 1, 0, 0.500721) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519929) , 
-5.80795, 0, 1, 0, 0.501123) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532299) , 
2.05414, 1, 1, 0, 0.503395) , 
4.52513, 0, 1, 0, 0.502273) , 
0.135036, 0, 0, 0, 0.500262)    );
  // itree = 124
  fBoostWeights.push_back(0.0461454);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477222) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484733) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497047) , 
-1.4854, 1, 0, 0, 0.490952) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510046) , 
-3.41688, 0, 0, 0, 0.495804) , 
-4.59744, 1, 0, 0, 0.49311) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464131) , 
NN(
0, 
0, 
2.60482, 0, -1, -1, 0.492872) , 
1.53571, 1, 1, 0, 0.488734) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532682) , 
-0.174945, 0, 1, 0, 0.49031) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50301) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517491) , 
12.199, 0, 0, 0, 0.507915) , 
10.8434, 1, 0, 0, 0.497692) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487409) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515873) , 
2.23541, 0, 0, 0, 0.500908) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50604) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510792) , 
2.43006, 1, 1, 0, 0.509057) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532503) , 
-0.21776, 0, 1, 0, 0.511451) , 
3.98841, 1, 0, 0, 0.506117) , 
7.00951, 0, 0, 0, 0.502109) , 
0.649134, 1, 0, 0, 0.499012) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.490771, 1, -1, -1, 0.482935) , 
NN(
0, 
0, 
-3.51676, 1, -1, 1, 0.501826) , 
-0.639459, 0, 1, 0, 0.499847) , 
NN(
0, 
0, 
-6.15682, 1, -1, 1, 0.508746) , 
-6.88927, 1, 0, 0, 0.501788) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51384) , 
-4.35209, 0, 1, 0, 0.503353) , 
-5.34711, 0, 0, 0, 0.500404) , 
NN(
0, 
0, 
4.20107, 0, -1, 1, 0.512303) , 
4.38691, 1, 1, 0, 0.501561)    );
  // itree = 125
  fBoostWeights.push_back(0.0431613);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-1.03035, 1, -1, -1, 0.489002) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48635) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485453) , 
NN(
NN(
0, 
0, 
6.33159, 1, -1, -1, 0.492985) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505441) , 
2.57276, 1, 1, 0, 0.498113) , 
3.57134, 0, 1, 0, 0.495423) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494548) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515284) , 
3.22502, 1, 0, 0, 0.502183) , 
4.71293, 0, 0, 0, 0.497433) , 
-2.13395, 1, 1, 0, 0.496568) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483931) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492589) , 
-9.64536, 1, 0, 0, 0.489499) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492047) , 
NN(
0, 
0, 
-3.64109, 0, -1, 1, 0.506026) , 
-7.06094, 0, 0, 0, 0.499653) , 
-2.92708, 0, 1, 0, 0.495364) , 
NN(
0, 
0, 
-0.925959, 0, -1, 1, 0.503265) , 
-1.68504, 1, 1, 0, 0.49734) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505395) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520111) , 
0.11471, 1, 1, 0, 0.509598) , 
-3.12006, 1, 0, 0, 0.500001) , 
0.135036, 0, 0, 0, 0.498343) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507675) , 
-4.60751, 0, 1, 0, 0.498833) , 
-5.3369, 1, 1, 0, 0.498539) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4995) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508043) , 
4.90283, 0, 1, 0, 0.504466) , 
NN(
0, 
0, 
6.31606, 0, -1, 1, 0.514959) , 
5.60079, 1, 1, 0, 0.506395) , 
4.38691, 1, 1, 0, 0.499303)    );
  // itree = 126
  fBoostWeights.push_back(0.0383877);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
2.31154, 1, -1, -1, 0.486912) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493091) , 
1.73308, 0, 1, 0, 0.488242) , 
NN(
0, 
0, 
9.69492, 0, -1, 1, 0.502809) , 
0.990521, 0, 1, 0, 0.49117) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498004) , 
3.27529, 1, 1, 0, 0.49308) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506472) , 
4.3342, 1, 1, 0, 0.494926) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476208) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467213) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49263) , 
NN(
NN(
NN(
0, 
0, 
-9.69594, 0, -1, -1, 0.494216) , 
NN(
0, 
0, 
-6.6375, 0, -1, 1, 0.500874) , 
-7.71361, 1, 0, 0, 0.496546) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502342) , 
-5.44792, 1, 0, 0, 0.498076) , 
-2.85865, 0, 0, 0, 0.497156) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494738) , 
NN(
0, 
0, 
-0.490936, 0, -1, 1, 0.517194) , 
-8.14071, 0, 0, 0, 0.506103) , 
-1.24376, 1, 1, 0, 0.4982) , 
0.52743, 0, 1, 0, 0.497816) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470447) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515825) , 
2.22181, 1, 1, 0, 0.509937) , 
1.34824, 1, 1, 0, 0.498791) , 
4.52513, 0, 1, 0, 0.497901) , 
NN(
NN(
0, 
0, 
2.18691, 0, -1, -1, 0.491949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496819) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505631) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51993) , 
4.49431, 1, 1, 0, 0.509282) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52103) , 
1.37644, 0, 1, 0, 0.511576) , 
-2.62783, 1, 1, 0, 0.508622) , 
4.10023, 0, 0, 0, 0.503761) , 
0.100766, 1, 0, 0, 0.499655) , 
5.61719, 0, 0, 0, 0.498351)    );
  // itree = 127
  fBoostWeights.push_back(0.0434566);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463551) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489513) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479386) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496043) , 
-4.27368, 1, 0, 0, 0.489615) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492393) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523267) , 
0.451338, 1, 1, 0, 0.498774) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513055) , 
-2.48932, 0, 1, 0, 0.50778) , 
-5.24629, 0, 0, 0, 0.497737) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453029) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484297) , 
NN(
0, 
0, 
2.79403, 0, -1, -1, 0.497267) , 
2.33058, 1, 1, 0, 0.492182) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488083) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516919) , 
0.732684, 1, 1, 0, 0.50568) , 
1.44746, 0, 1, 0, 0.495266) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499082) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512143) , 
3.7428, 0, 1, 0, 0.503871) , 
3.3063, 1, 1, 0, 0.498543) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505825) , 
12.5444, 1, 0, 0, 0.499302) , 
NN(
0, 
0, 
5.32287, 0, -1, 1, 0.510088) , 
4.6493, 1, 1, 0, 0.500664) , 
6.06735, 0, 1, 0, 0.500008) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484899) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500154) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517531) , 
-0.37625, 1, 0, 0, 0.506909) , 
2.14107, 0, 0, 0, 0.50365) , 
NN(
0, 
0, 
7.50843, 0, -1, 1, 0.52672) , 
4.45013, 1, 0, 0, 0.507041) , 
-0.234269, 0, 1, 0, 0.501496) , 
-2.65309, 1, 0, 0, 0.500591) , 
-7.16303, 1, 0, 0, 0.50012) , 
-6.28389, 1, 1, 0, 0.499984) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477488) , 
NN(
NN(
0, 
0, 
-9.97689, 0, -1, 1, 0.502733) , 
NN(
0, 
0, 
-0.165167, 1, -1, 1, 0.516223) , 
-1.87387, 1, 1, 0, 0.506532) , 
0.860417, 0, 1, 0, 0.505361) , 
-8.08819, 0, 0, 0, 0.500942)    );
  // itree = 128
  fBoostWeights.push_back(0.0460978);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482019) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494887) , 
-1.24628, 0, 0, 0, 0.489356) , 
NN(
NN(
0, 
0, 
4.65789, 1, -1, -1, 0.493835) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464739) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491041) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486897) , 
NN(
0, 
0, 
9.71125, 1, -1, 1, 0.500926) , 
2.60451, 0, 1, 0, 0.494587) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498289) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507504) , 
2.45927, 1, 1, 0, 0.503034) , 
7.50447, 0, 0, 0, 0.499675) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482083) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514979) , 
-1.91239, 0, 1, 0, 0.504432) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512363) , 
NN(
0, 
0, 
-0.0868751, 0, -1, 1, 0.590888) , 
-1.61076, 1, 1, 0, 0.546915) , 
5.02506, 1, 0, 0, 0.513034) , 
0.647219, 0, 1, 0, 0.502885) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515671) , 
3.54669, 1, 1, 0, 0.505384) , 
12.1507, 0, 0, 0, 0.503528) , 
-5.37483, 1, 1, 0, 0.502915) , 
4.27028, 0, 1, 0, 0.501344) , 
-0.24145, 1, 0, 0, 0.499537) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493216) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508651) , 
-4.848, 0, 1, 0, 0.498081) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486329) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502258) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518418) , 
-0.837924, 1, 1, 0, 0.508139) , 
-2.23945, 1, 1, 0, 0.498109) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.342928) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495744) , 
2.36672, 1, 1, 0, 0.486803) , 
NN(
NN(
NN(
0, 
0, 
-2.72934, 0, -1, 1, 0.50287) , 
NN(
0, 
0, 
-6.31169, 1, -1, 1, 0.517582) , 
-1.50032, 1, 1, 0, 0.505424) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511177) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523369) , 
-1.99317, 0, 1, 0, 0.51984) , 
-8.09588, 0, 0, 0, 0.509356) , 
1.08708, 0, 1, 0, 0.506952) , 
-10.1783, 1, 0, 0, 0.504351) , 
-3.84139, 1, 1, 0, 0.502799) , 
-2.60604, 0, 0, 0, 0.500857)    );
  // itree = 129
  fBoostWeights.push_back(0.0381487);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481634) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51937) , 
-5.58461, 0, 1, 0, 0.489142) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499934) , 
-4.29665, 1, 1, 0, 0.495043) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498369) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511157) , 
-3.89653, 0, 1, 0, 0.504729) , 
-6.30525, 0, 0, 0, 0.498938) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491594) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50467) , 
-0.972252, 1, 1, 0, 0.495472) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466541) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488727) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50668) , 
3.83943, 1, 1, 0, 0.496954) , 
5.5193, 0, 1, 0, 0.49457) , 
NN(
0, 
0, 
8.60929, 0, -1, 1, 0.505443) , 
6.52948, 1, 0, 0, 0.499681) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514451) , 
-1.47996, 0, 0, 0, 0.500997) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49977) , 
NN(
NN(
NN(
0, 
0, 
0.817284, 1, -1, -1, 0.498767) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481125) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502827) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471053) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501262) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519443) , 
-6.31941, 0, 0, 0, 0.507946) , 
-0.280897, 0, 0, 0, 0.502781) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504415) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.550417) , 
0.541158, 0, 1, 0, 0.520386) , 
-0.179243, 1, 1, 0, 0.508048) , 
NN(
0, 
0, 
-0.178942, 0, -1, 1, 0.524747) , 
5.08681, 1, 0, 0, 0.511341) , 
1.74177, 0, 1, 0, 0.509487) , 
-9.22806, 1, 0, 0, 0.507479) , 
10.5169, 0, 0, 0, 0.506024) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519067) , 
-2.30241, 0, 1, 0, 0.507666) , 
-2.67737, 1, 1, 0, 0.506619) , 
2.31952, 0, 1, 0, 0.503724) , 
-10.8293, 1, 0, 0, 0.503039) , 
-3.08265, 1, 1, 0, 0.501987)    );
  // itree = 130
  fBoostWeights.push_back(0.040834);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486598) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486677) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498755) , 
2.95862, 0, 0, 0, 0.4932) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506163) , 
6.87034, 1, 0, 0, 0.497563) , 
3.70503, 1, 1, 0, 0.494841) , 
NN(
0, 
0, 
6.24607, 1, -1, 1, 0.519231) , 
5.52073, 1, 1, 0, 0.496976) , 
NN(
NN(
0, 
0, 
-1.03035, 1, -1, -1, 0.474632) , 
NN(
NN(
NN(
NN(
0, 
0, 
1.45906, 1, -1, -1, 0.461523) , 
NN(
NN(
0, 
0, 
-1.83667, 0, -1, -1, 0.494736) , 
NN(
0, 
0, 
-0.512483, 0, -1, 1, 0.506844) , 
-1.05205, 1, 1, 0, 0.497847) , 
0.0838703, 0, 1, 0, 0.49404) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491942) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54589) , 
5.49188, 1, 0, 0, 0.497145) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488491) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499006) , 
2.36342, 0, 1, 0, 0.493724) , 
NN(
0, 
0, 
10.5875, 0, -1, 1, 0.509486) , 
8.34361, 1, 0, 0, 0.500703) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520007) , 
1.53264, 0, 0, 0, 0.502875) , 
NN(
NN(
0, 
0, 
-0.217775, 0, -1, 1, 0.513556) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532645) , 
0.272721, 1, 1, 0, 0.522083) , 
0.769953, 0, 1, 0, 0.505551) , 
-0.759933, 1, 1, 0, 0.5047) , 
-3.72042, 1, 0, 0, 0.501733) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496947) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503711) , 
-4.78692, 1, 1, 0, 0.50054) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500488) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507444) , 
-3.62642, 0, 1, 0, 0.503638) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510877) , 
-2.93842, 1, 1, 0, 0.505854) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526045) , 
1.07679, 1, 0, 0, 0.507836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514493) , 
-9.4837, 0, 0, 0, 0.509403) , 
-4.24881, 1, 1, 0, 0.506952) , 
-2.30745, 0, 1, 0, 0.504075) , 
-5.68373, 1, 1, 0, 0.503511) , 
3.31983, 0, 1, 0, 0.502016)    );
  // itree = 131
  fBoostWeights.push_back(0.0415509);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464749) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490836) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495569) , 
-3.88068, 0, 1, 0, 0.493322) , 
NN(
NN(
0, 
0, 
-2.4534, 0, -1, -1, 0.498754) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525741) , 
1.55797, 1, 0, 0, 0.500109) , 
-3.36267, 1, 1, 0, 0.496928) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50499) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510632) , 
-5.10666, 1, 1, 0, 0.508314) , 
-4.58157, 0, 1, 0, 0.498881) , 
-5.81706, 1, 1, 0, 0.497873) , 
NN(
NN(
0, 
0, 
0.271508, 0, -1, -1, 0.496303) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.455983) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488029) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511462) , 
-5.89953, 1, 0, 0, 0.501022) , 
-7.7237, 1, 0, 0, 0.493428) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493886) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523087) , 
0.0618111, 0, 1, 0, 0.514119) , 
-11.8254, 1, 0, 0, 0.502592) , 
-8.83859, 0, 0, 0, 0.498165) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445439) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48713) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503423) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518235) , 
4.83731, 1, 1, 0, 0.508224) , 
5.69667, 0, 0, 0, 0.500925) , 
6.14595, 0, 1, 0, 0.498747) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487442) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498532) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498504) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513964) , 
-1.53463, 1, 0, 0, 0.510425) , 
3.34436, 0, 0, 0, 0.506653) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512766) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.655124) , 
0.677219, 0, 1, 0, 0.517059) , 
5.4431, 1, 0, 0, 0.509303) , 
7.4215, 0, 0, 0, 0.507053) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529714) , 
8.33824, 1, 0, 0, 0.50915) , 
3.65329, 0, 1, 0, 0.505205) , 
-3.88368, 1, 0, 0, 0.503701) , 
9.32943, 0, 0, 0, 0.502192) , 
-2.01557, 1, 1, 0, 0.500537)    );
  // itree = 132
  fBoostWeights.push_back(0.0364454);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484838) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492372) , 
-6.76631, 0, 0, 0, 0.488596) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506009) , 
-2.47076, 1, 1, 0, 0.493306) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474696) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490221) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504527) , 
-3.93655, 1, 0, 0, 0.497071) , 
-5.83034, 1, 1, 0, 0.494813) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506828) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513661) , 
-3.80838, 0, 1, 0, 0.510121) , 
-4.24166, 1, 1, 0, 0.502214) , 
-3.41615, 0, 1, 0, 0.498225) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485521) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496163) , 
5.57486, 0, 1, 0, 0.493749) , 
NN(
NN(
NN(
0, 
0, 
-5.96704, 0, -1, -1, 0.462184) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500844) , 
2.35851, 1, 1, 0, 0.493638) , 
NN(
NN(
0, 
0, 
2.35922, 0, -1, -1, 0.496901) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494682) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497238) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505661) , 
3.96988, 1, 1, 0, 0.501211) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514369) , 
3.35558, 0, 1, 0, 0.505758) , 
2.73284, 1, 1, 0, 0.502569) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511287) , 
1.80998, 0, 1, 0, 0.503758) , 
10.303, 0, 0, 0, 0.502197) , 
0.706057, 1, 0, 0, 0.501078) , 
4.64887, 0, 1, 0, 0.499967) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538527) , 
6.41272, 1, 1, 0, 0.500243) , 
NN(
NN(
NN(
0, 
0, 
-0.6076, 1, -1, -1, 0.487719) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491275) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504084) , 
-6.21806, 0, 0, 0, 0.498488) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521292) , 
-1.44935, 1, 1, 0, 0.506792) , 
-1.03082, 0, 1, 0, 0.500479) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496911) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.517434) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559091) , 
3.34858, 1, 0, 0, 0.534707) , 
0.507277, 0, 1, 0, 0.515902) , 
-0.139848, 1, 1, 0, 0.504934) , 
0.985595, 0, 1, 0, 0.501448) , 
-2.01557, 1, 1, 0, 0.500213)    );
  // itree = 133
  fBoostWeights.push_back(0.0428295);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473629) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494827) , 
2.68533, 1, 1, 0, 0.490277) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489791) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.354936) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479664) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495029) , 
NN(
0, 
0, 
-8.69925, 1, -1, 1, 0.501301) , 
-6.08602, 0, 0, 0, 0.498109) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522012) , 
-5.81284, 0, 1, 0, 0.499079) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509714) , 
-3.01844, 1, 1, 0, 0.501359) , 
-2.4851, 0, 1, 0, 0.498089) , 
NN(
NN(
0, 
0, 
0.355998, 1, -1, -1, 0.488875) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483212) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51473) , 
-7.10445, 1, 0, 0, 0.506556) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530011) , 
-9.59922, 0, 0, 0, 0.512109) , 
-0.232459, 0, 1, 0, 0.509368) , 
-1.90856, 1, 1, 0, 0.500336) , 
1.00638, 0, 1, 0, 0.499565) , 
-0.523669, 0, 0, 0, 0.498218) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506115) , 
-12.2341, 0, 0, 0, 0.49908) , 
1.86582, 0, 1, 0, 0.497953) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509572) , 
4.38691, 1, 1, 0, 0.498735) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473404) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484029) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492956) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495736) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502001) , 
1.83164, 0, 1, 0, 0.497918) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512773) , 
2.9209, 1, 1, 0, 0.504289) , 
4.02555, 0, 1, 0, 0.50128) , 
9.69893, 0, 0, 0, 0.499004) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543851) , 
0.628095, 0, 1, 0, 0.499977) , 
NN(
0, 
0, 
12.6775, 1, -1, 1, 0.506872) , 
10.7321, 1, 0, 0, 0.501953) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.646642) , 
-0.666355, 0, 1, 0, 0.502716) , 
-1.50622, 1, 1, 0, 0.501434) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505876) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533937) , 
0.295296, 0, 1, 0, 0.510458) , 
4.82914, 0, 0, 0, 0.503245) , 
2.87611, 1, 0, 0, 0.500481)    );
  // itree = 134
  fBoostWeights.push_back(0.0456463);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485087) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48602) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498986) , 
-3.93216, 0, 1, 0, 0.490212) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514494) , 
-1.78465, 1, 1, 0, 0.49375) , 
NN(
0, 
0, 
-2.9586, 0, -1, 1, 0.504808) , 
-9.26563, 0, 0, 0, 0.497804) , 
-12.8109, 1, 0, 0, 0.495998) , 
NN(
0, 
0, 
-8.94544, 1, -1, 1, 0.509094) , 
-0.128088, 1, 1, 0, 0.496924) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460693) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480866) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488764) , 
0.195434, 1, 0, 0, 0.485296) , 
NN(
0, 
0, 
8.58559, 0, -1, 1, 0.504268) , 
3.52081, 1, 0, 0, 0.496524) , 
NN(
NN(
NN(
NN(
0, 
0, 
8.63987, 1, -1, -1, 0.471488) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491135) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51624) , 
0.189367, 0, 1, 0, 0.499758) , 
10.1791, 1, 0, 0, 0.490535) , 
NN(
0, 
0, 
11.026, 0, -1, -1, 0.499346) , 
1.56231, 1, 1, 0, 0.496905) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485641) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483284) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498101) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499992) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519542) , 
4.95137, 1, 0, 0, 0.504381) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515525) , 
1.65609, 1, 1, 0, 0.50991) , 
2.78041, 0, 1, 0, 0.5053) , 
-2.2151, 1, 1, 0, 0.502958) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516944) , 
-1.77301, 0, 0, 0, 0.505189) , 
-3.74083, 1, 0, 0, 0.502872) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499705) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515984) , 
-4.96145, 1, 1, 0, 0.511827) , 
-3.49976, 0, 1, 0, 0.505236) , 
7.50179, 0, 0, 0, 0.502875) , 
3.84006, 0, 1, 0, 0.501483) , 
-6.28389, 1, 1, 0, 0.501345) , 
-5.34711, 1, 0, 0, 0.500048)    );
  // itree = 135
  fBoostWeights.push_back(0.040975);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470764) , 
NN(
0, 
0, 
6.8461, 1, -1, -1, 0.498189) , 
8.89369, 0, 0, 0, 0.488929) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501756) , 
10.8599, 1, 0, 0, 0.494238) , 
NN(
NN(
NN(
0, 
0, 
-10.6368, 0, -1, -1, 0.491272) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483498) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490674) , 
NN(
NN(
0, 
0, 
-3.4793, 0, -1, -1, 0.498601) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504183) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508188) , 
-5.36684, 0, 0, 0, 0.505896) , 
-7.70178, 1, 0, 0, 0.502885) , 
-2.72771, 0, 1, 0, 0.500596) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506923) , 
-2.30274, 1, 1, 0, 0.501826) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520871) , 
-4.73099, 0, 1, 0, 0.503386) , 
-5.39569, 1, 1, 0, 0.502511) , 
-1.59762, 0, 1, 0, 0.500498) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494412) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508622) , 
3.81343, 1, 0, 0, 0.50152) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510066) , 
2.18159, 0, 0, 0, 0.505282) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518526) , 
0.120331, 0, 0, 0, 0.509462) , 
-1.47549, 1, 0, 0, 0.502661) , 
5.61719, 0, 0, 0, 0.50141) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49146) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497405) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510335) , 
5.02615, 1, 1, 0, 0.500798) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511375) , 
3.83086, 0, 1, 0, 0.505393) , 
2.73462, 1, 1, 0, 0.503622) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533838) , 
6.10759, 1, 1, 0, 0.504356) , 
NN(
0, 
0, 
10.3347, 0, -1, 1, 0.511899) , 
7.61321, 1, 0, 0, 0.506888) , 
2.25275, 1, 1, 0, 0.503384)    );
  // itree = 136
  fBoostWeights.push_back(0.0362598);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485817) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487118) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496232) , 
-3.96123, 0, 1, 0, 0.492098) , 
-4.48215, 1, 1, 0, 0.49034) , 
NN(
0, 
0, 
-0.907106, 0, -1, 1, 0.504822) , 
-5.02578, 0, 1, 0, 0.493587) , 
NN(
NN(
NN(
0, 
0, 
1.23637, 0, -1, -1, 0.487382) , 
NN(
NN(
0, 
0, 
1.2359, 1, -1, -1, 0.492976) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467089) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512117) , 
4.56433, 0, 0, 0, 0.506145) , 
NN(
0, 
0, 
-0.121517, 0, -1, 1, 0.526335) , 
6.35635, 1, 0, 0, 0.508887) , 
1.46221, 0, 1, 0, 0.504007) , 
-3.8837, 1, 0, 0, 0.498875) , 
9.32943, 0, 0, 0, 0.496808) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499664) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507769) , 
-8.28076, 0, 0, 0, 0.502843) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518632) , 
-0.207618, 1, 0, 0, 0.504282) , 
-2.26463, 0, 1, 0, 0.499608) , 
-3.57618, 1, 1, 0, 0.497823) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49436) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505715) , 
2.79123, 0, 1, 0, 0.499294) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49444) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501719) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506192) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514999) , 
4.09108, 1, 1, 0, 0.510502) , 
7.51326, 0, 0, 0, 0.507743) , 
4.86974, 0, 1, 0, 0.504869) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52664) , 
5.96594, 1, 1, 0, 0.50567) , 
3.38654, 1, 1, 0, 0.50317) , 
2.25275, 1, 1, 0, 0.499749)    );
  // itree = 137
  fBoostWeights.push_back(0.0401959);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489567) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502222) , 
12.4356, 0, 0, 0, 0.494208) , 
NN(
NN(
0, 
0, 
7.28323, 1, -1, -1, 0.497015) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448417) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478816) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493791) , 
-1.36712, 0, 1, 0, 0.487105) , 
NN(
0, 
0, 
0.737912, 1, -1, 1, 0.503028) , 
-0.858466, 1, 1, 0, 0.494024) , 
1.69602, 0, 1, 0, 0.490748) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504795) , 
2.44341, 1, 1, 0, 0.496025) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488584) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493404) , 
NN(
NN(
0, 
0, 
-11.647, 0, -1, -1, 0.497303) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49988) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511911) , 
-7.20602, 0, 0, 0, 0.504474) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5147) , 
-3.98598, 0, 1, 0, 0.507365) , 
-9.19744, 1, 0, 0, 0.503782) , 
-3.88794, 0, 0, 0, 0.500911) , 
-5.28113, 1, 1, 0, 0.500199) , 
-1.82739, 0, 1, 0, 0.498775) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.541513) , 
5.60073, 1, 1, 0, 0.499322) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495895) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502395) , 
3.59242, 1, 0, 0, 0.499515) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508975) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525191) , 
3.59233, 0, 0, 0, 0.517396) , 
2.10279, 0, 1, 0, 0.505717) , 
1.7179, 1, 0, 0, 0.500741) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534595) , 
-6.28389, 0, 1, 0, 0.5009) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512652) , 
5.66414, 1, 0, 0, 0.501407) , 
6.47364, 0, 0, 0, 0.500644) , 
11.0993, 0, 0, 0, 0.500123)    );
  // itree = 138
  fBoostWeights.push_back(0.0412678);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486224) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495795) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497209) , 
3.98519, 1, 1, 0, 0.496496) , 
7.51326, 0, 0, 0, 0.493157) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495686) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5093) , 
5.27784, 0, 1, 0, 0.503619) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52798) , 
6.20628, 1, 1, 0, 0.505439) , 
4.72042, 1, 1, 0, 0.496685) , 
NN(
NN(
0, 
0, 
0.528214, 0, -1, -1, 0.497287) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471806) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489097) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516962) , 
-4.41847, 0, 0, 0, 0.495895) , 
-5.96086, 1, 0, 0, 0.490489) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487121) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503986) , 
3.69468, 0, 0, 0, 0.497294) , 
NN(
NN(
0, 
0, 
12.2905, 1, -1, -1, 0.49808) , 
NN(
NN(
NN(
0, 
0, 
8.08297, 1, -1, -1, 0.498384) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51733) , 
2.05354, 1, 1, 0, 0.510023) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
-0.0563698, 0, 1, 0, 0.51264) , 
10.29, 0, 0, 0, 0.506297) , 
5.64354, 1, 0, 0, 0.502957) , 
-0.352103, 1, 0, 0, 0.500809) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491814) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494598) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507501) , 
-4.83584, 0, 0, 0, 0.50014) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527411) , 
-5.51977, 0, 1, 0, 0.503158) , 
0.585262, 0, 0, 0, 0.50092) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50878) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517218) , 
-2.66679, 1, 1, 0, 0.512437) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.544206) , 
3.93839, 1, 0, 0, 0.51383) , 
-3.55799, 1, 1, 0, 0.507113) , 
-1.68226, 0, 1, 0, 0.503791) , 
-8.08819, 1, 0, 0, 0.502319) , 
3.31983, 0, 1, 0, 0.501029)    );
  // itree = 139
  fBoostWeights.push_back(0.0469442);
  fForest.push_back( 
NN(
NN(
0, 
0, 
2.33293, 1, -1, -1, 0.495771) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481295) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.436472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.552115) , 
-6.76869, 0, 0, 0, 0.473291) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495299) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510502) , 
-6.58224, 1, 0, 0, 0.503335) , 
-0.754894, 0, 1, 0, 0.49965) , 
-4.04584, 1, 1, 0, 0.495343) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.381274) , 
NN(
NN(
0, 
0, 
-9.9199, 1, -1, -1, 0.493445) , 
NN(
0, 
0, 
-3.70187, 1, -1, 1, 0.511346) , 
-2.5604, 0, 1, 0, 0.504468) , 
-0.0863915, 0, 1, 0, 0.499049) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518248) , 
-13.1786, 0, 0, 0, 0.503543) , 
-8.35124, 0, 0, 0, 0.499586) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490858) , 
NN(
0, 
0, 
5.55606, 1, -1, 1, 0.507704) , 
2.42326, 0, 1, 0, 0.496442) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475923) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498154) , 
-1.75519, 1, 0, 0, 0.49295) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502542) , 
-1.68353, 0, 1, 0, 0.498377) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475023) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501289) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51389) , 
0.454295, 1, 0, 0, 0.509439) , 
5.76269, 0, 1, 0, 0.50723) , 
2.42636, 1, 1, 0, 0.502212) , 
4.20913, 0, 0, 0, 0.500658) , 
NN(
0, 
0, 
-0.531687, 0, -1, 1, 0.506941) , 
6.77451, 1, 0, 0, 0.502346) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505913) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.56004) , 
-5.47075, 0, 1, 0, 0.517838) , 
-4.14973, 0, 1, 0, 0.504008) , 
-4.62767, 1, 0, 0, 0.502448) , 
11.0993, 0, 0, 0, 0.501906)    );
  // itree = 140
  fBoostWeights.push_back(0.0426544);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479412) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488202) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482618) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495474) , 
-2.86373, 0, 1, 0, 0.489649) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510745) , 
-6.03007, 0, 0, 0, 0.497296) , 
-8.86426, 1, 0, 0, 0.494463) , 
NN(
NN(
0, 
0, 
-7.8209, 0, -1, -1, 0.495823) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506687) , 
-4.10112, 1, 0, 0, 0.500695) , 
-3.63122, 0, 1, 0, 0.497324) , 
-5.81706, 1, 1, 0, 0.496799) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465693) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482378) , 
NN(
NN(
0, 
0, 
3.9765, 0, -1, -1, 0.490368) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496182) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502591) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512155) , 
3.81886, 0, 1, 0, 0.508068) , 
4.03569, 1, 0, 0, 0.502128) , 
7.54964, 0, 0, 0, 0.49762) , 
-1.81926, 1, 0, 0, 0.496379) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525876) , 
5.47623, 1, 1, 0, 0.497665) , 
6.14593, 0, 1, 0, 0.497082) , 
NN(
NN(
0, 
0, 
-6.4936, 0, -1, -1, 0.496824) , 
NN(
NN(
0, 
0, 
6.16818, 1, -1, 1, 0.501794) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507574) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518328) , 
0.476837, 0, 1, 0, 0.512967) , 
4.53414, 0, 0, 0, 0.506411) , 
-3.72042, 1, 0, 0, 0.503163) , 
2.31944, 0, 1, 0, 0.499679) , 
-2.01557, 1, 1, 0, 0.498575)    );
  // itree = 141
  fBoostWeights.push_back(0.0388205);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476143) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491083) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504216) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510001) , 
-4.10961, 0, 1, 0, 0.506511) , 
-3.81004, 0, 0, 0, 0.499799) , 
-8.48205, 1, 0, 0, 0.49621) , 
NN(
0, 
0, 
-6.03065, 1, -1, 1, 0.515576) , 
-5.24479, 0, 1, 0, 0.498498) , 
2.51126, 0, 0, 0, 0.496799) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.568783, 1, -1, -1, 0.494952) , 
NN(
NN(
NN(
0, 
0, 
7.26522, 1, -1, -1, 0.491651) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489645) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491603) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460201) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486798) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495957) , 
-6.4556, 0, 0, 0, 0.490215) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502687) , 
-2.31975, 0, 1, 0, 0.495772) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.535991) , 
-0.308613, 1, 1, 0, 0.498911) , 
1.02709, 0, 1, 0, 0.497565) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515196) , 
2.22028, 1, 1, 0, 0.499552) , 
3.76006, 0, 1, 0, 0.498247) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508132) , 
0.565213, 1, 0, 0, 0.50058) , 
2.77139, 0, 0, 0, 0.498615) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504107) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523997) , 
1.0681, 0, 1, 0, 0.505655) , 
4.57246, 1, 0, 0, 0.499921) , 
6.63091, 0, 0, 0, 0.499043) , 
NN(
NN(
0, 
0, 
3.49682, 0, -1, 1, 0.505188) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538329) , 
0.850553, 0, 1, 0, 0.506955) , 
7.96602, 1, 0, 0, 0.500176) , 
10.5093, 0, 0, 0, 0.499434) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509713) , 
-9.83533, 0, 0, 0, 0.499681) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50307) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510137) , 
-12.7138, 1, 0, 0, 0.505971) , 
-10.8293, 0, 0, 0, 0.500202) , 
-3.08265, 1, 1, 0, 0.499329)    );
  // itree = 142
  fBoostWeights.push_back(0.0379398);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
6.70948, 1, -1, -1, 0.491142) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493489) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488113) , 
NN(
NN(
0, 
0, 
1.19238, 0, -1, -1, 0.491123) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508264) , 
2.33942, 1, 1, 0, 0.50013) , 
3.50239, 0, 1, 0, 0.496223) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.59324) , 
-0.0758555, 0, 1, 0, 0.498858) , 
12.0974, 0, 0, 0, 0.496881) , 
8.52971, 1, 0, 0, 0.49443) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45349) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48065) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494656) , 
1.77404, 1, 0, 0, 0.489981) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545668) , 
-3.42557, 0, 0, 0, 0.492778) , 
-7.78001, 1, 0, 0, 0.490358) , 
NN(
NN(
NN(
0, 
0, 
-2.38337, 1, -1, -1, 0.492629) , 
NN(
NN(
0, 
0, 
-8.73921, 0, -1, -1, 0.495812) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494217) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506156) , 
-4.93767, 1, 1, 0, 0.503386) , 
-4.22808, 1, 0, 0, 0.498859) , 
-3.00922, 0, 1, 0, 0.496938) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473206) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512612) , 
-7.5015, 1, 0, 0, 0.495886) , 
NN(
0, 
0, 
-1.50625, 1, -1, 1, 0.51093) , 
-1.13557, 0, 1, 0, 0.504385) , 
-2.00773, 1, 1, 0, 0.498714) , 
0.318415, 0, 1, 0, 0.497244) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497891) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512404) , 
1.86211, 1, 0, 0, 0.505222) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538003) , 
5.92093, 1, 1, 0, 0.50692) , 
3.31983, 1, 1, 0, 0.498946) , 
5.61719, 0, 0, 0, 0.497702)    );
  // itree = 143
  fBoostWeights.push_back(0.0482538);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475743) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.447922) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476862) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485441) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501467) , 
-3.4501, 1, 1, 0, 0.494386) , 
-0.557898, 0, 0, 0, 0.489701) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495305) , 
NN(
0, 
0, 
-0.8486, 0, -1, 1, 0.514056) , 
-1.51385, 1, 1, 0, 0.505928) , 
2.67953, 1, 0, 0, 0.493392) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49293) , 
NN(
NN(
NN(
0, 
0, 
-2.13824, 0, -1, -1, 0.494167) , 
NN(
0, 
0, 
-0.941183, 0, -1, 1, 0.505042) , 
-1.64156, 1, 1, 0, 0.497727) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511493) , 
-3.16973, 0, 1, 0, 0.50074) , 
-3.75189, 1, 1, 0, 0.499544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525064) , 
-4.41749, 0, 1, 0, 0.502312) , 
-4.93767, 0, 0, 0, 0.498371) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516238) , 
-5.54657, 0, 1, 0, 0.498924) , 
-6.4684, 1, 1, 0, 0.498689) , 
0.905375, 0, 1, 0, 0.498076) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474328) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489317) , 
NN(
0, 
0, 
8.63235, 0, -1, 1, 0.501765) , 
6.55603, 1, 0, 0, 0.498056) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502354) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516092) , 
3.88305, 1, 1, 0, 0.509075) , 
4.18181, 0, 0, 0, 0.501767) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502295) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515407) , 
1.82517, 1, 1, 0, 0.508049) , 
2.20892, 0, 1, 0, 0.502977) , 
5.73358, 0, 1, 0, 0.502093) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456503) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533557) , 
2.95987, 1, 1, 0, 0.518061) , 
-3.01885, 0, 0, 0, 0.502951) , 
1.18567, 1, 1, 0, 0.500258)    );
  // itree = 144
  fBoostWeights.push_back(0.0343451);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479792) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468781) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492474) , 
-3.90327, 1, 0, 0, 0.486747) , 
NN(
0, 
0, 
-7.15406, 1, -1, -1, 0.495388) , 
-5.63359, 0, 0, 0, 0.491725) , 
2.27189, 0, 1, 0, 0.489963) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500721) , 
3.63051, 1, 1, 0, 0.492207) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498852) , 
-2.40728, 0, 1, 0, 0.493832) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478051) , 
NN(
0, 
0, 
8.53508, 0, -1, -1, 0.494779) , 
2.00025, 1, 1, 0, 0.491635) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559992) , 
0.513341, 0, 1, 0, 0.492755) , 
NN(
NN(
0, 
0, 
2.95553, 0, -1, -1, 0.497772) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505946) , 
5.44009, 1, 0, 0, 0.500279) , 
6.72392, 0, 0, 0, 0.497137) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545938) , 
-1.05653, 0, 1, 0, 0.498115) , 
2.05617, 1, 0, 0, 0.495793) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509453) , 
10.1741, 1, 0, 0, 0.496286) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513869) , 
5.92088, 1, 1, 0, 0.496519) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486258) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495234) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494501) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503196) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511089) , 
-3.95448, 1, 0, 0, 0.507887) , 
-7.14737, 1, 0, 0, 0.503475) , 
-3.44301, 0, 1, 0, 0.501675) , 
-5.14164, 1, 1, 0, 0.499737) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54977) , 
-6.37728, 0, 1, 0, 0.500389) , 
-3.08265, 0, 1, 0, 0.497595) , 
NN(
0, 
0, 
1.43835, 0, -1, 1, 0.504089) , 
11.0993, 1, 0, 0, 0.498122)    );
  // itree = 145
  fBoostWeights.push_back(0.0362377);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485398) , 
NN(
0, 
0, 
1.13936, 0, -1, 1, 0.509997) , 
5.25399, 1, 1, 0, 0.493278) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484157) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.385864) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489882) , 
0.566386, 0, 1, 0, 0.484759) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508398) , 
1.90879, 1, 1, 0, 0.491443) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500794) , 
-2.2213, 0, 1, 0, 0.496048) , 
-3.62303, 1, 1, 0, 0.492776) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507196) , 
-4.76733, 0, 1, 0, 0.494446) , 
NN(
0, 
0, 
-7.54634, 1, -1, 1, 0.502093) , 
-6.81329, 0, 0, 0, 0.495832) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-1.12499, 1, -1, -1, 0.48701) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507354) , 
1.88641, 1, 0, 0, 0.499541) , 
4.31958, 0, 0, 0, 0.495286) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501656) , 
2.68501, 1, 1, 0, 0.498022) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49238) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501747) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513058) , 
2.65551, 0, 1, 0, 0.506633) , 
10.0566, 0, 0, 0, 0.502545) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537548) , 
-0.229298, 0, 1, 0, 0.503623) , 
7.39296, 1, 0, 0, 0.499675) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533272) , 
-5.33697, 0, 1, 0, 0.500454) , 
-0.802956, 1, 0, 0, 0.498489) , 
4.38691, 0, 1, 0, 0.497856) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504181) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517961) , 
12.6575, 0, 0, 0, 0.50914) , 
11.3392, 1, 0, 0, 0.498876) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485281) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512342) , 
0.0691456, 1, 1, 0, 0.493626) , 
NN(
0, 
0, 
-2.16798, 1, -1, 1, 0.50528) , 
-1.32907, 0, 1, 0, 0.501148) , 
NN(
0, 
0, 
-4.00411, 1, -1, 1, 0.513208) , 
-2.92682, 0, 1, 0, 0.506247) , 
-8.08819, 0, 0, 0, 0.500189)    );
  // itree = 146
  fBoostWeights.push_back(0.0408793);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488411) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494388) , 
3.87359, 1, 1, 0, 0.491075) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483136) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492762) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499368) , 
-4.38974, 1, 1, 0, 0.49774) , 
-5.00023, 1, 0, 0, 0.49228) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502154) , 
-6.63114, 0, 0, 0, 0.494742) , 
NN(
0, 
0, 
-6.95493, 1, -1, 1, 0.50197) , 
-1.53216, 1, 1, 0, 0.495827) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482984) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476004) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493696) , 
1.011, 1, 1, 0, 0.491002) , 
NN(
NN(
0, 
0, 
1.00825, 0, -1, -1, 0.496427) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512618) , 
2.54124, 1, 1, 0, 0.502013) , 
7.7224, 1, 0, 0, 0.496353) , 
NN(
0, 
0, 
5.61941, 1, -1, 1, 0.529446) , 
-1.06582, 0, 1, 0, 0.4988) , 
-3.68928, 1, 1, 0, 0.497344) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510403) , 
0.677433, 0, 0, 0, 0.499697) , 
-1.61236, 1, 0, 0, 0.498124) , 
3.30636, 0, 1, 0, 0.496845) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49711) , 
NN(
0, 
0, 
3.1146, 1, -1, 1, 0.51197) , 
5.25399, 1, 1, 0, 0.501836) , 
4.38691, 1, 1, 0, 0.497426) , 
NN(
NN(
NN(
0, 
0, 
-9.25716, 1, -1, -1, 0.484157) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500255) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512917) , 
-12.2642, 1, 0, 0, 0.50448) , 
-10.3153, 0, 0, 0, 0.498231) , 
NN(
0, 
0, 
-3.93288, 1, -1, 1, 0.50601) , 
-1.98001, 0, 1, 0, 0.503427) , 
-8.08819, 0, 0, 0, 0.498495)    );
  // itree = 147
  fBoostWeights.push_back(0.0422327);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-7.42732, 0, -1, -1, 0.486555) , 
NN(
0, 
0, 
-1.53543, 1, -1, 1, 0.504659) , 
-6.51666, 1, 0, 0, 0.493009) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492523) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499337) , 
-12.9201, 1, 0, 0, 0.495725) , 
NN(
0, 
0, 
-1.275, 0, -1, 1, 0.505038) , 
-11.0651, 1, 0, 0, 0.499845) , 
-8.94504, 0, 0, 0, 0.496419) , 
NN(
NN(
0, 
0, 
2.32948, 1, -1, -1, 0.486114) , 
NN(
NN(
NN(
NN(
0, 
0, 
8.50583, 1, -1, -1, 0.490117) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488619) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505028) , 
12.8844, 0, 0, 0, 0.494095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509747) , 
11.5842, 0, 0, 0, 0.499084) , 
10.1788, 1, 0, 0, 0.495284) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504877) , 
3.55386, 1, 1, 0, 0.497809) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489081) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490459) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493069) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507295) , 
2.20377, 0, 0, 0, 0.500297) , 
-0.18305, 1, 0, 0, 0.497257) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512054) , 
-3.25113, 0, 0, 0, 0.49956) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488879) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509511) , 
1.39465, 1, 1, 0, 0.507151) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.675111) , 
-0.457497, 0, 1, 0, 0.508873) , 
3.96829, 1, 0, 0, 0.50332) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516447) , 
4.48088, 1, 1, 0, 0.505183) , 
-2.33063, 1, 1, 0, 0.502949) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50573) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.547373) , 
-5.58009, 0, 1, 0, 0.510473) , 
-3.4428, 0, 1, 0, 0.504633) , 
7.50179, 0, 0, 0, 0.502696) , 
5.45399, 0, 1, 0, 0.502193) , 
-5.34711, 1, 0, 0, 0.5005)    );
  // itree = 148
  fBoostWeights.push_back(0.0364979);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.776745, 0, -1, -1, 0.312824) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500881) , 
1.84242, 1, 1, 0, 0.476526) , 
NN(
NN(
NN(
0, 
0, 
-7.06679, 1, -1, -1, 0.488271) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489317) , 
NN(
0, 
0, 
-8.94596, 1, -1, 1, 0.500557) , 
-1.59855, 0, 1, 0, 0.499062) , 
-7.81643, 0, 0, 0, 0.493385) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507185) , 
-5.09076, 1, 0, 0, 0.495863) , 
-0.011274, 0, 1, 0, 0.494615) , 
NN(
NN(
0, 
0, 
6.1877, 1, -1, -1, 0.480575) , 
NN(
NN(
NN(
0, 
0, 
10.6569, 1, -1, -1, 0.493024) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499619) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517029) , 
-0.767989, 1, 1, 0, 0.509934) , 
0.514382, 0, 1, 0, 0.494692) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485502) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491663) , 
NN(
0, 
0, 
7.63456, 1, -1, 1, 0.503835) , 
6.76334, 1, 0, 0, 0.49726) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534383) , 
-0.259591, 0, 1, 0, 0.499301) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496163) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498615) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515773) , 
3.28784, 1, 0, 0, 0.506449) , 
-1.12217, 1, 1, 0, 0.50449) , 
4.92934, 0, 0, 0, 0.501958) , 
1.06823, 1, 0, 0, 0.499338) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500077) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519749) , 
-1.49538, 1, 1, 0, 0.506804) , 
-0.49183, 0, 0, 0, 0.501376) , 
8.4229, 0, 0, 0, 0.499668) , 
5.45399, 0, 1, 0, 0.499047) , 
-3.87354, 1, 0, 0, 0.49775) , 
NN(
0, 
0, 
-2.36019, 0, -1, 1, 0.504152) , 
-10.8293, 0, 0, 0, 0.498306)    );
  // itree = 149
  fBoostWeights.push_back(0.0348632);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.440503) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485371) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519109) , 
-5.53085, 0, 1, 0, 0.491503) , 
-6.44272, 1, 1, 0, 0.490065) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492828) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501362) , 
-3.65935, 0, 1, 0, 0.497208) , 
-4.29665, 1, 1, 0, 0.494141) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501829) , 
-8.50938, 0, 0, 0, 0.49591) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482808) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.442449) , 
NN(
NN(
0, 
0, 
2.57345, 1, -1, -1, 0.495784) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49469) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501629) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518603) , 
4.09089, 0, 0, 0, 0.508869) , 
1.90108, 1, 0, 0, 0.504792) , 
6.51157, 0, 0, 0, 0.500327) , 
5.93002, 0, 1, 0, 0.499142) , 
-1.50753, 1, 0, 0, 0.498081) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527203) , 
-6.74157, 0, 0, 0, 0.498648) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46293) , 
NN(
NN(
NN(
0, 
0, 
-2.23598, 0, -1, -1, 0.496741) , 
NN(
0, 
0, 
-1.31607, 0, -1, 1, 0.502316) , 
-1.7302, 1, 1, 0, 0.49879) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50582) , 
-2.69337, 0, 1, 0, 0.500523) , 
1.96822, 0, 0, 0, 0.49942) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484464) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501541) , 
-7.78001, 1, 0, 0, 0.499329) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508888) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543077) , 
-0.129089, 1, 1, 0, 0.518391) , 
0.308765, 0, 1, 0, 0.509568) , 
-0.858747, 1, 1, 0, 0.501894) , 
NN(
0, 
0, 
-0.858182, 0, -1, 1, 0.51094) , 
5.61719, 1, 0, 0, 0.503278) , 
1.59925, 0, 1, 0, 0.500656) , 
-3.08265, 1, 1, 0, 0.499437)    );
  // itree = 150
  fBoostWeights.push_back(0.0388429);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-1.03035, 1, -1, -1, 0.477927) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484959) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489756) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501068) , 
-4.47141, 1, 1, 0, 0.49678) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506195) , 
-5.07347, 0, 1, 0, 0.498391) , 
-3.80611, 0, 1, 0, 0.49475) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505588) , 
-3.40781, 1, 1, 0, 0.496732) , 
-5.68368, 1, 1, 0, 0.495665) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486107) , 
NN(
0, 
0, 
10.3909, 0, -1, -1, 0.498588) , 
5.77364, 1, 0, 0, 0.496092) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.376876) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499263) , 
2.1845, 1, 1, 0, 0.488014) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483499) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50436) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513139) , 
3.8219, 1, 1, 0, 0.507903) , 
5.58796, 0, 1, 0, 0.506153) , 
-2.644, 1, 0, 0, 0.503201) , 
4.10949, 0, 0, 0, 0.498634) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.455274) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.481739) , 
-6.17925, 1, 0, 0, 0.477862) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511402) , 
-8.89882, 0, 0, 0, 0.489988) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495252) , 
NN(
0, 
0, 
-2.66469, 1, -1, 1, 0.503092) , 
-1.96785, 0, 1, 0, 0.5011) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517197) , 
-1.43112, 1, 1, 0, 0.503875) , 
-0.804692, 0, 1, 0, 0.501546) , 
NN(
0, 
0, 
8.9767, 0, -1, 1, 0.518401) , 
3.18729, 1, 0, 0, 0.503498) , 
0.878975, 0, 1, 0, 0.500463) , 
-3.08265, 1, 1, 0, 0.499231)    );
  // itree = 151
  fBoostWeights.push_back(0.0393845);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475324) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484914) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.4988) , 
-3.69387, 1, 1, 0, 0.492027) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507767) , 
-4.36953, 0, 1, 0, 0.496271) , 
-5.14164, 1, 1, 0, 0.493652) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530227) , 
-6.37728, 0, 1, 0, 0.494123) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484352) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.417016) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484024) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497719) , 
6.70698, 0, 0, 0, 0.492017) , 
-1.42116, 1, 0, 0, 0.488124) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490577) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501761) , 
2.87004, 0, 0, 0, 0.496446) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501978) , 
6.48781, 1, 0, 0, 0.498342) , 
3.07124, 1, 1, 0, 0.494389) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505442) , 
10.6216, 1, 0, 0, 0.496207) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51135) , 
1.79689, 0, 1, 0, 0.497518) , 
1.36852, 1, 1, 0, 0.49666) , 
NN(
0, 
0, 
0.0133285, 0, -1, 1, 0.507361) , 
4.79547, 1, 1, 0, 0.498031) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.464922) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491442) , 
-6.17925, 1, 0, 0, 0.48756) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501693) , 
-8.89882, 0, 0, 0, 0.492672) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48815) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50166) , 
-1.83682, 1, 1, 0, 0.494737) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503958) , 
-2.45613, 0, 1, 0, 0.498437) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511482) , 
-11.6494, 0, 0, 0, 0.501256) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513183) , 
-2.83358, 1, 0, 0, 0.503328) , 
-0.804692, 0, 1, 0, 0.501542) , 
NN(
0, 
0, 
8.9767, 0, -1, 1, 0.524919) , 
3.18729, 1, 0, 0, 0.504247) , 
0.878975, 0, 1, 0, 0.500369) , 
-3.08265, 1, 1, 0, 0.498765)    );
  // itree = 152
  fBoostWeights.push_back(0.03757);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482334) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492654) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49705) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503091) , 
4.8563, 0, 1, 0, 0.500786) , 
4.25522, 1, 1, 0, 0.496419) , 
9.18839, 0, 0, 0, 0.49387) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.515788) , 
5.52073, 1, 1, 0, 0.495771) , 
NN(
NN(
NN(
0, 
0, 
-9.42458, 1, -1, -1, 0.485667) , 
NN(
0, 
0, 
-9.24946, 0, -1, -1, 0.497087) , 
-1.33165, 0, 1, 0, 0.494932) , 
NN(
NN(
0, 
0, 
-0.196939, 0, -1, -1, 0.49042) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490837) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49712) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490844) , 
NN(
0, 
0, 
2.49653, 0, -1, 1, 0.503493) , 
1.77625, 1, 1, 0, 0.500044) , 
2.92851, 0, 1, 0, 0.498005) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.556219) , 
-2.9805, 0, 0, 0, 0.499081) , 
NN(
NN(
NN(
0, 
0, 
-2.5564, 0, -1, -1, 0.499612) , 
NN(
0, 
0, 
7.6075, 1, -1, 1, 0.566229) , 
4.56289, 1, 0, 0, 0.502689) , 
NN(
NN(
NN(
0, 
0, 
0.356375, 0, -1, 1, 0.502206) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5273) , 
0.718423, 1, 1, 0, 0.511297) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532501) , 
-0.246986, 0, 1, 0, 0.516484) , 
-0.888184, 1, 1, 0, 0.506812) , 
1.08461, 0, 1, 0, 0.502821) , 
-3.55745, 1, 1, 0, 0.501729) , 
-7.16303, 1, 0, 0, 0.501115) , 
-5.01682, 1, 1, 0, 0.500484) , 
-8.08819, 1, 0, 0, 0.499227) , 
3.31983, 0, 1, 0, 0.498435)    );
  // itree = 153
  fBoostWeights.push_back(0.0412);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48888) , 
NN(
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.567325, 0, -1, -1, 0.397264) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49899) , 
1.92718, 1, 1, 0, 0.479356) , 
NN(
0, 
0, 
-0.923455, 1, -1, -1, 0.499458) , 
-0.248787, 0, 1, 0, 0.491645) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48397) , 
NN(
NN(
NN(
NN(
0, 
0, 
9.96324, 1, -1, -1, 0.491322) , 
NN(
0, 
0, 
8.58115, 0, -1, -1, 0.499882) , 
2.21635, 1, 1, 0, 0.497768) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494464) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502498) , 
1.95187, 1, 0, 0, 0.498461) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513465) , 
4.3529, 1, 0, 0, 0.503802) , 
6.49754, 0, 0, 0, 0.500817) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489516) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518361) , 
6.18559, 1, 0, 0, 0.494558) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.508412) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525761) , 
8.78064, 0, 0, 0, 0.518757) , 
-0.136924, 1, 1, 0, 0.50917) , 
0.995407, 0, 1, 0, 0.501897) , 
5.43569, 0, 1, 0, 0.501223) , 
-3.0351, 1, 0, 0, 0.500125) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50897) , 
-11.5503, 0, 0, 0, 0.500537) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559815) , 
6.45099, 1, 1, 0, 0.500806) , 
NN(
NN(
0, 
0, 
-2.16922, 1, -1, 1, 0.502339) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55053) , 
-1.04759, 1, 0, 0, 0.506709) , 
-1.66891, 0, 1, 0, 0.501726) , 
-2.72239, 1, 1, 0, 0.500901) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481907) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49608) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499821) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517565) , 
-5.91, 0, 0, 0, 0.507066) , 
-9.63986, 1, 0, 0, 0.504963) , 
-5.30636, 1, 1, 0, 0.502981) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514678) , 
0.307135, 1, 0, 0, 0.504638) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529775) , 
-6.37728, 0, 1, 0, 0.504962) , 
-3.08265, 0, 1, 0, 0.501943)    );
  // itree = 154
  fBoostWeights.push_back(0.0390776);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482847) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469733) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482153) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490389) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5004) , 
7.63948, 1, 0, 0, 0.493905) , 
11.2527, 0, 0, 0, 0.491472) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507518) , 
0.824894, 0, 1, 0, 0.493106) , 
0.270481, 1, 1, 0, 0.491717) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5131) , 
-0.252187, 0, 1, 0, 0.492512) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489475) , 
NN(
NN(
0, 
0, 
3.3978, 1, -1, -1, 0.497212) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5042) , 
6.40116, 0, 0, 0, 0.500421) , 
4.29527, 0, 1, 0, 0.497903) , 
2.73449, 1, 1, 0, 0.4955) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53808) , 
-1.11934, 0, 1, 0, 0.49631) , 
-2.42737, 1, 1, 0, 0.495423) , 
NN(
0, 
0, 
5.85948, 0, -1, 1, 0.505693) , 
5.04679, 1, 1, 0, 0.496096) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527358) , 
-4.59872, 0, 1, 0, 0.4971) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483525) , 
NN(
NN(
NN(
0, 
0, 
0.474043, 1, -1, -1, 0.49285) , 
NN(
0, 
0, 
-11.4024, 1, -1, 1, 0.505309) , 
-1.47592, 0, 1, 0, 0.502906) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503626) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511111) , 
-4.113, 0, 0, 0, 0.506291) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513804) , 
-4.14401, 0, 1, 0, 0.508462) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.526387) , 
0.675939, 1, 1, 0, 0.511254) , 
-5.72407, 1, 0, 0, 0.506591) , 
4.52513, 0, 1, 0, 0.505684) , 
0.135036, 0, 0, 0, 0.501469)    );
  // itree = 155
  fBoostWeights.push_back(0.0331606);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486585) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49776) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.545057) , 
-0.253041, 0, 1, 0, 0.501605) , 
7.58322, 0, 0, 0, 0.497836) , 
3.3608, 0, 1, 0, 0.492979) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48339) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49469) , 
12.7815, 1, 0, 0, 0.490913) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500206) , 
11.4732, 0, 0, 0, 0.493834) , 
NN(
0, 
0, 
9.25602, 1, -1, 1, 0.501544) , 
10.0588, 0, 0, 0, 0.495916) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501862) , 
3.36893, 1, 1, 0, 0.497684) , 
8.52971, 1, 0, 0, 0.495675) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491797) , 
NN(
NN(
NN(
0, 
0, 
1.79591, 0, -1, -1, 0.441492) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483453) , 
NN(
NN(
0, 
0, 
-2.7104, 0, -1, -1, 0.493085) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496766) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504595) , 
-1.66037, 1, 1, 0, 0.500474) , 
-2.28885, 1, 1, 0, 0.496786) , 
-0.809808, 0, 1, 0, 0.495632) , 
NN(
0, 
0, 
0.485348, 1, -1, 1, 0.516206) , 
-0.122697, 1, 1, 0, 0.496623) , 
1.03547, 0, 1, 0, 0.49477) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491524) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511151) , 
4.29166, 1, 0, 0, 0.498541) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514062) , 
1.53883, 0, 0, 0, 0.504601) , 
-1.47549, 1, 0, 0, 0.497978) , 
3.06328, 0, 1, 0, 0.496802) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492668) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496651) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512071) , 
-4.90752, 0, 1, 0, 0.500074) , 
-5.69425, 1, 0, 0, 0.497193) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513549) , 
-8.93609, 0, 0, 0, 0.50116) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513611) , 
-0.291111, 1, 0, 0, 0.50303) , 
-3.17609, 0, 1, 0, 0.499035) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.5025) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.547267) , 
5.94758, 1, 1, 0, 0.507005) , 
4.38691, 1, 1, 0, 0.499715) , 
5.61719, 0, 0, 0, 0.498602)    );
  // itree = 156
  fBoostWeights.push_back(0.0396282);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490347) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476514) , 
NN(
NN(
NN(
0, 
0, 
3.71741, 1, -1, -1, 0.490822) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496311) , 
6.5996, 0, 0, 0, 0.493802) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507135) , 
4.67871, 1, 1, 0, 0.496777) , 
5.91455, 0, 1, 0, 0.496094) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468637) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47053) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493717) , 
9.00717, 0, 0, 0, 0.484004) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503129) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.546352) , 
6.47017, 1, 0, 0, 0.511391) , 
-0.0681265, 0, 1, 0, 0.495659) , 
-1.72763, 1, 1, 0, 0.490801) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505058) , 
-2.49881, 0, 1, 0, 0.497518) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484477) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504252) , 
9.37322, 0, 0, 0, 0.497799) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510412) , 
2.56376, 1, 1, 0, 0.50207) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521744) , 
1.39538, 0, 1, 0, 0.504711) , 
0.927511, 1, 1, 0, 0.501739) , 
3.00694, 0, 1, 0, 0.499242) , 
-4.55525, 1, 1, 0, 0.498779) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489652) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485724) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503703) , 
-0.230732, 1, 1, 0, 0.491247) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507097) , 
-1.54614, 0, 1, 0, 0.500226) , 
-3.04886, 1, 1, 0, 0.496813) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48719) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441537) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49904) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553886) , 
0.559131, 0, 1, 0, 0.526624) , 
-6.74707, 0, 0, 0, 0.485769) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529113) , 
-4.6884, 1, 0, 0, 0.50536) , 
-0.768868, 1, 1, 0, 0.497009) , 
NN(
NN(
0, 
0, 
-7.2205, 0, -1, 1, 0.505295) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511384) , 
-5.44595, 1, 0, 0, 0.507542) , 
-1.74976, 0, 1, 0, 0.505209) , 
-10.1783, 1, 0, 0, 0.503032) , 
-2.60604, 0, 0, 0, 0.500501)    );
  // itree = 157
  fBoostWeights.push_back(0.0368712);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475191) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483177) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511306) , 
2.59531, 0, 0, 0, 0.489218) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48062) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489059) , 
NN(
NN(
0, 
0, 
0.640449, 1, -1, -1, 0.48574) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491505) , 
NN(
0, 
0, 
-1.89064, 1, -1, 1, 0.500273) , 
-7.45944, 0, 0, 0, 0.495899) , 
NN(
0, 
0, 
-0.506519, 0, -1, 1, 0.504557) , 
-1.19544, 1, 1, 0, 0.498338) , 
0.00281769, 0, 1, 0, 0.497416) , 
-2.51967, 1, 1, 0, 0.494319) , 
NN(
NN(
0, 
0, 
-5.2098, 0, -1, -1, 0.491918) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500963) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506668) , 
-3.92564, 0, 1, 0, 0.503592) , 
-4.60339, 1, 1, 0, 0.500264) , 
-3.31237, 0, 1, 0, 0.496806) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508613) , 
0.300554, 1, 0, 0, 0.497937) , 
4.0452, 0, 0, 0, 0.497402) , 
NN(
0, 
0, 
0.31136, 1, -1, 1, 0.514934) , 
6.47363, 1, 0, 0, 0.497915) , 
1.21737, 0, 1, 0, 0.496901) , 
-6.03046, 1, 1, 0, 0.496675) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506851) , 
11.0993, 1, 0, 0, 0.497275) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490666) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501912) , 
6.72756, 1, 0, 0, 0.496572) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478203) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499224) , 
5.21898, 0, 1, 0, 0.493152) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543236) , 
5.95875, 1, 1, 0, 0.497323) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493071) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50828) , 
3.78207, 1, 1, 0, 0.502141) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510153) , 
3.41029, 0, 1, 0, 0.504946) , 
4.40133, 0, 1, 0, 0.50235) , 
2.93303, 1, 1, 0, 0.501071) , 
2.25275, 1, 1, 0, 0.498644)    );
  // itree = 158
  fBoostWeights.push_back(0.0344049);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483207) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48656) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495976) , 
-4.36901, 0, 1, 0, 0.490267) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.496758) , 
-3.76871, 1, 1, 0, 0.493236) , 
NN(
0, 
0, 
-5.51509, 1, -1, 1, 0.501717) , 
-4.91216, 0, 1, 0, 0.494814) , 
2.51126, 0, 0, 0, 0.493935) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485387) , 
NN(
0, 
0, 
11.9559, 0, -1, -1, 0.499151) , 
2.14862, 0, 1, 0, 0.492567) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502015) , 
3.25784, 1, 1, 0, 0.495771) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489676) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507029) , 
-0.972227, 1, 1, 0, 0.495119) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490052) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506564) , 
1.40603, 1, 0, 0, 0.492358) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486954) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498386) , 
NN(
0, 
0, 
2.21688, 1, -1, 1, 0.504243) , 
3.73826, 0, 1, 0, 0.501927) , 
5.46195, 0, 1, 0, 0.500789) , 
0.158824, 1, 1, 0, 0.49848) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.444516) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.480876) , 
-0.0496008, 0, 1, 0, 0.471573) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50759) , 
-1.46503, 0, 1, 0, 0.497637) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486355) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509699) , 
-0.751448, 0, 1, 0, 0.507868) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522177) , 
1.35762, 1, 1, 0, 0.509661) , 
-8.40683, 1, 0, 0, 0.505243) , 
-4.43498, 0, 0, 0, 0.500791) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47989) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494644) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508924) , 
6.89307, 0, 0, 0, 0.502909) , 
1.31952, 1, 1, 0, 0.500721) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51443) , 
4.49252, 1, 1, 0, 0.502832) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.700263) , 
-0.208911, 0, 1, 0, 0.504721) , 
4.91059, 1, 0, 0, 0.5018) , 
-11.3432, 1, 0, 0, 0.501168) , 
8.35826, 0, 0, 0, 0.499993) , 
-3.08265, 1, 1, 0, 0.498437)    );
  // itree = 159
  fBoostWeights.push_back(0.0369169);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.451142) , 
NN(
0, 
0, 
1.79413, 0, -1, -1, 0.492701) , 
0.265187, 1, 1, 0, 0.490939) , 
NN(
0, 
0, 
2.33293, 0, -1, 1, 0.500176) , 
10.928, 1, 0, 0, 0.495723) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-8.25676, 1, -1, -1, 0.4498) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493607) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.527352) , 
-1.16452, 0, 0, 0, 0.496594) , 
-4.51245, 1, 0, 0, 0.492581) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490461) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4814) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490204) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485378) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494795) , 
NN(
0, 
0, 
-8.12809, 0, -1, 1, 0.503802) , 
-5.93445, 0, 0, 0, 0.49999) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505102) , 
-2.58902, 1, 1, 0, 0.501577) , 
-10.113, 1, 0, 0, 0.499596) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50844) , 
-11.6545, 0, 0, 0, 0.501003) , 
-1.22742, 0, 1, 0, 0.500088) , 
-4.85837, 1, 1, 0, 0.498826) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50605) , 
-2.84441, 1, 0, 0, 0.50031) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515822) , 
-5.79213, 0, 1, 0, 0.50067) , 
1.90852, 0, 0, 0, 0.500157) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51303) , 
-0.457232, 1, 1, 0, 0.500688) , 
0.318415, 0, 1, 0, 0.499228) , 
NN(
0, 
0, 
7.26607, 1, -1, 1, 0.506242) , 
5.78846, 1, 0, 0, 0.499848) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477119) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506141) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509119) , 
5.5701, 0, 0, 0, 0.507902) , 
5.07173, 0, 1, 0, 0.502331) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515055) , 
0.923302, 0, 0, 0, 0.50593) , 
3.31983, 1, 1, 0, 0.501133) , 
8.35826, 0, 0, 0, 0.500244)    );
  // itree = 160
  fBoostWeights.push_back(0.0362277);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-1.32777, 1, -1, -1, 0.487416) , 
NN(
0, 
0, 
-1.53543, 1, -1, 1, 0.50235) , 
-6.51666, 1, 0, 0, 0.492743) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474835) , 
NN(
0, 
0, 
-1.64395, 1, -1, -1, 0.499006) , 
0.257098, 0, 1, 0, 0.496849) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504005) , 
-3.04886, 0, 1, 0, 0.499452) , 
-8.94504, 0, 0, 0, 0.496089) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441802) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492408) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501044) , 
3.94339, 0, 1, 0, 0.495638) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504634) , 
4.8208, 1, 1, 0, 0.497585) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491966) , 
NN(
NN(
NN(
0, 
0, 
-1.19507, 0, -1, -1, 0.488583) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45091) , 
NN(
NN(
0, 
0, 
0.747903, 0, -1, -1, 0.493497) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50764) , 
2.56838, 1, 1, 0, 0.499403) , 
0.0572928, 1, 1, 0, 0.497931) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497632) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507607) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534097) , 
3.84877, 1, 0, 0, 0.51718) , 
2.15643, 0, 1, 0, 0.506548) , 
6.51853, 0, 0, 0, 0.502049) , 
-0.677477, 1, 1, 0, 0.500348) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494924) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507326) , 
-2.45613, 0, 0, 0, 0.501635) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523226) , 
2.36247, 1, 0, 0, 0.504548) , 
-2.26999, 0, 1, 0, 0.501589) , 
-5.05823, 1, 1, 0, 0.501137) , 
3.52093, 0, 1, 0, 0.500219) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513775) , 
5.60073, 1, 1, 0, 0.500541) , 
-6.28389, 1, 1, 0, 0.500347) , 
-5.34711, 1, 0, 0, 0.499098)    );
  // itree = 161
  fBoostWeights.push_back(0.0361527);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478557) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482262) , 
NN(
0, 
0, 
-1.0193, 0, -1, -1, 0.499516) , 
3.10786, 1, 0, 0, 0.48864) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506324) , 
0.800364, 1, 1, 0, 0.492299) , 
NN(
0, 
0, 
0.030137, 0, -1, 1, 0.506862) , 
-5.31765, 0, 0, 0, 0.496952) , 
-11.8183, 1, 0, 0, 0.493925) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491949) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484521) , 
NN(
NN(
NN(
NN(
0, 
0, 
-9.32889, 0, -1, -1, 0.495799) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496798) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50814) , 
-4.21611, 0, 0, 0, 0.50162) , 
-6.69746, 1, 0, 0, 0.498813) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508387) , 
-4.46694, 0, 1, 0, 0.500175) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520805) , 
2.3249, 1, 0, 0, 0.501436) , 
-5.12941, 1, 1, 0, 0.500355) , 
-2.18507, 0, 1, 0, 0.499735) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507739) , 
-5.75411, 0, 1, 0, 0.5) , 
-1.89566, 0, 1, 0, 0.49827) , 
NN(
NN(
NN(
0, 
0, 
2.23075, 1, -1, -1, 0.48053) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505636) , 
3.97357, 1, 1, 0, 0.493768) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482674) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491527) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489915) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502067) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505419) , 
2.40618, 0, 1, 0, 0.503646) , 
3.30835, 0, 1, 0, 0.499145) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507902) , 
4.11356, 1, 1, 0, 0.501116) , 
9.24291, 0, 0, 0, 0.499048) , 
5.22426, 0, 1, 0, 0.498102) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509553) , 
11.6579, 1, 0, 0, 0.49982) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50695) , 
2.87574, 0, 0, 0, 0.501136) , 
-0.469887, 1, 0, 0, 0.500304) , 
1.18567, 1, 1, 0, 0.499181)    );
  // itree = 162
  fBoostWeights.push_back(0.040422);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-1.41052, 1, -1, -1, 0.481643) , 
NN(
0, 
0, 
6.95316, 0, -1, -1, 0.49373) , 
5.17179, 1, 0, 0, 0.487592) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487762) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492222) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49692) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506085) , 
4.23504, 1, 0, 0, 0.501101) , 
2.44108, 1, 0, 0, 0.498054) , 
5.56132, 0, 0, 0, 0.494565) , 
NN(
0, 
0, 
2.41469, 0, -1, 1, 0.501911) , 
7.61955, 1, 0, 0, 0.497571) , 
1.47491, 1, 1, 0, 0.495402) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523403) , 
-4.59872, 0, 1, 0, 0.496298) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473501) , 
NN(
NN(
NN(
NN(
0, 
0, 
-10.6256, 0, -1, -1, 0.486271) , 
NN(
0, 
0, 
-3.40082, 1, -1, -1, 0.498224) , 
-1.82252, 0, 1, 0, 0.494353) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474927) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501945) , 
-3.77199, 1, 1, 0, 0.4985) , 
-1.23811, 0, 1, 0, 0.495443) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507328) , 
-4.2918, 1, 0, 0, 0.499052) , 
NN(
NN(
0, 
0, 
-2.76136, 0, -1, 1, 0.502815) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531011) , 
-0.777858, 1, 1, 0, 0.504771) , 
-6.72364, 0, 0, 0, 0.501385) , 
-9.3866, 1, 0, 0, 0.498966) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503346) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518662) , 
-0.0238591, 1, 1, 0, 0.507283) , 
-3.12006, 1, 0, 0, 0.500859) , 
4.52513, 0, 1, 0, 0.499785) , 
0.135036, 0, 0, 0, 0.498073)    );
  // itree = 163
  fBoostWeights.push_back(0.0386508);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
10.928, 1, -1, -1, 0.490245) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474687) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477135) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49524) , 
-9.14779, 1, 0, 0, 0.489531) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.475835) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490253) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504507) , 
-5.15994, 0, 0, 0, 0.496544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512105) , 
-8.3037, 0, 0, 0, 0.501108) , 
-5.55943, 1, 1, 0, 0.498961) , 
-3.61688, 0, 1, 0, 0.494175) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506848) , 
-0.903674, 1, 0, 0, 0.495829) , 
3.28141, 0, 0, 0, 0.494927) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474032) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49123) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497949) , 
NN(
0, 
0, 
-0.355816, 0, -1, 1, 0.517531) , 
3.25222, 1, 0, 0, 0.503745) , 
1.44745, 0, 1, 0, 0.499205) , 
-3.65519, 1, 0, 0, 0.494518) , 
NN(
0, 
0, 
-7.68208, 1, -1, 1, 0.509325) , 
-6.20373, 0, 0, 0, 0.500288) , 
-2.34904, 1, 1, 0, 0.497069) , 
8.35826, 0, 0, 0, 0.4964) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487168) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51348) , 
4.74706, 1, 1, 0, 0.494842) , 
NN(
NN(
0, 
0, 
4.68113, 0, -1, -1, 0.494599) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498722) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50394) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508157) , 
3.52215, 0, 1, 0, 0.506148) , 
6.95608, 0, 0, 0, 0.503532) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509612) , 
10.0955, 1, 0, 0, 0.504861) , 
4.6701, 0, 1, 0, 0.503104) , 
0.435817, 1, 0, 0, 0.501788) , 
2.25275, 1, 1, 0, 0.498343)    );
  // itree = 164
  fBoostWeights.push_back(0.0422704);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488516) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481387) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.434481) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495035) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509589) , 
-2.41688, 0, 0, 0, 0.502025) , 
-6.32986, 1, 1, 0, 0.500638) , 
-6.11228, 1, 0, 0, 0.49639) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506871) , 
-3.60307, 1, 1, 0, 0.499014) , 
-8.50938, 1, 0, 0, 0.496602) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483831) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494941) , 
4.86851, 0, 1, 0, 0.492146) , 
NN(
0, 
0, 
9.50716, 0, -1, 1, 0.504832) , 
6.87034, 1, 0, 0, 0.496495) , 
NN(
NN(
0, 
0, 
-12.7138, 1, -1, -1, 0.495704) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490117) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.406774) , 
NN(
NN(
0, 
0, 
-6.21992, 1, -1, -1, 0.436157) , 
NN(
NN(
NN(
NN(
0, 
0, 
9.24344, 1, -1, -1, 0.490044) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488833) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505205) , 
1.31671, 1, 1, 0, 0.501693) , 
7.56449, 0, 0, 0, 0.496762) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510709) , 
12.0417, 1, 0, 0, 0.499336) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516057) , 
1.50696, 0, 0, 0, 0.501474) , 
-3.75184, 1, 0, 0, 0.500335) , 
-8.04472, 1, 0, 0, 0.499655) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493614) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503051) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.578019) , 
4.27125, 1, 0, 0, 0.507091) , 
-1.4998, 1, 1, 0, 0.502211) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.536492) , 
-0.607586, 1, 1, 0, 0.507181) , 
-0.25001, 0, 1, 0, 0.501343) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509221) , 
3.04861, 1, 1, 0, 0.50253) , 
-1.83823, 1, 1, 0, 0.501494) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498762) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519147) , 
-2.6134, 1, 1, 0, 0.506769) , 
-2.2666, 0, 1, 0, 0.502424) , 
-10.8293, 1, 0, 0, 0.501659) , 
3.44483, 0, 1, 0, 0.500233) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519165) , 
5.92088, 1, 1, 0, 0.500457) , 
-3.08265, 1, 1, 0, 0.499467)    );
  // itree = 165
  fBoostWeights.push_back(0.0363995);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.441174) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483068) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497232) , 
2.56096, 0, 1, 0, 0.491124) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.55193) , 
-2.20865, 0, 0, 0, 0.493589) , 
-7.30445, 1, 0, 0, 0.49235) , 
NN(
0, 
0, 
11.5113, 0, -1, 1, 0.500766) , 
8.37532, 1, 0, 0, 0.495545) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.423016) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492765) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488825) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503981) , 
-4.42722, 1, 1, 0, 0.49733) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510489) , 
-8.50938, 0, 0, 0, 0.500132) , 
-3.62447, 0, 1, 0, 0.49783) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0.194787, 1, -1, -1, 0.488606) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49563) , 
NN(
0, 
0, 
-8.93262, 1, -1, 1, 0.504132) , 
-6.60036, 0, 0, 0, 0.500535) , 
-0.514005, 0, 1, 0, 0.499001) , 
NN(
0, 
0, 
-1.17106, 0, -1, 1, 0.506596) , 
0.478967, 1, 0, 0, 0.500388) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518557) , 
0.718803, 1, 1, 0, 0.501443) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509682) , 
-2.56843, 0, 1, 0, 0.503402) , 
-3.07615, 1, 1, 0, 0.500861) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517173) , 
-5.51317, 0, 1, 0, 0.501384) , 
-6.44237, 1, 1, 0, 0.501024) , 
0.985391, 0, 1, 0, 0.499391) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473117) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496525) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502042) , 
7.65289, 0, 0, 0, 0.499772) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508067) , 
2.23424, 0, 0, 0, 0.502144) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518931) , 
5.49571, 1, 1, 0, 0.503378) , 
6.32103, 0, 1, 0, 0.502838) , 
3.31983, 1, 1, 0, 0.500181)    );
  // itree = 166
  fBoostWeights.push_back(0.0441685);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48665) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480989) , 
NN(
NN(
0, 
0, 
1.15156, 0, -1, -1, 0.49048) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491604) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488265) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502064) , 
-4.98425, 0, 1, 0, 0.491572) , 
NN(
NN(
0, 
0, 
-6.26023, 1, -1, -1, 0.490043) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493678) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508576) , 
-7.63102, 0, 0, 0, 0.499793) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513885) , 
-2.07623, 1, 1, 0, 0.503309) , 
-1.037, 0, 1, 0, 0.501134) , 
-3.80828, 1, 1, 0, 0.498406) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514338) , 
-2.37259, 1, 0, 0, 0.500323) , 
-1.0661, 0, 0, 0, 0.49894) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50074) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.510761) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523205) , 
3.26598, 0, 0, 0, 0.518795) , 
1.69422, 0, 1, 0, 0.507471) , 
1.15114, 1, 0, 0, 0.500806) , 
4.72039, 0, 1, 0, 0.500143) , 
-11.5176, 1, 0, 0, 0.499374) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507715) , 
-12.8431, 0, 0, 0, 0.499921) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.530394) , 
-6.28389, 0, 1, 0, 0.500066) , 
4.82912, 0, 0, 0, 0.499437) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497491) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499664) , 
13.2915, 0, 0, 0, 0.49833) , 
NN(
NN(
NN(
0, 
0, 
6.2417, 0, -1, -1, 0.493552) , 
NN(
0, 
0, 
2.00209, 1, -1, 1, 0.504386) , 
6.8066, 1, 0, 0, 0.501483) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514524) , 
10.903, 1, 0, 0, 0.503026) , 
12.0246, 0, 0, 0, 0.502002) , 
5.61719, 1, 0, 0, 0.500143)    );
  // itree = 167
  fBoostWeights.push_back(0.0430286);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-10.0368, 1, -1, -1, 0.49072) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491508) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505382) , 
-13.0438, 1, 0, 0, 0.498024) , 
-11.2062, 0, 0, 0, 0.493941) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480598) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491442) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511164) , 
5.67796, 1, 1, 0, 0.493134) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506307) , 
-3.7852, 1, 0, 0, 0.505207) , 
2.95979, 0, 1, 0, 0.496366) , 
3.38653, 0, 0, 0, 0.491919) , 
NN(
NN(
0, 
0, 
3.15431, 1, -1, -1, 0.490319) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498192) , 
NN(
0, 
0, 
7.75055, 0, -1, 1, 0.512897) , 
6.74985, 1, 0, 0, 0.505724) , 
8.65581, 0, 0, 0, 0.500319) , 
5.02559, 1, 0, 0, 0.496303) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474847) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496226) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476125) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486017) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485502) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.512998) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520895) , 
0.176472, 0, 1, 0, 0.515974) , 
-3.6805, 1, 0, 0, 0.5104) , 
-0.938472, 1, 1, 0, 0.502373) , 
7.93926, 0, 0, 0, 0.499463) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491266) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510562) , 
-1.71497, 0, 0, 0, 0.50679) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.587871) , 
4.05129, 1, 0, 0, 0.508855) , 
-1.55501, 0, 1, 0, 0.505576) , 
-3.58066, 1, 1, 0, 0.502983) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512483) , 
-4.59169, 0, 1, 0, 0.504351) , 
-5.81714, 1, 1, 0, 0.503563) , 
1.18567, 0, 1, 0, 0.49981) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507257) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51533) , 
12.6575, 0, 0, 0, 0.510159) , 
11.3392, 1, 0, 0, 0.500745) , 
-8.08819, 1, 0, 0, 0.499534)    );
  // itree = 168
  fBoostWeights.push_back(0.0285243);
  fForest.push_back( 
NN(
NN(
0, 
0, 
3.83989, 0, -1, -1, 0.495758) , 
NN(
NN(
0, 
0, 
0.92323, 1, -1, -1, 0.488926) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483595) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.404806) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499256) , 
2.16627, 1, 1, 0, 0.489994) , 
NN(
NN(
NN(
0, 
0, 
-10.0817, 1, -1, -1, 0.49179) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494436) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50024) , 
-6.5675, 1, 0, 0, 0.498163) , 
NN(
0, 
0, 
-2.78646, 1, -1, 1, 0.503271) , 
-8.39233, 0, 0, 0, 0.500355) , 
-1.82126, 0, 1, 0, 0.49842) , 
NN(
0, 
0, 
-8.90022, 0, -1, 1, 0.514816) , 
-0.458827, 1, 1, 0, 0.499295) , 
0.91937, 0, 1, 0, 0.498599) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507502) , 
-4.09186, 0, 1, 0, 0.500146) , 
-5.45554, 1, 1, 0, 0.499654) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48994) , 
NN(
0, 
0, 
-0.348557, 0, -1, -1, 0.498777) , 
3.70262, 0, 0, 0, 0.49628) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494024) , 
NN(
NN(
0, 
0, 
6.62924, 0, -1, 1, 0.504894) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525675) , 
-0.259591, 0, 1, 0, 0.506201) , 
7.73356, 0, 0, 0, 0.504229) , 
4.78801, 1, 0, 0, 0.500164) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503814) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518215) , 
-0.877282, 1, 0, 0, 0.510446) , 
0.841855, 0, 0, 0, 0.503338) , 
-2.77739, 1, 0, 0, 0.501549) , 
5.45399, 0, 1, 0, 0.501243) , 
8.35826, 0, 0, 0, 0.500342)    );
  // itree = 169
  fBoostWeights.push_back(0.0322387);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.439909) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.487774) , 
-6.16031, 1, 1, 0, 0.483964) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494095) , 
-3.93655, 0, 0, 0, 0.488911) , 
NN(
NN(
NN(
0, 
0, 
0.932291, 1, -1, -1, 0.482533) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.460711) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485122) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497803) , 
-8.86823, 0, 0, 0, 0.4904) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49212) , 
NN(
0, 
0, 
-2.13772, 0, -1, 1, 0.501614) , 
-2.55356, 1, 1, 0, 0.497353) , 
-1.67812, 0, 1, 0, 0.495544) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504713) , 
-0.837734, 1, 1, 0, 0.496464) , 
2.00224, 0, 0, 0, 0.49529) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50687) , 
-0.187099, 1, 1, 0, 0.496169) , 
NN(
0, 
0, 
8.77351, 0, -1, 1, 0.513392) , 
5.89561, 1, 0, 0, 0.497305) , 
0.652447, 0, 1, 0, 0.495942) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501158) , 
NN(
0, 
0, 
-3.76631, 1, -1, 1, 0.508176) , 
-6.36606, 0, 0, 0, 0.504198) , 
-3.07892, 0, 1, 0, 0.499199) , 
-4.6967, 1, 1, 0, 0.497981) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470203) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491552) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495674) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498356) , 
NN(
NN(
0, 
0, 
2.56475, 1, -1, 1, 0.500923) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510629) , 
7.77946, 0, 0, 0, 0.504342) , 
5.1344, 1, 0, 0, 0.502587) , 
3.8129, 0, 1, 0, 0.501383) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508164) , 
4.37022, 1, 1, 0, 0.502383) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52503) , 
5.29495, 1, 1, 0, 0.503341) , 
0.645642, 1, 0, 0, 0.502131) , 
6.16671, 0, 1, 0, 0.501741) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489373) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52647) , 
2.45302, 1, 1, 0, 0.522091) , 
-3.01885, 0, 0, 0, 0.502819) , 
1.18567, 1, 1, 0, 0.500148)    );
  // itree = 170
  fBoostWeights.push_back(0.0355156);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47798) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490341) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500455) , 
-4.59539, 0, 1, 0, 0.493291) , 
NN(
0, 
0, 
-8.81269, 1, -1, 1, 0.50081) , 
-6.30525, 0, 0, 0, 0.496355) , 
-5.65413, 1, 1, 0, 0.495446) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489015) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484357) , 
NN(
NN(
NN(
0, 
0, 
-0.115, 1, -1, -1, 0.488762) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498725) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508017) , 
-1.6757, 0, 1, 0, 0.502859) , 
-0.895347, 0, 1, 0, 0.49831) , 
NN(
0, 
0, 
-0.229511, 0, -1, 1, 0.512113) , 
1.01973, 1, 0, 0, 0.501143) , 
11.233, 0, 0, 0, 0.499487) , 
-2.14384, 1, 1, 0, 0.4971) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506827) , 
-2.61948, 0, 1, 0, 0.499394) , 
-3.16312, 1, 1, 0, 0.497646) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539426) , 
-6.37732, 0, 1, 0, 0.497896) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492554) , 
NN(
0, 
0, 
3.71351, 1, -1, -1, 0.499946) , 
6.94512, 1, 0, 0, 0.49761) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510591) , 
5.0385, 1, 1, 0, 0.498615) , 
NN(
0, 
0, 
1.69048, 0, -1, 1, 0.507398) , 
2.24849, 0, 1, 0, 0.500571) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479956) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49694) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51133) , 
0.39589, 1, 0, 0, 0.507706) , 
5.30049, 0, 1, 0, 0.504656) , 
NN(
0, 
0, 
-6.08981, 1, -1, 1, 0.523864) , 
-3.43334, 0, 0, 0, 0.507001) , 
4.62804, 0, 0, 0, 0.503126) , 
1.18567, 1, 1, 0, 0.500239)    );
  // itree = 171
  fBoostWeights.push_back(0.0349169);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
9.70348, 1, -1, -1, 0.49401) , 
NN(
0, 
0, 
9.90019, 0, -1, 1, 0.509307) , 
1.02946, 0, 1, 0, 0.496339) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483476) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487843) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498084) , 
-2.75995, 1, 1, 0, 0.492553) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50255) , 
-3.4334, 0, 1, 0, 0.497151) , 
-4.48149, 1, 1, 0, 0.494518) , 
NN(
0, 
0, 
-1.99491, 0, -1, 1, 0.51068) , 
-5.41691, 0, 1, 0, 0.495756) , 
NN(
0, 
0, 
-2.89902, 0, -1, 1, 0.502672) , 
-8.20915, 0, 0, 0, 0.497843) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479391) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48266) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484438) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471467) , 
NN(
0, 
0, 
3.12104, 1, -1, 1, 0.501665) , 
0.219844, 1, 1, 0, 0.500495) , 
6.95289, 0, 0, 0, 0.498336) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523335) , 
7.60871, 1, 0, 0, 0.501402) , 
4.86207, 0, 1, 0, 0.499515) , 
NN(
NN(
NN(
NN(
0, 
0, 
-0.0299267, 0, -1, -1, 0.490046) , 
NN(
NN(
0, 
0, 
1.40616, 0, -1, -1, 0.483191) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503933) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517125) , 
3.34959, 0, 1, 0, 0.507192) , 
2.22243, 1, 1, 0, 0.5036) , 
0.667786, 1, 1, 0, 0.498526) , 
NN(
0, 
0, 
-1.46853, 1, -1, 1, 0.507899) , 
-0.973503, 0, 1, 0, 0.502403) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515769) , 
0.242058, 1, 0, 0, 0.505731) , 
2.36212, 0, 0, 0, 0.502683) , 
6.32099, 0, 1, 0, 0.502482) , 
-2.01557, 1, 1, 0, 0.500376) , 
8.35826, 0, 0, 0, 0.499713)    );
  // itree = 172
  fBoostWeights.push_back(0.0316744);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-4.54246, 1, -1, -1, 0.484962) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493767) , 
-6.11287, 1, 0, 0, 0.489087) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49766) , 
-1.89699, 1, 0, 0, 0.491593) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50152) , 
-3.6592, 1, 1, 0, 0.494679) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521855) , 
-6.37728, 0, 1, 0, 0.495028) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491314) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501761) , 
5.2659, 1, 1, 0, 0.494443) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492655) , 
NN(
NN(
NN(
0, 
0, 
0.597297, 0, -1, -1, 0.492724) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49241) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480904) , 
NN(
0, 
0, 
9.85952, 1, -1, 1, 0.500226) , 
1.76656, 1, 1, 0, 0.495815) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500509) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494174) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510942) , 
1.09367, 1, 1, 0, 0.507094) , 
2.63802, 0, 1, 0, 0.503637) , 
7.97774, 0, 0, 0, 0.501085) , 
NN(
0, 
0, 
6.15195, 1, -1, 1, 0.519931) , 
-0.303884, 0, 1, 0, 0.50171) , 
-0.250215, 1, 0, 0, 0.500583) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518673) , 
-3.78971, 0, 0, 0, 0.50164) , 
-6.03683, 1, 0, 0, 0.500123) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507336) , 
4.05464, 1, 1, 0, 0.500884) , 
11.9394, 0, 0, 0, 0.499994) , 
4.54211, 0, 1, 0, 0.499325) , 
NN(
NN(
0, 
0, 
-2.60423, 0, -1, 1, 0.502497) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524367) , 
-1.04759, 1, 0, 0, 0.504711) , 
-1.95712, 0, 1, 0, 0.500294) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522042) , 
5.92088, 1, 1, 0, 0.500549) , 
-3.08265, 1, 1, 0, 0.49913)    );
  // itree = 173
  fBoostWeights.push_back(0.036386);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487172) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488279) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495989) , 
5.97926, 1, 0, 0, 0.492483) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48906) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493625) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.473468) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498632) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510379) , 
7.86741, 1, 0, 0, 0.502808) , 
0.727652, 1, 1, 0, 0.501199) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.516711) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
-1.45433, 1, 1, 0, 0.535996) , 
-0.264918, 0, 1, 0, 0.504339) , 
4.33767, 1, 0, 0, 0.501289) , 
9.98618, 0, 0, 0, 0.500021) , 
3.34451, 0, 1, 0, 0.497133) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516827) , 
5.25393, 1, 1, 0, 0.498065) , 
2.1951, 1, 0, 0, 0.496642) , 
NN(
NN(
NN(
NN(
0, 
0, 
-3.30764, 1, -1, -1, 0.488187) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494667) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497608) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506823) , 
-4.89314, 1, 1, 0, 0.50438) , 
-7.16071, 1, 0, 0, 0.501059) , 
-3.74366, 0, 1, 0, 0.495458) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467705) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501347) , 
-4.71832, 1, 0, 0, 0.486823) , 
NN(
0, 
0, 
-7.78466, 1, -1, 1, 0.510714) , 
-6.78813, 0, 0, 0, 0.492552) , 
NN(
NN(
0, 
0, 
-0.946169, 0, -1, 1, 0.500462) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519831) , 
0.0477834, 1, 1, 0, 0.504461) , 
-8.8863, 0, 0, 0, 0.497702) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507713) , 
-2.43067, 1, 0, 0, 0.501408) , 
NN(
0, 
0, 
-2.29922, 1, -1, 1, 0.507919) , 
-1.84544, 0, 1, 0, 0.50397) , 
-2.91315, 1, 1, 0, 0.500103) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538864) , 
-5.93302, 0, 1, 0, 0.500634) , 
0.922989, 0, 0, 0, 0.498971) , 
NN(
0, 
0, 
2.33293, 1, -1, 1, 0.503274) , 
11.0993, 1, 0, 0, 0.499321)    );
  // itree = 174
  fBoostWeights.push_back(0.0362135);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.474157) , 
NN(
NN(
NN(
NN(
0, 
0, 
-8.69048, 0, -1, -1, 0.486466) , 
NN(
NN(
NN(
0, 
0, 
-10.192, 0, -1, -1, 0.492125) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492601) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497038) , 
-3.59845, 1, 1, 0, 0.495054) , 
NN(
0, 
0, 
-10.5613, 1, -1, 1, 0.501382) , 
-6.89347, 0, 0, 0, 0.498493) , 
-2.06038, 0, 1, 0, 0.497025) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522051) , 
-0.649718, 1, 1, 0, 0.498048) , 
-0.02948, 0, 1, 0, 0.496992) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497694) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501771) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507106) , 
-0.37599, 1, 0, 0, 0.504272) , 
1.23913, 0, 0, 0, 0.501981) , 
-2.16066, 1, 0, 0, 0.498489) , 
NN(
0, 
0, 
-3.51654, 0, -1, 1, 0.506695) , 
-4.99006, 0, 1, 0, 0.499032) , 
5.45399, 0, 1, 0, 0.49854) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495217) , 
NN(
NN(
0, 
0, 
8.84143, 1, -1, 1, 0.50086) , 
NN(
NN(
0, 
0, 
3.04292, 0, -1, 1, 0.502486) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517587) , 
4.51675, 1, 1, 0, 0.505273) , 
7.83373, 0, 0, 0, 0.503637) , 
11.4986, 0, 0, 0, 0.502298) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.45679) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48906) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53652) , 
6.28071, 1, 0, 0, 0.508278) , 
7.88513, 0, 0, 0, 0.496209) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490255) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522173) , 
-0.538688, 1, 1, 0, 0.515114) , 
9.0444, 1, 0, 0, 0.506826) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523429) , 
4.82914, 0, 0, 0, 0.51105) , 
1.41399, 0, 1, 0, 0.503952) , 
2.87611, 1, 0, 0, 0.500635)    );
  // itree = 175
  fBoostWeights.push_back(0.0394947);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.410282) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49136) , 
-0.373599, 0, 1, 0, 0.485163) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501058) , 
-12.2525, 0, 0, 0, 0.492984) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487496) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.492506) , 
-0.722365, 0, 0, 0, 0.48996) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508013) , 
1.2784, 1, 0, 0, 0.496059) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489612) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481443) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506994) , 
-0.00857592, 0, 1, 0, 0.502745) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510954) , 
-4.25814, 1, 0, 0, 0.505251) , 
-7.00793, 1, 0, 0, 0.501307) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515331) , 
-8.5531, 0, 0, 0, 0.502903) , 
-2.93406, 0, 0, 0, 0.4992) , 
-9.35597, 1, 0, 0, 0.497757) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495895) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502685) , 
-3.90212, 1, 1, 0, 0.499694) , 
NN(
0, 
0, 
-4.10264, 0, -1, 1, 0.508975) , 
-4.64344, 0, 1, 0, 0.502396) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515284) , 
-8.29051, 0, 0, 0, 0.505823) , 
-3.08265, 0, 1, 0, 0.500909) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490381) , 
NN(
NN(
NN(
0, 
0, 
2.00081, 0, -1, -1, 0.496173) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450575) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478981) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515783) , 
6.16617, 1, 0, 0, 0.496096) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513332) , 
4.87894, 0, 0, 0, 0.504318) , 
7.58878, 0, 0, 0, 0.496879) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503475) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.519271) , 
6.44613, 1, 0, 0, 0.509847) , 
1.91232, 1, 1, 0, 0.50641) , 
8.58858, 0, 0, 0, 0.503704) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509672) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513955) , 
12.6575, 0, 0, 0, 0.511198) , 
11.3392, 1, 0, 0, 0.505171) , 
5.3076, 0, 1, 0, 0.504638) , 
2.87611, 1, 0, 0, 0.502352)    );
  // itree = 176
  fBoostWeights.push_back(0.0423528);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48945) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501845) , 
1.48847, 0, 0, 0, 0.492543) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489874) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.139659) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485011) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49446) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508727) , 
6.57014, 0, 0, 0, 0.5046) , 
1.85578, 1, 0, 0, 0.499446) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553209) , 
-5.33159, 0, 0, 0, 0.501379) , 
-9.30638, 1, 0, 0, 0.495562) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.482912) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490252) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486826) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505048) , 
-2.1265, 0, 1, 0, 0.500538) , 
-6.78943, 0, 0, 0, 0.494687) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501571) , 
-3.37941, 1, 0, 0, 0.496824) , 
1.98646, 0, 0, 0, 0.496128) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.551183) , 
5.26596, 1, 0, 0, 0.496665) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501284) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51757) , 
-2.51175, 0, 1, 0, 0.51011) , 
-9.3089, 0, 0, 0, 0.499696) , 
-0.296329, 0, 1, 0, 0.498688) , 
-13.0564, 1, 0, 0, 0.497984) , 
2.55181, 0, 1, 0, 0.49687) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46434) , 
NN(
NN(
0, 
0, 
5.57824, 1, -1, -1, 0.493668) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506372) , 
4.86915, 0, 1, 0, 0.50165) , 
6.36205, 0, 1, 0, 0.50044) , 
3.97348, 1, 1, 0, 0.497451) , 
NN(
NN(
0, 
0, 
-0.981184, 1, -1, -1, 0.498107) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508131) , 
-4.88337, 1, 1, 0, 0.503846) , 
-4.14973, 0, 1, 0, 0.498358) , 
NN(
NN(
NN(
0, 
0, 
1.70828, 0, -1, -1, 0.496008) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503291) , 
13.1766, 1, 0, 0, 0.499341) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472389) , 
NN(
0, 
0, 
1.79413, 0, -1, 1, 0.511395) , 
0.265187, 1, 1, 0, 0.509783) , 
10.928, 0, 0, 0, 0.504371) , 
8.35826, 1, 0, 0, 0.499346)    );
  // itree = 177
  fBoostWeights.push_back(0.038277);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.412328) , 
NN(
NN(
0, 
0, 
-2.58817, 0, -1, -1, 0.491288) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50299) , 
-1.66059, 1, 1, 0, 0.493311) , 
-0.0863915, 0, 1, 0, 0.489854) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502318) , 
-12.9879, 0, 0, 0, 0.492828) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450564) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484886) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484176) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497914) , 
-3.21947, 1, 1, 0, 0.491635) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504153) , 
-3.80941, 0, 1, 0, 0.496667) , 
-4.8354, 1, 1, 0, 0.494616) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487478) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50569) , 
4.89343, 1, 1, 0, 0.493082) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470018) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480193) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487119) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495276) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500543) , 
8.9634, 1, 0, 0, 0.497129) , 
1.78488, 1, 1, 0, 0.495032) , 
NN(
0, 
0, 
0.864466, 1, -1, 1, 0.504187) , 
1.34012, 0, 1, 0, 0.497323) , 
-0.123142, 1, 1, 0, 0.496489) , 
-1.5335, 1, 0, 0, 0.495005) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.539564) , 
-5.50922, 0, 0, 0, 0.49633) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497808) , 
NN(
0, 
0, 
3.50572, 0, -1, 1, 0.506768) , 
5.09712, 1, 0, 0, 0.503032) , 
2.95744, 1, 1, 0, 0.498887) , 
4.11162, 0, 1, 0, 0.497616) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50714) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.575074) , 
2.54319, 1, 0, 0, 0.511116) , 
-1.01748, 0, 1, 0, 0.499229) , 
-2.42134, 1, 1, 0, 0.497855) , 
NN(
0, 
0, 
1.79686, 0, -1, 1, 0.521139) , 
5.60073, 1, 1, 0, 0.498336) , 
-6.28389, 1, 1, 0, 0.498165) , 
-8.08819, 1, 0, 0, 0.497216)    );
  // itree = 178
  fBoostWeights.push_back(0.0407138);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-1.68036, 0, -1, -1, 0.480481) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.488448) , 
-12.7138, 0, 0, 0, 0.484759) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483979) , 
NN(
0, 
0, 
0.999422, 0, -1, 1, 0.503531) , 
12.3973, 0, 0, 0, 0.494205) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484021) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.494673) , 
-0.191337, 1, 0, 0, 0.48831) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507967) , 
-5.20371, 0, 1, 0, 0.490436) , 
NN(
NN(
0, 
0, 
8.07329, 0, -1, -1, 0.475955) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.543597) , 
6.29629, 0, 0, 0, 0.514153) , 
4.49503, 1, 0, 0, 0.492603) , 
NN(
NN(
0, 
0, 
-5.387, 1, -1, -1, 0.489296) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489839) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48644) , 
NN(
0, 
0, 
-2.70422, 0, -1, 1, 0.502917) , 
-1.38087, 0, 1, 0, 0.501069) , 
-7.85089, 0, 0, 0, 0.497585) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.503574) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508601) , 
-2.30338, 0, 1, 0, 0.507052) , 
-6.72101, 1, 0, 0, 0.50221) , 
-4.49472, 1, 1, 0, 0.500267) , 
-3.00419, 0, 0, 0, 0.497758) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.452888) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47597) , 
NN(
NN(
0, 
0, 
6.92118, 1, -1, -1, 0.490927) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493135) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510558) , 
7.81262, 0, 0, 0, 0.504292) , 
4.03609, 0, 1, 0, 0.500542) , 
1.31476, 1, 1, 0, 0.498724) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492252) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501587) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516949) , 
4.58504, 1, 1, 0, 0.505199) , 
-0.324818, 1, 0, 0, 0.502219) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520807) , 
-3.59805, 0, 0, 0, 0.504005) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521246) , 
1.51914, 0, 1, 0, 0.506153) , 
4.10377, 0, 0, 0, 0.502016) , 
-8.22043, 1, 0, 0, 0.501607) , 
0.118588, 1, 1, 0, 0.499616) , 
10.0373, 0, 0, 0, 0.498966) , 
-10.8293, 1, 0, 0, 0.497732)    );
  // itree = 179
  fBoostWeights.push_back(0.0420787);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.379381) , 
NN(
0, 
0, 
-11.552, 1, -1, -1, 0.494224) , 
-0.38535, 0, 1, 0, 0.487764) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512737) , 
-13.292, 0, 0, 0, 0.49535) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453678) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486696) , 
NN(
NN(
NN(
0, 
0, 
5.7802, 0, -1, -1, 0.486372) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488304) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499536) , 
3.39425, 0, 0, 0, 0.493348) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510552) , 
6.70558, 1, 0, 0, 0.497232) , 
4.91727, 0, 1, 0, 0.4957) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496401) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516963) , 
-4.71721, 1, 0, 0, 0.511149) , 
-1.08557, 0, 0, 0, 0.49776) , 
1.95837, 1, 1, 0, 0.496583) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488462) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480198) , 
NN(
NN(
NN(
0, 
0, 
-2.87084, 0, -1, -1, 0.495883) , 
NN(
0, 
0, 
-2.66116, 1, -1, 1, 0.503916) , 
-6.88574, 0, 0, 0, 0.498926) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515447) , 
-5.0685, 0, 1, 0, 0.500099) , 
-0.882304, 0, 1, 0, 0.49922) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.550574) , 
0.263649, 1, 1, 0, 0.499764) , 
-2.31183, 0, 0, 0, 0.497874) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483075) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511113) , 
-1.60747, 0, 1, 0, 0.498283) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524783) , 
6.34503, 1, 0, 0, 0.503074) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516946) , 
2.16413, 0, 0, 0, 0.509675) , 
-0.186551, 1, 0, 0, 0.500251) , 
1.19905, 0, 1, 0, 0.498665) , 
-6.28389, 1, 1, 0, 0.498476) , 
-9.63007, 1, 0, 0, 0.498017) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49585) , 
NN(
NN(
0, 
0, 
11.4797, 0, -1, 1, 0.50153) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.597557) , 
0.265187, 0, 1, 0, 0.505705) , 
12.9838, 0, 0, 0, 0.503172) , 
8.35826, 1, 0, 0, 0.498864)    );
  // itree = 180
  fBoostWeights.push_back(0.0403939);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.445528) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485053) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498238) , 
-3.85911, 1, 1, 0, 0.490174) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51198) , 
-5.47134, 0, 1, 0, 0.492185) , 
-6.37738, 1, 1, 0, 0.491476) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497067) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50735) , 
-3.89653, 0, 1, 0, 0.502168) , 
-6.30525, 0, 0, 0, 0.495777) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492244) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502027) , 
-12.7138, 1, 0, 0, 0.496245) , 
NN(
NN(
NN(
0, 
0, 
1.55538, 0, -1, -1, 0.495331) , 
NN(
NN(
NN(
NN(
0, 
0, 
-9.17918, 0, -1, -1, 0.494935) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471936) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495088) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.549044) , 
-0.838063, 1, 1, 0, 0.502011) , 
1.19339, 0, 1, 0, 0.496478) , 
NN(
NN(
NN(
0, 
0, 
7.6708, 1, -1, -1, 0.49651) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491209) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503424) , 
1.0212, 1, 1, 0, 0.49973) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.502898) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50946) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511193) , 
1.5395, 1, 0, 0, 0.510371) , 
4.1133, 0, 0, 0, 0.507454) , 
2.49393, 1, 1, 0, 0.505036) , 
6.717, 0, 0, 0, 0.503067) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509754) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
4.99586, 1, 0, 0, 0.518454) , 
-0.606515, 0, 1, 0, 0.504776) , 
-2.74917, 1, 0, 0, 0.503087) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517534) , 
-7.10144, 0, 0, 0, 0.503819) , 
-8.38473, 1, 0, 0, 0.503099) , 
NN(
0, 
0, 
9.31973, 0, -1, 1, 0.511388) , 
8.72497, 1, 0, 0, 0.503784) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528008) , 
5.92088, 1, 1, 0, 0.50413) , 
10.3106, 0, 0, 0, 0.503547) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512448) , 
12.0246, 1, 0, 0, 0.504319) , 
-10.8293, 1, 0, 0, 0.50365) , 
-3.08265, 1, 1, 0, 0.501626)    );
  // itree = 181
  fBoostWeights.push_back(0.0399643);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485279) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.484332) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481218) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499278) , 
7.14307, 0, 0, 0, 0.492596) , 
NN(
NN(
0, 
0, 
2.64583, 0, -1, -1, 0.494278) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513809) , 
8.47975, 1, 0, 0, 0.499395) , 
3.61015, 0, 1, 0, 0.496623) , 
1.57994, 1, 1, 0, 0.49543) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516399) , 
5.447, 1, 1, 0, 0.496218) , 
NN(
0, 
0, 
-0.713623, 1, -1, 1, 0.509575) , 
0.759667, 0, 1, 0, 0.497525) , 
2.02385, 1, 0, 0, 0.495541) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512083) , 
-4.59872, 0, 1, 0, 0.496169) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498493) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516018) , 
12.2772, 0, 0, 0, 0.504761) , 
10.928, 1, 0, 0, 0.497658) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479706) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461425) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490474) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494778) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502891) , 
-4.49803, 0, 0, 0, 0.498874) , 
-8.69116, 1, 0, 0, 0.497037) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457774) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493723) , 
NN(
0, 
0, 
-1.57123, 0, -1, 1, 0.502761) , 
-2.21918, 1, 1, 0, 0.498991) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511382) , 
-2.97549, 0, 1, 0, 0.502731) , 
-0.225338, 0, 1, 0, 0.501428) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506719) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517467) , 
-1.51604, 1, 1, 0, 0.509019) , 
-6.84647, 1, 0, 0, 0.504953) , 
-3.77394, 1, 1, 0, 0.502567) , 
0.52743, 0, 1, 0, 0.502065) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.511393) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.54108) , 
2.53946, 0, 1, 0, 0.517296) , 
1.34824, 1, 1, 0, 0.503278) , 
4.52513, 0, 1, 0, 0.502357) , 
0.135036, 0, 0, 0, 0.50005)    );
  // itree = 182
  fBoostWeights.push_back(0.038537);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477997) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.493976) , 
-5.42325, 1, 1, 0, 0.491857) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47244) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485922) , 
NN(
NN(
0, 
0, 
-7.60843, 0, -1, -1, 0.492458) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523562) , 
-6.50942, 1, 0, 0, 0.506909) , 
-5.25333, 0, 0, 0, 0.496909) , 
-8.60288, 1, 0, 0, 0.492731) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494599) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506853) , 
-7.0994, 0, 0, 0, 0.499972) , 
-1.94576, 0, 1, 0, 0.497465) , 
-3.84139, 1, 1, 0, 0.495876) , 
NN(
NN(
0, 
0, 
-11.9538, 1, -1, 1, 0.501639) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510502) , 
-1.26788, 1, 1, 0, 0.503786) , 
-10.2941, 0, 0, 0, 0.497909) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459669) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.468992) , 
NN(
0, 
0, 
3.94656, 0, -1, -1, 0.498566) , 
0.918954, 1, 1, 0, 0.497004) , 
-0.794017, 1, 1, 0, 0.496) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494612) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492517) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494873) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510274) , 
0.857342, 0, 0, 0, 0.50184) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505051) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512193) , 
3.3268, 0, 0, 0, 0.509527) , 
2.04627, 1, 0, 0, 0.505609) , 
4.09523, 0, 0, 0, 0.503196) , 
-0.218391, 1, 0, 0, 0.501286) , 
NN(
NN(
0, 
0, 
6.22586, 1, -1, 1, 0.507397) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.553208) , 
0.440588, 0, 1, 0, 0.510252) , 
5.01023, 1, 0, 0, 0.503889) , 
7.56941, 0, 0, 0, 0.502035) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512787) , 
-1.73641, 0, 0, 0, 0.50285) , 
-2.77745, 1, 0, 0, 0.50071) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504366) , 
NN(
0, 
0, 
1.70828, 0, -1, 1, 0.51095) , 
13.3265, 0, 0, 0, 0.508007) , 
11.0993, 1, 0, 0, 0.501302)    );
  // itree = 183
  fBoostWeights.push_back(0.0354789);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
-7.85164, 1, -1, -1, 0.478723) , 
NN(
NN(
0, 
0, 
-0.57678, 0, -1, -1, 0.493122) , 
NN(
NN(
0, 
0, 
-8.23785, 0, -1, -1, 0.497096) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508001) , 
-3.41457, 1, 1, 0, 0.501643) , 
-2.53188, 0, 1, 0, 0.498642) , 
0.868257, 0, 1, 0, 0.497807) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508201) , 
-13.0566, 0, 0, 0, 0.499276) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.457987) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.46802) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499612) , 
1.43798, 0, 1, 0, 0.489187) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.4835) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485356) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501485) , 
5.14472, 0, 0, 0, 0.496453) , 
NN(
NN(
0, 
0, 
0.468782, 0, -1, -1, 0.494919) , 
NN(
0, 
0, 
3.95902, 0, -1, 1, 0.507508) , 
2.12664, 1, 1, 0, 0.503695) , 
6.31048, 1, 0, 0, 0.501008) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53939) , 
-0.329495, 0, 1, 0, 0.501525) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509348) , 
2.06966, 0, 0, 0, 0.502756) , 
-1.42675, 1, 1, 0, 0.502345) , 
-1.39176, 1, 0, 0, 0.5009) , 
NN(
0, 
0, 
5.87101, 0, -1, 1, 0.509182) , 
4.8415, 1, 1, 0, 0.501719) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49429) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504396) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509742) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5099) , 
-3.25559, 1, 1, 0, 0.509787) , 
-2.77699, 1, 0, 0, 0.507537) , 
-5.19443, 1, 1, 0, 0.505984) , 
-2.3223, 0, 1, 0, 0.502724) , 
-6.28389, 1, 1, 0, 0.502575) , 
-5.34711, 1, 0, 0, 0.501608)    );
  // itree = 184
  fBoostWeights.push_back(0.0343347);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-10.7941, 1, -1, -1, 0.490227) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499532) , 
-12.097, 0, 0, 0, 0.493282) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.478926) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471767) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.490167) , 
-0.65694, 1, 1, 0, 0.486892) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506879) , 
1.96571, 0, 0, 0, 0.494063) , 
0.472251, 1, 0, 0, 0.490837) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506364) , 
-0.683964, 0, 0, 0, 0.493586) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489174) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497321) , 
4.03027, 0, 1, 0, 0.494228) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496311) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489512) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.576874) , 
-0.996877, 1, 1, 0, 0.527889) , 
0.866367, 0, 1, 0, 0.503821) , 
2.38739, 0, 1, 0, 0.497211) , 
NN(
0, 
0, 
1.69648, 0, -1, 1, 0.507147) , 
8.69975, 1, 0, 0, 0.49943) , 
9.9837, 0, 0, 0, 0.49765) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509723) , 
5.31537, 0, 0, 0, 0.49939) , 
4.4547, 1, 0, 0, 0.49655) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494477) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501056) , 
-3.92462, 0, 1, 0, 0.49718) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492285) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501234) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504893) , 
1.74926, 1, 1, 0, 0.502408) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495298) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516809) , 
0.163463, 0, 1, 0, 0.512949) , 
-4.50887, 0, 0, 0, 0.507595) , 
-6.98325, 1, 0, 0, 0.505298) , 
-2.86074, 1, 1, 0, 0.501273) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514315) , 
-4.8872, 0, 1, 0, 0.50245) , 
-1.77431, 0, 0, 0, 0.498587) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499025) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516144) , 
12.6575, 0, 0, 0, 0.505164) , 
11.3392, 1, 0, 0, 0.49918) , 
-8.08819, 1, 0, 0, 0.498131)    );
  // itree = 185
  fBoostWeights.push_back(0.0382289);
  fForest.push_back( 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481167) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486382) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497142) , 
4.30828, 0, 1, 0, 0.494343) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508215) , 
0.328504, 0, 1, 0, 0.497394) , 
1.1655, 1, 0, 0, 0.494064) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486225) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486262) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461541) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.491785) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498289) , 
-7.14355, 0, 0, 0, 0.494498) , 
NN(
NN(
0, 
0, 
-9.00424, 0, -1, -1, 0.495133) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495832) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507245) , 
-9.00287, 1, 0, 0, 0.504068) , 
-2.09066, 0, 1, 0, 0.501174) , 
-3.64224, 1, 1, 0, 0.499071) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514285) , 
-5.21506, 0, 1, 0, 0.499921) , 
-0.37569, 0, 1, 0, 0.499315) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.549216) , 
0.371831, 1, 1, 0, 0.499679) , 
1.17988, 0, 1, 0, 0.499045) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516524) , 
2.05342, 1, 1, 0, 0.499802) , 
-2.72149, 0, 0, 0, 0.49818) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512706) , 
-1.39176, 1, 0, 0, 0.499914) , 
4.52513, 0, 1, 0, 0.499317) , 
0.12798, 0, 0, 0, 0.49782) , 
NN(
NN(
0, 
0, 
10.0857, 1, -1, -1, 0.496763) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48338) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497188) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498397) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507415) , 
6.3962, 0, 0, 0, 0.503371) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516413) , 
7.62098, 1, 0, 0, 0.506809) , 
4.69974, 0, 1, 0, 0.505601) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.53664) , 
1.01273, 0, 1, 0, 0.507058) , 
-1.50622, 1, 1, 0, 0.505811) , 
8.71418, 0, 0, 0, 0.503099) , 
4.73909, 1, 0, 0, 0.499241) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506706) , 
-12.0285, 0, 0, 0, 0.499725) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501199) , 
NN(
0, 
0, 
1.70828, 0, -1, 1, 0.511221) , 
13.3265, 0, 0, 0, 0.506738) , 
11.0993, 1, 0, 0, 0.500294)    );
  // itree = 186
  fBoostWeights.push_back(0.034698);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
-6.39044, 1, -1, -1, 0.489322) , 
NN(
NN(
NN(
NN(
NN(
NN(
0, 
0, 
1.34572, 1, -1, -1, 0.467912) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489906) , 
2.19593, 1, 1, 0, 0.484779) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48625) , 
NN(
NN(
NN(
0, 
0, 
-10.7914, 1, -1, -1, 0.48902) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.497557) , 
-7.72437, 1, 0, 0, 0.493371) , 
NN(
0, 
0, 
-2.55774, 1, -1, 1, 0.502493) , 
-2.15614, 0, 1, 0, 0.498269) , 
-3.22707, 1, 1, 0, 0.496079) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51573) , 
-0.371218, 1, 1, 0, 0.497158) , 
0.576417, 0, 1, 0, 0.495447) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503813) , 
0.717466, 1, 0, 0, 0.496616) , 
NN(
NN(
NN(
0, 
0, 
0.410423, 1, -1, -1, 0.492178) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485907) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501418) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505017) , 
2.45789, 0, 1, 0, 0.502974) , 
8.39647, 0, 0, 0, 0.498397) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509421) , 
10.4892, 1, 0, 0, 0.50137) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509194) , 
3.53029, 1, 1, 0, 0.503488) , 
1.27339, 1, 1, 0, 0.501951) , 
NN(
0, 
0, 
-1.74442, 1, -1, 1, 0.528659) , 
-1.02757, 0, 1, 0, 0.50277) , 
2.87611, 1, 0, 0, 0.49932) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498047) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504561) , 
-6.00815, 0, 0, 0, 0.500465) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510449) , 
-4.18819, 1, 1, 0, 0.50476) , 
-3.63516, 0, 1, 0, 0.500282) , 
-5.3369, 1, 1, 0, 0.499961) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.506383) , 
NN(
0, 
0, 
2.16101, 1, -1, 1, 0.512606) , 
4.9072, 1, 1, 0, 0.509624) , 
4.38691, 1, 1, 0, 0.500897)    );
  // itree = 187
  fBoostWeights.push_back(0.0362953);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.465282) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.456323) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.466401) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489042) , 
NN(
0, 
0, 
9.04292, 0, -1, -1, 0.499266) , 
6.38619, 1, 0, 0, 0.493855) , 
11.0067, 0, 0, 0, 0.490935) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505829) , 
12.5607, 1, 0, 0, 0.492994) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534933) , 
-0.251187, 0, 1, 0, 0.493911) , 
-1.00136, 1, 1, 0, 0.492928) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503462) , 
-1.9106, 0, 1, 0, 0.494302) , 
-5.02988, 1, 1, 0, 0.493396) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487454) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494127) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506252) , 
4.48207, 1, 1, 0, 0.497728) , 
5.36683, 0, 1, 0, 0.496558) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507939) , 
8.31109, 1, 0, 0, 0.499794) , 
3.28484, 1, 1, 0, 0.495893) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487337) , 
NN(
NN(
NN(
0, 
0, 
0.493487, 1, -1, -1, 0.479917) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498794) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49669) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483145) , 
NN(
0, 
0, 
-2.52218, 1, -1, 1, 0.505481) , 
-1.53577, 0, 1, 0, 0.501669) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501758) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513057) , 
-2.80507, 1, 1, 0, 0.507174) , 
-7.65854, 1, 0, 0, 0.504237) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520996) , 
-0.537966, 1, 1, 0, 0.504833) , 
-4.16604, 1, 1, 0, 0.503653) , 
-3.03835, 0, 0, 0, 0.502811) , 
NN(
0, 
0, 
-5.84181, 0, -1, 1, 0.511827) , 
-5.04586, 0, 1, 0, 0.503462) , 
-0.0196398, 0, 1, 0, 0.502807) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.505696) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.534154) , 
2.53946, 0, 1, 0, 0.511342) , 
1.34824, 1, 1, 0, 0.503486) , 
4.52513, 0, 1, 0, 0.502855) , 
0.135036, 0, 0, 0, 0.499437)    );
  // itree = 188
  fBoostWeights.push_back(0.0402932);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483979) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.467669) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489022) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488874) , 
NN(
0, 
0, 
3.38392, 1, -1, -1, 0.499747) , 
4.66914, 0, 1, 0, 0.497855) , 
2.76502, 1, 1, 0, 0.4952) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520505) , 
1.77588, 0, 1, 0, 0.497809) , 
1.13429, 1, 1, 0, 0.496063) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.422206) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491972) , 
-1.34861, 0, 1, 0, 0.472235) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.585325) , 
9.21395, 1, 0, 0, 0.517341) , 
0.440588, 0, 1, 0, 0.497178) , 
13.1895, 0, 0, 0, 0.495321) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489832) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.343357) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461012) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492305) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51025) , 
-4.08455, 0, 0, 0, 0.49453) , 
-6.00841, 1, 0, 0, 0.492159) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.56934) , 
-8.0394, 0, 0, 0, 0.496332) , 
-9.95446, 1, 0, 0, 0.489175) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488258) , 
NN(
0, 
0, 
-2.7287, 0, -1, -1, 0.499945) , 
-6.96612, 0, 0, 0, 0.493755) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502722) , 
-3.6632, 1, 0, 0, 0.496368) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50809) , 
-9.95439, 0, 0, 0, 0.498518) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516647) , 
-1.1581, 1, 1, 0, 0.499895) , 
-0.523382, 0, 1, 0, 0.497539) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507885) , 
-13.1313, 0, 0, 0, 0.49845) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487591) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.500663) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510955) , 
3.25386, 0, 1, 0, 0.505784) , 
-0.523397, 1, 1, 0, 0.503375) , 
0.98732, 1, 0, 0, 0.499609) , 
4.82912, 0, 0, 0, 0.499089) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511795) , 
5.52073, 1, 1, 0, 0.499399) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497889) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.509517) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.547348) , 
-6.05758, 0, 1, 0, 0.511948) , 
-5.42883, 1, 0, 0, 0.50621) , 
-4.14973, 0, 1, 0, 0.500488) , 
5.61719, 0, 0, 0, 0.499066)    );
  // itree = 189
  fBoostWeights.push_back(0.0376985);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481033) , 
NN(
0, 
0, 
-2.64392, 0, -1, -1, 0.493994) , 
-0.681234, 0, 1, 0, 0.491902) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.480129) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48618) , 
NN(
0, 
0, 
5.09862, 1, -1, -1, 0.499382) , 
4.74343, 1, 1, 0, 0.492068) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.47711) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490996) , 
NN(
0, 
0, 
7.615, 1, -1, 1, 0.514133) , 
0.783018, 0, 1, 0, 0.500596) , 
11.2334, 0, 0, 0, 0.494089) , 
NN(
NN(
0, 
0, 
3.57069, 0, -1, -1, 0.498072) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495095) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506231) , 
2.28676, 0, 1, 0, 0.500964) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511301) , 
2.7424, 1, 1, 0, 0.504282) , 
3.14922, 0, 1, 0, 0.501794) , 
1.67033, 1, 1, 0, 0.499811) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510597) , 
-2.27382, 0, 1, 0, 0.500241) , 
4.03662, 0, 1, 0, 0.498331) , 
-3.61327, 1, 1, 0, 0.497152) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486415) , 
NN(
NN(
0, 
0, 
2.37351, 1, -1, -1, 0.489635) , 
NN(
NN(
0, 
0, 
-2.48122, 0, -1, -1, 0.496946) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499119) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522451) , 
-6.72457, 0, 0, 0, 0.506703) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.537638) , 
0.441099, 1, 1, 0, 0.509594) , 
-1.82627, 1, 1, 0, 0.500359) , 
1.53244, 0, 1, 0, 0.49925) , 
-10.0092, 1, 0, 0, 0.498452) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515271) , 
4.11989, 1, 1, 0, 0.499924) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493486) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499029) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.521984) , 
-4.45618, 0, 1, 0, 0.50859) , 
-5.13565, 1, 1, 0, 0.505233) , 
-3.84139, 0, 1, 0, 0.501383) , 
0.10099, 0, 0, 0, 0.499102) , 
-10.8293, 1, 0, 0, 0.498477)    );
  // itree = 190
  fBoostWeights.push_back(0.0366555);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476957) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.491939) , 
-5.02995, 1, 1, 0, 0.488694) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489623) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500633) , 
2.76729, 0, 0, 0, 0.495258) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.477668) , 
NN(
0, 
0, 
3.92105, 0, -1, -1, 0.499042) , 
0.172462, 1, 1, 0, 0.498306) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498438) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.518517) , 
1.8757, 0, 1, 0, 0.501781) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511818) , 
5.5896, 0, 0, 0, 0.504942) , 
7.4106, 0, 0, 0, 0.500661) , 
4.71293, 1, 0, 0, 0.498952) , 
NN(
0, 
0, 
-1.74223, 1, -1, 1, 0.512327) , 
-1.08782, 0, 1, 0, 0.499244) , 
-2.62783, 1, 1, 0, 0.498318) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489193) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.461722) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49377) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.453863) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496675) , 
NN(
NN(
0, 
0, 
-1.37355, 1, -1, 1, 0.500385) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510364) , 
-2.00557, 0, 1, 0, 0.505114) , 
-2.81707, 1, 1, 0, 0.501331) , 
-0.320071, 0, 1, 0, 0.499795) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498713) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507847) , 
-3.13221, 0, 1, 0, 0.503237) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522179) , 
-1.53133, 1, 1, 0, 0.506598) , 
-6.84647, 1, 0, 0, 0.503076) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514383) , 
-4.31552, 0, 1, 0, 0.504356) , 
-5.00738, 1, 1, 0, 0.503773) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.528649) , 
-5.79809, 0, 1, 0, 0.504299) , 
0.52743, 0, 1, 0, 0.50378) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507156) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.538019) , 
2.53946, 0, 1, 0, 0.513288) , 
1.34824, 1, 1, 0, 0.504535) , 
4.52513, 0, 1, 0, 0.503936) , 
0.135036, 0, 0, 0, 0.501178)    );
  // itree = 191
  fBoostWeights.push_back(0.0364318);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
1.00648, 0, -1, -1, 0.473085) , 
NN(
NN(
NN(
0, 
0, 
3.26507, 1, -1, -1, 0.491728) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476741) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489713) , 
8.0891, 0, 0, 0, 0.483949) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52782) , 
-0.433513, 0, 1, 0, 0.489992) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492215) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.503501) , 
7.15084, 0, 0, 0, 0.500119) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.513254) , 
9.88102, 1, 0, 0, 0.503905) , 
0.923891, 1, 1, 0, 0.500553) , 
2.61795, 0, 1, 0, 0.496842) , 
NN(
0, 
0, 
-4.59726, 1, -1, 1, 0.516768) , 
-2.25175, 0, 0, 0, 0.49784) , 
-6.3304, 1, 0, 0, 0.495973) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.481264) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496698) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502055) , 
4.27492, 0, 1, 0, 0.499815) , 
NN(
0, 
0, 
4.39375, 0, -1, 1, 0.515111) , 
4.83737, 1, 1, 0, 0.504086) , 
6.14598, 0, 1, 0, 0.503313) , 
3.65337, 1, 1, 0, 0.498493) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463488) , 
NN(
NN(
NN(
0, 
0, 
-2.26091, 1, -1, -1, 0.492568) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504676) , 
-3.44833, 0, 1, 0, 0.499035) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532614) , 
5.13292, 1, 0, 0, 0.501555) , 
-5.71037, 1, 1, 0, 0.499735) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496944) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509284) , 
-8.40327, 0, 0, 0, 0.502808) , 
NN(
0, 
0, 
-8.31843, 1, -1, 1, 0.508342) , 
-2.28321, 1, 1, 0, 0.504832) , 
NN(
0, 
0, 
-6.81896, 0, -1, 1, 0.508447) , 
-3.75821, 0, 1, 0, 0.505909) , 
-3.88869, 0, 0, 0, 0.503838) , 
-0.948491, 0, 1, 0, 0.500972)    );
  // itree = 192
  fBoostWeights.push_back(0.0354048);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
1.31395, 0, -1, -1, 0.487842) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490767) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497823) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507712) , 
3.0023, 0, 1, 0, 0.503768) , 
-3.19231, 1, 1, 0, 0.499276) , 
0.842063, 0, 0, 0, 0.494852) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489049) , 
NN(
NN(
NN(
0, 
0, 
9.49391, 0, -1, -1, 0.49265) , 
NN(
NN(
0, 
0, 
8.69526, 1, -1, 1, 0.500366) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.499158) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507032) , 
4.84174, 0, 0, 0, 0.50349) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515031) , 
6.26915, 1, 0, 0, 0.507051) , 
7.54303, 0, 0, 0, 0.504092) , 
2.0589, 1, 1, 0, 0.50169) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.472083) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49886) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.629661) , 
-2.40255, 1, 1, 0, 0.511118) , 
-0.837605, 0, 1, 0, 0.502827) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.625663) , 
9.4932, 1, 0, 0, 0.517499) , 
0.440588, 0, 1, 0, 0.502973) , 
12.6629, 0, 0, 0, 0.501257) , 
2.91074, 1, 0, 0, 0.499001) , 
NN(
NN(
NN(
NN(
0, 
0, 
-2.88704, 1, -1, -1, 0.497233) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498859) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501763) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.520716) , 
-11.2909, 1, 0, 0, 0.507954) , 
-9.20268, 0, 0, 0, 0.506289) , 
-2.15747, 1, 1, 0, 0.501278) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508715) , 
-3.87363, 0, 1, 0, 0.502678) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486321) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.48983) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514732) , 
1.19267, 0, 1, 0, 0.503747) , 
-5.88213, 1, 0, 0, 0.498395) , 
NN(
NN(
0, 
0, 
-5.35931, 0, -1, 1, 0.502424) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511798) , 
-3.90694, 1, 1, 0, 0.508367) , 
-1.74976, 0, 1, 0, 0.506084) , 
-7.84839, 1, 0, 0, 0.504515) , 
-2.60604, 0, 0, 0, 0.501234)    );
  // itree = 193
  fBoostWeights.push_back(0.0309683);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493819) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501246) , 
7.51326, 0, 0, 0, 0.498735) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.17648, 0, -1, -1, 0.490027) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479075) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492224) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50727) , 
1.43234, 0, 1, 0, 0.498424) , 
-3.95609, 1, 0, 0, 0.496015) , 
NN(
0, 
0, 
0.43144, 1, -1, 1, 0.521358) , 
-6.73553, 0, 0, 0, 0.498313) , 
-9.35603, 1, 0, 0, 0.496705) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49636) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501839) , 
-0.0450331, 1, 0, 0, 0.497996) , 
NN(
NN(
NN(
0, 
0, 
-7.91919, 1, -1, -1, 0.499061) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504269) , 
-3.59534, 1, 1, 0, 0.501428) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512717) , 
-2.82082, 1, 1, 0, 0.503899) , 
-4.22808, 0, 0, 0, 0.501822) , 
NN(
0, 
0, 
-4.13049, 1, -1, 1, 0.509322) , 
-5.20409, 0, 1, 0, 0.502499) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511102) , 
-2.31532, 1, 1, 0, 0.503703) , 
-1.69067, 0, 1, 0, 0.501424) , 
NN(
NN(
0, 
0, 
1.67508, 1, -1, 1, 0.503193) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498652) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508996) , 
2.10387, 1, 1, 0, 0.505431) , 
NN(
0, 
0, 
7.35021, 1, -1, 1, 0.533433) , 
1.01607, 0, 1, 0, 0.509386) , 
9.69473, 0, 0, 0, 0.506349) , 
5.61719, 1, 0, 0, 0.502526) , 
3.30636, 0, 1, 0, 0.501963) , 
NN(
0, 
0, 
-0.420714, 0, -1, 1, 0.506889) , 
4.38691, 1, 1, 0, 0.50244)    );
  // itree = 194
  fBoostWeights.push_back(0.0312968);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493505) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50156) , 
7.51326, 1, 0, 0, 0.496228) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485002) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.471648) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493211) , 
NN(
0, 
0, 
0.403981, 0, -1, 1, 0.508734) , 
-0.117851, 1, 1, 0, 0.501498) , 
1.11, 0, 1, 0, 0.49298) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508727) , 
2.20161, 1, 1, 0, 0.498409) , 
-0.709241, 1, 1, 0, 0.494832) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486801) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.499731) , 
-6.25021, 1, 0, 0, 0.493029) , 
NN(
0, 
0, 
-3.52766, 0, -1, 1, 0.50154) , 
-8.29819, 0, 0, 0, 0.497068) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.506628) , 
-2.17039, 1, 1, 0, 0.498909) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501149) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51235) , 
-4.19895, 0, 1, 0, 0.50494) , 
-4.39745, 1, 0, 0, 0.500951) , 
-1.28282, 0, 1, 0, 0.499643) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49425) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.476767) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492899) , 
NN(
0, 
0, 
2.67836, 0, -1, 1, 0.504245) , 
2.1101, 1, 1, 0, 0.501292) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515048) , 
1.53391, 0, 1, 0, 0.50364) , 
0.680228, 1, 1, 0, 0.501988) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.501227) , 
NN(
0, 
0, 
-0.953802, 1, -1, 1, 0.711673) , 
-2.2782, 1, 1, 0, 0.524374) , 
-0.315997, 0, 1, 0, 0.504423) , 
12.6412, 0, 0, 0, 0.50279) , 
2.87611, 1, 0, 0, 0.500613) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.524354) , 
-6.35429, 0, 1, 0, 0.500714) , 
3.30636, 0, 1, 0, 0.500047) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490186) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50962) , 
5.19759, 0, 1, 0, 0.503284) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533629) , 
6.29438, 1, 1, 0, 0.504569) , 
4.38691, 1, 1, 0, 0.500485)    );
  // itree = 195
  fBoostWeights.push_back(0.0276278);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.459637) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485032) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.498889) , 
0.592102, 1, 1, 0, 0.493178) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494161) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.500991) , 
-4.39868, 0, 0, 0, 0.496849) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.5056) , 
-2.81743, 1, 0, 0, 0.500028) , 
-1.29959, 0, 0, 0, 0.496837) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508613) , 
-4.96331, 0, 1, 0, 0.497727) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495902) , 
NN(
NN(
NN(
0, 
0, 
3.14623, 0, -1, -1, 0.498378) , 
NN(
NN(
NN(
0, 
0, 
0.836079, 1, -1, -1, 0.494582) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.507627) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.533407) , 
-1.31873, 1, 1, 0, 0.518368) , 
0.122653, 0, 1, 0, 0.502064) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512791) , 
1.48152, 1, 1, 0, 0.506394) , 
2.11136, 0, 1, 0, 0.500937) , 
NN(
0, 
0, 
0.375435, 0, -1, 1, 0.50813) , 
6.1962, 0, 0, 0, 0.502567) , 
4.35392, 1, 0, 0, 0.5013) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512604) , 
5.29582, 1, 1, 0, 0.501725) , 
2.3623, 1, 0, 0, 0.500037) , 
-6.28389, 1, 1, 0, 0.499904) , 
NN(
NN(
NN(
NN(
0, 
0, 
0.404042, 0, -1, -1, 0.46387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512132) , 
1.43155, 1, 1, 0, 0.4865) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493618) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493728) , 
NN(
0, 
0, 
-9.74279, 0, -1, 1, 0.50475) , 
-4.17281, 1, 1, 0, 0.502316) , 
-2.11658, 0, 1, 0, 0.500415) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.523703) , 
-1.04822, 1, 1, 0, 0.502139) , 
-0.355344, 0, 1, 0, 0.501002) , 
NN(
0, 
0, 
-6.15682, 1, -1, 1, 0.505616) , 
-6.88927, 1, 0, 0, 0.502064) , 
-5.34711, 0, 0, 0, 0.500537)    );
  // itree = 196
  fBoostWeights.push_back(0.0365752);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.420803) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.486816) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494914) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502598) , 
-4.27049, 1, 1, 0, 0.499295) , 
-2.87093, 0, 1, 0, 0.496914) , 
-5.81706, 1, 1, 0, 0.493673) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.483568) , 
NN(
0, 
0, 
-3.2141, 1, -1, -1, 0.498873) , 
-8.96573, 1, 0, 0, 0.49534) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.507335) , 
-10.9814, 0, 0, 0, 0.497857) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.504717) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515666) , 
-5.06114, 0, 1, 0, 0.507769) , 
-4.09968, 0, 1, 0, 0.500539) , 
-3.65315, 0, 0, 0, 0.498257) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487088) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489285) , 
NN(
NN(
0, 
0, 
2.67305, 1, -1, -1, 0.496919) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.512678) , 
2.08051, 0, 1, 0, 0.499258) , 
1.52187, 1, 1, 0, 0.498278) , 
NN(
0, 
0, 
8.88187, 0, -1, 1, 0.512147) , 
0.844704, 0, 1, 0, 0.499424) , 
4.71411, 0, 1, 0, 0.498281) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-10.1979, 0, -1, -1, 0.468592) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487328) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52426) , 
-3.43471, 0, 0, 0, 0.496711) , 
-6.86528, 1, 0, 0, 0.489992) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492704) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504079) , 
-1.39827, 0, 1, 0, 0.499836) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.51117) , 
-0.839594, 1, 1, 0, 0.502186) , 
-0.273331, 0, 1, 0, 0.497792) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516949) , 
4.32022, 1, 1, 0, 0.500496) , 
NN(
NN(
0, 
0, 
0, 1, -1, 1, 0.50572) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514342) , 
2.89012, 1, 0, 0, 0.508838) , 
0.357597, 1, 0, 0, 0.503813) , 
4.10949, 0, 0, 0, 0.50091) , 
-2.01557, 1, 1, 0, 0.499891)    );
  // itree = 197
  fBoostWeights.push_back(0.0376424);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.487951) , 
NN(
NN(
NN(
0, 
0, 
-2.73774, 1, -1, -1, 0.493011) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.485396) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.495689) , 
NN(
0, 
0, 
-9.39682, 1, -1, 1, 0.503569) , 
-5.13507, 0, 0, 0, 0.499898) , 
-5.37955, 1, 1, 0, 0.498704) , 
-3.17104, 0, 1, 0, 0.496599) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.522455) , 
-6.21722, 0, 1, 0, 0.496868) , 
4.16353, 0, 0, 0, 0.496532) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.470197) , 
NN(
NN(
NN(
0, 
0, 
10.4871, 1, -1, -1, 0.493906) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.320356) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.49348) , 
2.19385, 1, 1, 0, 0.48624) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492461) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496049) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.502332) , 
6.3325, 1, 0, 0, 0.4981) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508049) , 
3.29483, 1, 1, 0, 0.501535) , 
4.17084, 0, 1, 0, 0.499431) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.510063) , 
1.33341, 0, 0, 0, 0.501297) , 
-1.98687, 1, 0, 0, 0.500115) , 
8.22884, 0, 0, 0, 0.498057) , 
NN(
0, 
0, 
6.12222, 0, -1, 1, 0.512592) , 
5.37899, 1, 1, 0, 0.498834) , 
-8.11678, 1, 0, 0, 0.498441) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488562) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.450388) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.489516) , 
0.00380878, 0, 1, 0, 0.47993) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.52555) , 
0.491971, 1, 1, 0, 0.489475) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.514773) , 
-0.809373, 0, 1, 0, 0.501547) , 
NN(
0, 
0, 
-0.685585, 0, -1, 1, 0.520829) , 
3.54921, 1, 0, 0, 0.506476) , 
-1.49036, 1, 1, 0, 0.501396) , 
0.985595, 0, 1, 0, 0.499194) , 
-2.01557, 1, 1, 0, 0.498171)    );
  // itree = 198
  fBoostWeights.push_back(0.03432);
  fForest.push_back( 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.494657) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
-7.85905, 0, -1, -1, 0.486037) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.497202) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.532275) , 
-1.15694, 1, 1, 0, 0.501822) , 
-7.0563, 1, 0, 0, 0.494143) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.463695) , 
NN(
NN(
0, 
0, 
-10.7263, 1, -1, 1, 0.500405) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.516326) , 
-1.51015, 1, 1, 0, 0.503864) , 
0.273731, 0, 1, 0, 0.501893) , 
-8.94504, 0, 0, 0, 0.498075) , 
NN(
NN(
NN(
0, 
0, 
-1.08586, 0, -1, -1, 0.488167) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.479082) , 
NN(
NN(
0, 
0, 
12.3654, 1, -1, -1, 0.493437) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.489445) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.498319) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.505526) , 
3.17525, 0, 1, 0, 0.502455) , 
6.61712, 0, 0, 0, 0.499376) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.508269) , 
8.31583, 1, 0, 0, 0.501107) , 
10.3752, 0, 0, 0, 0.499425) , 
-1.39111, 1, 0, 0, 0.498605) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.49815) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.529261) , 
9.2198, 1, 0, 0, 0.508298) , 
0.765096, 0, 1, 0, 0.499492) , 
-0.589605, 1, 1, 0, 0.498826) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492845) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50603) , 
-3.48189, 0, 1, 0, 0.501141) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517111) , 
-2.4407, 1, 1, 0, 0.503596) , 
-1.63466, 0, 1, 0, 0.500198) , 
-5.34711, 1, 0, 0, 0.499515) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.504911) , 
4.33556, 1, 1, 0, 0.499885) , 
5.11019, 0, 1, 0, 0.499718) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525887) , 
5.94752, 1, 1, 0, 0.499941) , 
NN(
0, 
0, 
-5.81718, 1, -1, 1, 0.506949) , 
-5.21681, 0, 1, 0, 0.500165)    );
  // itree = 199
  fBoostWeights.push_back(0.0353725);
  fForest.push_back( 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.490296) , 
NN(
NN(
NN(
0, 
0, 
3.05343, 1, -1, -1, 0.492387) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511222) , 
1.79339, 0, 1, 0, 0.495685) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.559693) , 
0.265187, 0, 1, 0, 0.498386) , 
12.9838, 0, 0, 0, 0.496302) , 
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.492517) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.501733) , 
-5.20534, 0, 0, 0, 0.496721) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.488644) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.448614) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.291595) , 
NN(
0, 
0, 
0, 1, -1, -1, 0.495923) , 
-1.47094, 1, 0, 0, 0.49121) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496796) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509431) , 
3.6254, 0, 0, 0, 0.501936) , 
2.43319, 1, 1, 0, 0.497316) , 
-6.20373, 1, 0, 0, 0.495873) , 
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.469971) , 
NN(
NN(
NN(
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.493062) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50212) , 
-1.33245, 0, 1, 0, 0.498676) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.525699) , 
0.395878, 1, 0, 0, 0.500367) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.515552) , 
-0.4509, 1, 1, 0, 0.502148) , 
NN(
0, 
0, 
0, 1, -1, 1, 1) , 
5.837, 1, 0, 0, 0.503294) , 
0.0366237, 0, 1, 0, 0.500718) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.531512) , 
0.496258, 1, 1, 0, 0.503206) , 
0.871613, 0, 1, 0, 0.499236) , 
NN(
NN(
NN(
0, 
0, 
0.530875, 1, -1, -1, 0.490445) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.50299) , 
5.32795, 0, 1, 0, 0.500737) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.517614) , 
5.87976, 1, 0, 0, 0.504751) , 
3.58748, 1, 1, 0, 0.501028) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.509369) , 
-2.13004, 0, 1, 0, 0.501619) , 
-2.47501, 1, 1, 0, 0.500544) , 
NN(
NN(
0, 
0, 
0, 1, -1, -1, 0.496293) , 
NN(
0, 
0, 
0, 1, -1, 1, 0.511528) , 
-3.48863, 1, 1, 0, 0.505262) , 
-2.82884, 0, 1, 0, 0.501559) , 
-3.9763, 1, 1, 0, 0.500917) , 
NN(
0, 
0, 
-0.981184, 1, -1, 1, 0.507953) , 
-5.21681, 0, 1, 0, 0.501184) , 
8.35826, 0, 0, 0, 0.500383)    );
   return;
};
 
// Clean up
inline void ReadBDT::Clear() 
{
   for (unsigned int itree=0; itree<fForest.size(); itree++) { 
      delete fForest[itree]; 
   }
}
   inline double ReadBDT::GetMvaValue( const std::vector<double>& inputValues ) const
   {
      // classifier response value
      double retval = 0;

      // classifier response, sanity check first
      if (!fStatusIsClean) {
         std::cout << "Problem in class \"" << fClassName << "\": cannot return classifier response"
                   << " because status is dirty" << std::endl;
         retval = 0;
      }
      else {
         if (IsNormalised()) {
            // normalise variables
            std::vector<double> iV;
            int ivar = 0;
            for (std::vector<double>::const_iterator varIt = inputValues.begin();
                 varIt != inputValues.end(); varIt++, ivar++) {
               iV.push_back(NormVariable( *varIt, fVmin[ivar], fVmax[ivar] ));
            }
            retval = GetMvaValue__( iV );
         }
         else {
            retval = GetMvaValue__( inputValues );
         }
      }

      return retval;
   }
